changeset:   15042:c0b0974fb055
tag:         tip
user:        kfraser@localhost.localdomain
date:        Fri May 18 16:59:32 2007 +0100
summary:     Added tag RELEASE-3.1.0 for changeset b3bcb1eab8d68c77a5d4c95846e890aa41883818

changeset:   15041:b3bcb1eab8d6
tag:         RELEASE-3.1.0
user:        kfraser@localhost.localdomain
date:        Fri May 18 16:59:19 2007 +0100
summary:     Xen 3.1.0 final.

changeset:   15040:aee991c7723a
user:        kfraser@localhost.localdomain
date:        Wed May 09 16:34:47 2007 +0100
summary:     Added tag 3.1.0-rc10 for changeset e75485c1d190f6aea38622e791bfe6d2cb2aa73d

changeset:   15039:e75485c1d190
tag:         3.1.0-rc10
user:        kfraser@localhost.localdomain
date:        Wed May 09 16:34:38 2007 +0100
summary:     3.1.0-rc10

changeset:   15038:c00b2ab8af2c
user:        kfraser@localhost.localdomain
date:        Wed May 09 15:32:55 2007 +0100
summary:     hvm: Save/restore register state across hypercalls.

changeset:   15037:97286205ee26
user:        kfraser@localhost.localdomain
date:        Tue May 08 13:39:52 2007 +0100
summary:     Added tag 3.1.0-rc9 for changeset 5b9b0c79ccc342bba2e6dec57895f84f3e8a3991

changeset:   15036:5b9b0c79ccc3
tag:         3.1.0-rc9
parent:      15026:4b0955201201
parent:      15035:d2ef85c6bf84
user:        kfraser@localhost.localdomain
date:        Tue May 08 13:39:44 2007 +0100
summary:     Merge with xen-unstable for 3.1.0-rc9

changeset:   15035:d2ef85c6bf84
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Tue May 08 10:38:06 2007 +0100
summary:     [qemu patches] Update patches upto changeset 15013:b78d611d1b.

changeset:   15034:03b8e82b4a77
parent:      15033:05b5b126eb4c
parent:      15032:3ef0510e44d0
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue May 08 10:32:38 2007 +0100
summary:     Merge

changeset:   15033:05b5b126eb4c
parent:      15030:9d0dbe9c4d6b
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue May 08 10:32:05 2007 +0100
summary:     [HVM] Fix shadow remove-write-access heuristic for 64bit w2k3 linear map.

changeset:   15032:3ef0510e44d0
user:        kfraser@localhost.localdomain
date:        Tue May 08 10:21:23 2007 +0100
summary:     xend hvm: Fix 'monitor=1' handling in domain config file.

changeset:   15031:4930f0289d0d
user:        kfraser@localhost.localdomain
date:        Tue May 08 10:17:46 2007 +0100
summary:     [Xen-API] Fix the rtc/timeoffset entry.

changeset:   15030:9d0dbe9c4d6b
user:        Keir Fraser <keir@xensource.com>
date:        Mon May 07 13:58:42 2007 +0100
summary:     ia64, linux: Import linux git changeset 5ee7737379b1d7f0c977c0f1661fbaf01a8d4721

changeset:   15029:33fbff91ebe4
user:        Keir Fraser <keir@xensource.com>
date:        Mon May 07 13:57:18 2007 +0100
summary:     linux: Add two arch hooks xen_pre_suspend() and xen_post_suspend() for

changeset:   15028:b78d611d1b17
user:        Keir Fraser <keir@xensource.com>
date:        Mon May 07 13:54:51 2007 +0100
summary:     ioemu: Fix typo in the ISO_Level3_Shift patch which prevents AltGr key working.

changeset:   15027:ebe1460ff6ce
parent:      15024:e370c94bd6fd
user:        Keir Fraser <keir@xensource.com>
date:        Mon May 07 13:52:50 2007 +0100
summary:     xenstat: Remove the "vbd-%d-%d is a VBD." debugging statement.

changeset:   15026:4b0955201201
user:        kfraser@localhost.localdomain
date:        Sun May 06 00:27:22 2007 +0100
summary:     Added tag 3.1.0-rc8 for changeset 1db5b82369eb0e975d53ba74c8a21dc5e840ee12

changeset:   15025:1db5b82369eb
tag:         3.1.0-rc8
parent:      15021:cc5800ecd71f
parent:      15024:e370c94bd6fd
user:        kfraser@localhost.localdomain
date:        Sun May 06 00:26:58 2007 +0100
summary:     Merge with xen-unstable for 3.1.0-rc8

changeset:   15024:e370c94bd6fd
user:        Keir Fraser <keir@xensource.com>
date:        Sat May 05 13:48:05 2007 +0100
summary:     hvm: Domains must be at least 2MB in size.

changeset:   15023:195e3dbba3ca
user:        Keir Fraser <keir@xensource.com>
date:        Sat May 05 11:23:55 2007 +0100
summary:     Fix Xen API's Host.get_record method.

changeset:   15022:3a5722420de7
parent:      15018:623a07dda15c
user:        kfraser@localhost.localdomain
date:        Thu May 03 19:25:47 2007 +0100
summary:     blktap: Fix qcow max_aio_reqs calculation.

changeset:   15021:cc5800ecd71f
user:        kfraser@localhost.localdomain
date:        Thu May 03 19:28:14 2007 +0100
summary:     Fix tag to 3.1.0-rc7.

changeset:   15020:6f37c763bc0f
user:        kfraser@localhost.localdomain
date:        Thu May 03 15:51:47 2007 +0100
summary:     Added tag 3.0.5-rc7 for changeset 7041b52471c3593f30084289aa805d1b11d7438e

changeset:   15019:7041b52471c3
tag:         3.1.0-rc7
parent:      15013:6955571ebfe5
parent:      15018:623a07dda15c
user:        kfraser@localhost.localdomain
date:        Thu May 03 15:51:25 2007 +0100
summary:     Merge with xen-unstable for 3.1.0-rc7 (final?)

changeset:   15018:623a07dda15c
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Thu May 03 15:39:45 2007 +0100
summary:     [qemu patches] Update patches upto changeset 14986:1ddaf2650633.

changeset:   15017:c857bf38f015
user:        kfraser@localhost.localdomain
date:        Thu May 03 11:22:58 2007 +0100
summary:     xend: Revert changeset 15002. Breaks xend restart in some cases.

changeset:   15016:24f47ff4fb25
user:        kfraser@localhost.localdomain
date:        Thu May 03 09:33:12 2007 +0100
summary:     [IA64] Presently pygrub only looks in /efi/redhat/elilo.conf.  It

changeset:   15015:1cb58c70d813
user:        kfraser@localhost.localdomain
date:        Thu May 03 09:32:35 2007 +0100
summary:     ia64 doesn't use /usr/lib64 on any distribution.  When it's present, it's a symlink to /usr/lib

changeset:   15014:3a3ca8da6d4e
parent:      15012:2678e31d20f3
user:        kfraser@localhost.localdomain
date:        Thu May 03 09:29:07 2007 +0100
summary:     Even though 3.1.0 won't have an implementation for it, reserve

changeset:   15013:6955571ebfe5
parent:      15006:b5cfbc8f7d2c
parent:      15012:2678e31d20f3
user:        kfraser@localhost.localdomain
date:        Wed May 02 18:36:57 2007 +0100
summary:     Merge with xen-unstable for (quick!) 3.1.0-rc6.

changeset:   15012:2678e31d20f3
user:        Brendan Cully <brendan@cs.ubc.ca>
date:        Wed May 02 09:42:43 2007 -0700
summary:     Put blktap character device back into /dev/xen.

changeset:   15011:dea0ba4e0de1
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed May 02 17:14:52 2007 +0100
summary:     [XEND] Move Vifctl.network('start') earlier in Xend startup so XendNode can find networks when its initialised.

changeset:   15010:32b575a311ef
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed May 02 16:43:45 2007 +0100
summary:     Fix the fix for XendPIF

changeset:   15009:da02af7b55b9
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed May 02 16:33:05 2007 +0100
summary:     Fix PIFIsPhysical exception when starting Xend

changeset:   15008:2a530128f1dc
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Tue May 01 11:40:40 2007 +0100
summary:     [XM] Fix some small bugs in XenAPI create code.

changeset:   15007:0e57b064f17a
parent:      15005:aeac9a7d97e0
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Tue May 01 11:36:44 2007 +0100
summary:     [XM] Fix get_single_vm bug

changeset:   15006:b5cfbc8f7d2c
parent:      14993:bf96999a2ffd
parent:      15005:aeac9a7d97e0
user:        kfraser@localhost.localdomain
date:        Wed May 02 15:27:10 2007 +0100
summary:     Merge with xen-unstable for 3.1.0-rc5.

changeset:   15005:aeac9a7d97e0
user:        kfraser@localhost.localdomain
date:        Wed May 02 15:25:02 2007 +0100
summary:     xend: Interface capability identifiers are statically xen-3.0-*,

changeset:   15004:1c3abf6d144d
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed May 02 14:53:27 2007 +0100
summary:     [HVM] Save/restore: fix cset 14995

changeset:   15003:f3cf882c9578
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed May 02 14:41:51 2007 +0100
summary:     [HVM] Save/restore: save pending interrupts/events on HVM vcpus

changeset:   15002:c1fafdcdb19a
user:        Keir Fraser <keir@xensource.com>
date:        Tue May 01 22:24:01 2007 +0100
summary:     xend: Fix use of PIFIsPhysical (takes no arguments).

changeset:   15001:650007cf390d
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Tue May 01 14:17:01 2007 +0100
summary:     [pv console] Move console information in xenstore to serial/0/.

changeset:   15000:9ceacd71949b
user:        kfraser@localhost.localdomain
date:        Tue May 01 14:01:01 2007 +0100
summary:     xend: Fix SrvDomain.op_save.

changeset:   14999:ede8db6534ef
user:        kfraser@localhost.localdomain
date:        Tue May 01 10:20:55 2007 +0100
summary:     xend: Ensure 2MB free before creating any domain. All domain creations

changeset:   14998:26643b7b48b9
user:        kfraser@localhost.localdomain
date:        Tue May 01 10:18:11 2007 +0100
summary:     xend: Fix spurious store changes on rename/migrate

changeset:   14997:1cfe47358f9f
user:        kfraser@localhost.localdomain
date:        Tue May 01 10:16:26 2007 +0100
summary:     save/restore: If ENABLE_LOGDIRTY fails, it may be because it is

changeset:   14996:476efa5c9abf
user:        kfraser@localhost.localdomain
date:        Tue May 01 10:15:08 2007 +0100
summary:     xend: Ensure bootable flag is set in internal xend config for tap

changeset:   14995:5b4a02335182
user:        kfraser@localhost.localdomain
date:        Tue May 01 10:08:36 2007 +0100
summary:     linux blkback/blktap: Request/response identifiers are u64, not long.

changeset:   14994:1ddaf2650633
parent:      14991:0f9b97523450
user:        kfraser@localhost.localdomain
date:        Mon Apr 30 15:06:34 2007 +0100
summary:     Handle ISO_Level3_Shift keysym as AltGr in ioemu/vncfb.

changeset:   14993:bf96999a2ffd
user:        Keir Fraser <keir@xensource.com>
date:        Sun Apr 29 09:39:33 2007 +0100
summary:     Added tag 3.0.5-rc4 for changeset 1668299c0ea4

changeset:   14992:1668299c0ea4
tag:         3.0.5-rc4
parent:      14934:ee16cdeddade
parent:      14991:0f9b97523450
user:        Keir Fraser <keir@xensource.com>
date:        Sat Apr 28 10:28:59 2007 +0100
summary:     Merge with xen-unstable for 3.0.5-rc4.

changeset:   14991:0f9b97523450
user:        Keir Fraser <keir@xensource.com>
date:        Sat Apr 28 09:44:24 2007 +0100
summary:     vnet: Another build fix for finding Linux build tree and version.

changeset:   14990:c5bf8919938b
user:        Keir Fraser <keir@xensource.com>
date:        Sat Apr 28 09:37:32 2007 +0100
summary:     Fix 'sched=sedf' boot.

changeset:   14989:fc145308f102
user:        Keir Fraser <keir@xensource.com>
date:        Sat Apr 28 09:28:00 2007 +0100
summary:     xen: Fix build with recent GCC (4.1+).

changeset:   14988:c12380cddec5
user:        ewan@localhost.localdomain
date:        Fri Apr 27 18:53:23 2007 -0700
summary:     Bump all API version numbers to 1.0.0.

changeset:   14987:b915eb96097a
user:        Jake Wires <jwires@xensource.com>
date:        Fri Apr 27 17:54:06 2007 -0700
summary:     Ensure blk{tap/back}'s vm_area is not freed twice on error case.

changeset:   14986:aedc55daf92b
user:        kfraser@localhost.localdomain
date:        Fri Apr 27 16:27:07 2007 +0100
summary:     vnet: Fix build of the vnet module.

changeset:   14985:493f7c689f03
user:        kfraser@localhost.localdomain
date:        Fri Apr 27 16:21:20 2007 +0100
summary:     Add INIT INFO block to example init.d/xend file.

changeset:   14984:18844eff507a
user:        Steven Hand <steven@xensource.com>
date:        Fri Apr 27 16:17:44 2007 +0100
summary:     Handle EOF on xenstored socket.

changeset:   14983:4789f3b2e1b9
user:        kfraser@localhost.localdomain
date:        Fri Apr 27 15:22:34 2007 +0100
summary:     xend: Auto-balloon a couple megabytes before creating an HVM domain as

changeset:   14982:1634486b2a5c
user:        kfraser@localhost.localdomain
date:        Fri Apr 27 15:12:48 2007 +0100
summary:     xend: Don't use -q flag to bootloader if activating text console.

changeset:   14981:0063e11206d5
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 27 15:09:39 2007 +0100
summary:     [XEND] make *.get_all_records return dict of ref->record

changeset:   14980:405573aedd24
user:        kfraser@localhost.localdomain
date:        Fri Apr 27 15:06:55 2007 +0100
summary:     xen: More 'IS_COMPAT' cleanups.

changeset:   14979:53b9883bbcc3
user:        Steven Hand <steven@xensource.com>
date:        Fri Apr 27 14:45:06 2007 +0100
summary:     Allow dynamic_min/dynamic_max to (temporarily) be out of sync; in practice

changeset:   14978:2c90965d0810
user:        Steven Hand <steven@xensource.com>
date:        Fri Apr 27 14:16:22 2007 +0100
summary:     Sanity check changes to memory dynamic/static min/max and ensure we cannot

changeset:   14977:3c352bbc894d
parent:      14976:491bed0350f1
parent:      14975:499e50c3115f
user:        Steven Smith <ssmith@xensource.com>
date:        Fri Apr 27 13:31:09 2007 +0100
summary:     Merge.

changeset:   14976:491bed0350f1
parent:      14935:550a795a3dbd
user:        Steven Smith <ssmith@xensource.com>
date:        Fri Apr 27 13:25:58 2007 +0100
summary:     32 on 64: Don't lock up Xen if you need to do lots of grant operations

changeset:   14975:499e50c3115f
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 27 12:51:14 2007 +0100
summary:     [XM] Differentiate between VLAN PIFs and normal PIFs in network-show

changeset:   14974:55d7745bd377
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 27 12:49:17 2007 +0100
summary:     [XEND] Fix up PIF class, make it work

changeset:   14973:6049b33d10e1
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 27 11:03:47 2007 +0100
summary:     [XEND] Used shutil.rename to cope with /tmp and /var on different file systems

changeset:   14972:e7704d9b4a48
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 27 11:02:47 2007 +0100
summary:     [XM] Fix typo in XenAPI create code

changeset:   14971:6548dadab8d5
parent:      14970:7f5a804d8a68
parent:      14969:80c458bb1b6d
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Apr 27 10:54:37 2007 +0100
summary:     Merge

changeset:   14970:7f5a804d8a68
parent:      14968:c8e01cc58cb1
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Apr 27 10:54:00 2007 +0100
summary:     [HVM] Save/restore: pad save structs up to a multiple of eight bytes.

changeset:   14969:80c458bb1b6d
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 27 10:44:11 2007 +0100
summary:     [XEND] Start cleanly even with bad xml state files

changeset:   14968:c8e01cc58cb1
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Apr 27 10:24:09 2007 +0100
summary:     [XEN] Replace IS_COMPAT() in the shadow code with pv_32on64_*()

changeset:   14967:f18e1ca69380
user:        kfraser@localhost.localdomain
date:        Thu Apr 26 18:33:34 2007 +0100
summary:     hvm: Take care when checking ->is_compat flag now that HVM as well as

changeset:   14966:39383ac1aec8
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Apr 26 17:30:56 2007 +0100
summary:     Add support for creating networks to xm create XML file

changeset:   14965:5754173c3d81
user:        kfraser@localhost.localdomain
date:        Thu Apr 26 16:45:06 2007 +0100
summary:     hvmloader: Place SMBIOS tables at 0xE9000. Previous location was lower

changeset:   14964:ac203df11e50
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Apr 26 16:15:08 2007 +0100
summary:     [XM-TEST] Add test for new network functions

changeset:   14963:aeb1931eab36
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Apr 26 15:48:09 2007 +0100
summary:     [XM-TEST] Move network_utils.py to lib directory

changeset:   14962:a9b9847d97bb
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Apr 26 15:40:35 2007 +0100
summary:     Add network-del and network-show commands to xm

changeset:   14961:16e38247dee8
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Apr 26 15:39:30 2007 +0100
summary:     Add network.destroy() to XenAPI

changeset:   14960:58205257517d
user:        kfraser@localhost.localdomain
date:        Thu Apr 26 15:42:49 2007 +0100
summary:     domain builder: Fix sanity check for gzip size.

changeset:   14959:d0acb5a3e8d8
user:        kfraser@localhost.localdomain
date:        Thu Apr 26 15:36:09 2007 +0100
summary:     acm: Remove unecessary compat shim from do_acm_op().

changeset:   14958:f8fd9afd2aad
user:        kfraser@localhost.localdomain
date:        Thu Apr 26 15:25:09 2007 +0100
summary:     acm: Fix 32-bit build with acm enabled.

changeset:   14957:816d274e2a85
user:        kfraser@localhost.localdomain
date:        Thu Apr 26 11:29:41 2007 +0100
summary:     blktap: Segments can span multiple clusters with tap:qcow.

changeset:   14956:7f9ce06d3c61
user:        kfraser@localhost.localdomain
date:        Thu Apr 26 11:18:42 2007 +0100
summary:     hvm ioemu: Fix SCSI initialisation after c/s 14942.

changeset:   14955:fb5d1c6cfddc
user:        kfraser@localhost.localdomain
date:        Thu Apr 26 10:51:49 2007 +0100
summary:     xen x86/64 compat: Fix size of accesses to trap_bounce.cs in asm.

changeset:   14954:d26bdda2854e
user:        kfraser@localhost.localdomain
date:        Thu Apr 26 09:52:34 2007 +0100
summary:     Remove non-ASCII chars in man page.

changeset:   14953:7d182aaa014b
user:        kfraser@localhost.localdomain
date:        Thu Apr 26 09:51:39 2007 +0100
summary:     xend: Tidy bootloader device constant.

changeset:   14952:c7b1a866914c
user:        Keir Fraser <keir@xensource.com>
date:        Wed Apr 25 22:56:09 2007 +0100
summary:     hvm vmx: Mark bootstrap-initialised variables as read-mostly.

changeset:   14951:bdde5daf056e
user:        Keir Fraser <keir@xensource.com>
date:        Wed Apr 25 22:29:39 2007 +0100
summary:     hvm vmx: Another small fix for CPUs with no TPR_SHADOW support.

changeset:   14950:55d0a5c70986
user:        Keir Fraser <keir@xensource.com>
date:        Wed Apr 25 22:22:31 2007 +0100
summary:     xen: Fix maximum_gpfn() hypercall to always return max_gpfn not nr_gpfns.

changeset:   14949:59ea9dadfd07
user:        Keir Fraser <keir@xensource.com>
date:        Wed Apr 25 22:06:13 2007 +0100
summary:     hvm vmx: Only use TPR_SHADOW feature if supported.

changeset:   14948:2b09108f365e
user:        kfraser@localhost.localdomain
date:        Wed Apr 25 18:12:03 2007 +0100
summary:     hvm ioemu: Do not initialise the LSI SCSI interface if no SCSI discs

changeset:   14947:189efb0b27f9
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 16:18:34 2007 +0100
summary:     [XEND] No need to refresh bridges under new model...

changeset:   14946:0bbc44c0b6e3
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 16:17:51 2007 +0100
summary:     [XEND] Fully implement XenAPI network and PIF classes.

changeset:   14945:31f6f85778e5
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 16:16:21 2007 +0100
summary:     [XEND] Remove autoplug class signatures, have it all handled in the class now

changeset:   14944:7317e701f3e7
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 16:14:20 2007 +0100
summary:     [XEND] Make existing autoplug classes implement new XendBase

changeset:   14943:5d2e5d05e828
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 16:12:41 2007 +0100
summary:     [XM] Fix network-attach when a bridge is specified, add network-new command to create new XenAPI network

changeset:   14942:1786112d2430
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 16:11:20 2007 +0100
summary:     [XEND] Add more exceptions and error messages

changeset:   14941:2fe1f293e52d
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 15:42:34 2007 +0100
summary:     Use new instance store to resolve network uuid to bridge name

changeset:   14940:26b80f4523e5
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 15:39:48 2007 +0100
summary:     Change how XendStateStore store XML for persistance.

changeset:   14939:ca5bfcd32e13
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 15:38:04 2007 +0100
summary:     Add new base class and instance store for new autoplugged api classes

changeset:   14938:2b994e23f96b
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 13:55:18 2007 +0100
summary:     If bridge name hasn't been recorded in XendConfig then try and work it out using Brctl.

changeset:   14937:0b4375cd7e16
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Apr 25 13:44:37 2007 +0100
summary:     Translate network uuid to bridge name and store it in XendConfig when createing a new vif.

changeset:   14936:33e22185002a
user:        kfraser@localhost.localdomain
date:        Wed Apr 25 13:50:20 2007 +0100
summary:     xen: Fix up use of trap_bounce structure.

changeset:   14935:550a795a3dbd
parent:      14932:867965efcbd2
user:        Steven Smith <ssmith@xensource.com>
date:        Wed Apr 25 12:04:55 2007 +0100
summary:     hvm save/restore: Use a GUEST_HANDLE_64 rather than an ordinary GUEST_HANDLE

changeset:   14934:ee16cdeddade
user:        kfraser@localhost.localdomain
date:        Wed Apr 25 10:39:08 2007 +0100
summary:     Added tag 3.0.5-rc3 for changeset c60ef0b12c79a857066398e05464a520b6cf0abb

changeset:   14933:c60ef0b12c79
tag:         3.0.5-rc3
parent:      14889:898e999f62d7
parent:      14932:867965efcbd2
user:        kfraser@localhost.localdomain
date:        Wed Apr 25 10:38:54 2007 +0100
summary:     Merge with xen-unstable for 3.0.5-rc3.

changeset:   14932:867965efcbd2
user:        kfraser@localhost.localdomain
date:        Wed Apr 25 09:49:18 2007 +0100
summary:     libxc: Fix xc_translate_foreign_address() to parse non-pae pagetables

changeset:   14931:23d1ef48e332
user:        kfraser@localhost.localdomain
date:        Wed Apr 25 09:46:43 2007 +0100
summary:     linux x86/64: Fix supervisor_mode_kernel test to read a single byte.

changeset:   14930:8ca89a9e54a7
user:        kfraser@localhost.localdomain
date:        Wed Apr 25 09:44:20 2007 +0100
summary:     xend: Fix race in vfb/vkbd device setup.

changeset:   14929:4677ee247aa9
user:        kfraser@localhost.localdomain
date:        Wed Apr 25 09:40:02 2007 +0100
summary:     acm: Updating a policy on a running system.

changeset:   14928:d5d6d2a8d10c
user:        kfraser@localhost.localdomain
date:        Wed Apr 25 09:31:52 2007 +0100
summary:     acm: Changes to XML schema of the policy

changeset:   14927:3d613faed8c3
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 23:40:40 2007 +0100
summary:     xend: Settle on 0666 pre-umask permissions for xend-debug.log.

changeset:   14926:a91d7dec2858
user:        Keir Fraser <keir@xensource.com>
date:        Tue Apr 24 23:12:10 2007 +0100
summary:     xend: Suppress logging of "Listing domains in state foo" in xend.log.

changeset:   14925:3b8bf61f2ad6
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Tue Apr 24 22:35:16 2007 +0100
summary:     LINUX: Fixes for XENFEAT_supervisor_mode_kernel and XENFEAT_writable_page_tables.

changeset:   14924:74b712492dba
user:        Keir Fraser <keir@xensource.com>
date:        Tue Apr 24 22:00:45 2007 +0100
summary:     hvm: Choose correct shared_info format for 32-bit PV drivers on 64-bit Xen.

changeset:   14923:b43bd71ee65b
user:        Keir Fraser <keir@xensource.com>
date:        Tue Apr 24 21:50:00 2007 +0100
summary:     acm: Changes to files missed in previous cleanup patch.

changeset:   14922:58e98e803378
user:        Keir Fraser <keir@xensource.com>
date:        Tue Apr 24 21:48:09 2007 +0100
summary:     Remove execute permission from xend-debug.log

changeset:   14921:fcf5a7ff0c53
user:        Keir Fraser <keir@xensource.com>
date:        Tue Apr 24 21:44:41 2007 +0100
summary:     acm: Move acm_domain_destroy() hook to complete_domain_destroy().

changeset:   14920:d0ebd5588b28
user:        Keir Fraser <keir@xensource.com>
date:        Tue Apr 24 21:42:08 2007 +0100
summary:     xen ia64: Fix build breakage after ACM cleanup.

changeset:   14919:605aa81d7341
parent:      14918:9313d0ce09f8
parent:      14916:c1d3f4fbfacf
user:        Keir Fraser <keir@xensource.com>
date:        Tue Apr 24 21:39:23 2007 +0100
summary:     Merge with xen-ia64-unstable.hg

changeset:   14918:9313d0ce09f8
parent:      14917:ef5da9ca0171
parent:      14891:9e44519ee9a2
user:        Alex Williamson <alex.williamson@hp.com>
date:        Tue Apr 24 09:26:32 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14917:ef5da9ca0171
parent:      14854:039daabebad5
user:        Alex Williamson <alex.williamson@hp.com>
date:        Tue Apr 24 09:07:24 2007 -0600
summary:     [IA64] Fix ptc.g race

changeset:   14916:c1d3f4fbfacf
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Tue Apr 24 17:02:10 2007 +0100
summary:     [qemu-dm] Check for null pointer in dma handler function pointer.

changeset:   14915:837d12d4d2d1
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Tue Apr 24 17:02:09 2007 +0100
summary:     [qemu-dm] Add bounds checks to block device reads/writes.

changeset:   14914:9e86260b95a4
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Tue Apr 24 17:02:07 2007 +0100
summary:     [qemu-dm] Add bounds checks for cirrus bitblit memory accesses.

changeset:   14913:a99093e602c6
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 16:52:15 2007 +0100
summary:     acm: Code restructuring on domain create/destroy.

changeset:   14912:4bbc509a0b3f
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 16:28:37 2007 +0100
summary:     hvm: Fix ioreq structure size to be 32/64-bit invariant.

changeset:   14911:ee56c8d8864b
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 15:01:13 2007 +0100
summary:     xm-test: Scale memory parameter for tests using XenAPIDomain.

changeset:   14910:837e3d8832a4
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Apr 24 14:08:57 2007 +0100
summary:     [HVM][HAP] Don't kill domains if dom0 requests an invalid shadow op.

changeset:   14909:d250c75ea59a
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 13:49:11 2007 +0100
summary:     hvm rombios: No need for SS prefix when EA base is %bp.

changeset:   14908:3b01a4bd5763
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 12:14:57 2007 +0100
summary:     hvm rombios: Do not screw around with the PIT in the BIOS 32-bit

changeset:   14907:f71d167a6c6d
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 12:13:58 2007 +0100
summary:     hvm rombios: Fix int15, func 0x86 (udelay).

changeset:   14906:a7bd11fd5b1b
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 12:12:48 2007 +0100
summary:     qemu: Do not kill ioemu if undefined LSI-SCI registers are read. Just

changeset:   14905:8ff0df8ad587
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Apr 24 11:39:13 2007 +0100
summary:     [XEN] Truncate arithmetic for PERFSTATUS counters to the width of perfc_t.

changeset:   14904:fe4784ff9fd3
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 10:34:47 2007 +0100
summary:     hvmloader: Fix e820_collapse() to not lose E820 entries.

changeset:   14903:4f7fd7d27fd0
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 09:50:56 2007 +0100
summary:     vtpm: Decrease amount of pages on shared ring.

changeset:   14902:1061a81b7360
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 09:50:12 2007 +0100
summary:     Don't bypass the spin_unlock at the end of do_domctl().

changeset:   14901:7493bb48d89f
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 09:48:08 2007 +0100
summary:     kexec: Avoid unaligned writes when producing crash info.

changeset:   14900:5607a3afedb0
user:        kfraser@localhost.localdomain
date:        Tue Apr 24 09:44:51 2007 +0100
summary:     xend: Incluide processing of 'monitor' config option in qemu-dm

changeset:   14899:800aa9f5cec9
user:        Jake Wires <jwires@xensource.com>
date:        Mon Apr 23 17:15:38 2007 -0700
summary:     [TAPDISK] Move tapdisk control files from /dev/xen to /var/run/tap

changeset:   14898:f033cc5cc0d5
user:        Jake Wires <jwires@xensource.com>
date:        Mon Apr 23 15:37:53 2007 -0700
summary:     [TAPDISK] Use incremental cookies and fix blktapctrl::test_path parameter typo.

changeset:   14897:6139337e2690
user:        kfraser@localhost.localdomain
date:        Mon Apr 23 16:37:03 2007 +0100
summary:     netback: Copy skbuffs that are presented to the start_xmit() function

changeset:   14896:6f4735ba9b07
user:        ewan@localhost.localdomain
date:        Sat Apr 21 14:12:09 2007 -0700
summary:     API version to 0.9.1.

changeset:   14895:4a792f891277
user:        ewan@localhost.localdomain
date:        Sat Apr 21 12:43:25 2007 -0700
summary:     Ignore the libxenapi tarball temp directory.

changeset:   14894:8b0e9cb6b49b
user:        ewan@localhost.localdomain
date:        Sat Apr 21 12:42:58 2007 -0700
summary:     Added Makefile.dist, which can make standalone tarballs.

changeset:   14893:295858ddac87
user:        ewan@localhost.localdomain
date:        Sat Apr 21 12:21:06 2007 -0700
summary:     Move all internal header files to a separate directory, so that it's clear what

changeset:   14892:80304d79a78c
user:        ewan@localhost.localdomain
date:        Mon Apr 16 19:19:07 2007 -0400
summary:     Added xen_session_clear_error.

changeset:   14891:9e44519ee9a2
user:        kfraser@localhost.localdomain
date:        Sat Apr 21 11:37:34 2007 +0100
summary:     xenstored: Only dom0 can do XS_DEBUG in non-test environments.

changeset:   14890:55135bf6eb44
parent:      14887:53b1cfcf129f
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 20 17:56:28 2007 +0100
summary:     Deprecate XendDomainInfo.state - now use _stateGet() to get the live

changeset:   14889:898e999f62d7
user:        kfraser@localhost.localdomain
date:        Fri Apr 20 17:52:48 2007 +0100
summary:     Added tag 3.0.5-rc2 for changeset 59fdc42a67c9f405841b6d5c2e64e9a394fd6f04

changeset:   14888:59fdc42a67c9
tag:         3.0.5-rc2
parent:      14884:adfc3684e54e
parent:      14887:53b1cfcf129f
user:        kfraser@localhost.localdomain
date:        Fri Apr 20 17:52:38 2007 +0100
summary:     Merge with xen-unstable for 3.0.5-rc2.

changeset:   14887:53b1cfcf129f
user:        kfraser@localhost.localdomain
date:        Fri Apr 20 17:51:10 2007 +0100
summary:     Revert 14883:6568c1882af5 and 14862:98efd2e410ae.

changeset:   14886:23cf7d6c30f4
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Apr 20 17:32:30 2007 +0100
summary:     [XEND] Fix test for when to record HVM VNC console as a VFB.

changeset:   14885:6568c1882af5
parent:      14882:efdbf87d4741
user:        Steven Hand <steven@xensource.com>
date:        Fri Apr 20 15:29:11 2007 +0100
summary:     Fix dist target to keep previous symlink format.

changeset:   14884:adfc3684e54e
user:        kfraser@localhost.localdomain
date:        Fri Apr 20 14:05:43 2007 +0100
summary:     Added tag 3.0.5-rc1 for changeset 2c8f161786a871cfc8d7489522aee1bc21dd460a

changeset:   14883:2c8f161786a8
tag:         3.0.5-rc1
user:        kfraser@localhost.localdomain
date:        Fri Apr 20 14:05:19 2007 +0100
summary:     Update version to 3.0.5-rc1.

changeset:   14882:efdbf87d4741
user:        kfraser@localhost.localdomain
date:        Fri Apr 20 14:04:32 2007 +0100
summary:     Update README for correctness.

changeset:   14881:c7c67a1a7077
user:        Keir Fraser <keir@xensource.com>
date:        Thu Apr 19 21:06:29 2007 +0100
summary:     hvmloader: Fix ROMBIOS highmem relocation. Only SHF_ALLOC sections

changeset:   14880:56fa8b1f8e08
user:        Keir Fraser <keir@xensource.com>
date:        Thu Apr 19 19:32:10 2007 +0100
summary:     Add "chk build" check that we've got xgettext since it's now required.

changeset:   14879:ed6de46738fd
user:        Keir Fraser <keir@xensource.com>
date:        Thu Apr 19 19:29:45 2007 +0100
summary:     [vtpm] Return a proper error when in the Xen-API call.

changeset:   14878:186e2cf99bbb
user:        Keir Fraser <keir@xensource.com>
date:        Thu Apr 19 19:29:19 2007 +0100
summary:     [security] When building the binary policy align its contents the same way as the

changeset:   14877:438f3a016fd8
user:        Keir Fraser <keir@xensource.com>
date:        Thu Apr 19 19:22:12 2007 +0100
summary:     hvmloader: Simplify e820_malloc() interface and improve

changeset:   14876:ce2b25e1c8f6
user:        Keir Fraser <keir@xensource.com>
date:        Thu Apr 19 18:13:09 2007 +0100
summary:     hvmloader: Tiny comment clarification.

changeset:   14875:b9f579e2d6a7
user:        Steven Hand <steven@xensource.com>
date:        Tue Apr 17 15:41:44 2007 +0100
summary:     Fix for bug introduced by cset 14859:a9aa7c29eda8 - implement IOREQ_TYPE_SUB

changeset:   14874:20dba1b883f2
user:        kfraser@localhost.localdomain
date:        Tue Apr 17 13:22:24 2007 +0100
summary:     Allow use of foo.local buildconfig overrides.

changeset:   14873:9cf4c575b509
user:        kfraser@localhost.localdomain
date:        Tue Apr 17 13:21:22 2007 +0100
summary:     netfront: use skb.cb for storing private data

changeset:   14872:7b391c27f410
user:        kfraser@localhost.localdomain
date:        Tue Apr 17 12:21:33 2007 +0100
summary:     tools: Use INSTALL_{DIR,DATA} to install stuff.

changeset:   14871:046fd974b4dc
user:        James Bulpin <james@xensource.com>
date:        Tue Apr 17 12:01:00 2007 +0100
summary:     Fix tools build

changeset:   14870:338820b7ea45
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Mon Apr 16 22:58:12 2007 +0100
summary:     Add *.get_all_records to XenAPI, make use of this for xm list

changeset:   14869:4538426ae5fd
user:        ewan@localhost.localdomain
date:        Mon Apr 16 17:02:52 2007 -0400
summary:     Added event dispatch when a VM's power state changes.  Fix the host.enabled and

changeset:   14868:66242baf79b1
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Mon Apr 16 21:21:42 2007 +0100
summary:     Add pot file, fix build

changeset:   14867:765ac13f425b
user:        ewan@localhost.localdomain
date:        Mon Apr 16 16:12:33 2007 -0400
summary:     Added documentation and C bindings for VM.migrate call.

changeset:   14866:ed29a1d721f8
user:        ewan@localhost.localdomain
date:        Mon Apr 16 16:10:39 2007 -0400
summary:     Added host.enabled flag.

changeset:   14865:8ea56a6141dd
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 13 16:54:03 2007 +0100
summary:     Install dtd into correct place

changeset:   14864:66e935c09530
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 13 16:46:41 2007 +0100
summary:     Fix up locale strings for xm

changeset:   14863:b96df7a4e0a7
user:        kfraser@localhost.localdomain
date:        Mon Apr 16 17:47:37 2007 +0100
summary:     hvm: Fix get_immediate() in mmio decoder by reverting Dexuan Cui's

changeset:   14862:98efd2e410ae
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Mon Apr 16 17:38:37 2007 +0100
summary:     Factor out sparse tree makefile fragments and introduce an alternative hg-clone

changeset:   14861:52474e2df628
user:        kfraser@localhost.localdomain
date:        Mon Apr 16 11:42:12 2007 +0100
summary:     hvm: Allow HVM guests to use sched_op() hcall on x86/64 Xen.

changeset:   14860:126f8bb9aa5d
user:        kfraser@localhost.localdomain
date:        Mon Apr 16 11:36:40 2007 +0100
summary:     xen x86: Fix PV guest destruction.

changeset:   14859:a9aa7c29eda8
user:        kfraser@localhost.localdomain
date:        Mon Apr 16 11:35:58 2007 +0100
summary:     hvm: Fix a bug in the mmio emulation of SUB instruction.

changeset:   14858:6a4c6d8a00f5
user:        kfraser@localhost.localdomain
date:        Sun Apr 15 21:56:38 2007 +0100
summary:     Fix map_pages_to_xen() to atomically switch between valid mappings.

changeset:   14857:249de074617f
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Apr 13 18:14:06 2007 +0100
summary:     Added documentation, C bindings, and test for VM_metrics.VCPUs_flags.

changeset:   14856:456c611ada02
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Apr 12 22:49:02 2007 +0100
summary:     Added documentation and C bindings for VBD. and VIF.runtime_properties.

changeset:   14855:0c00c6a48d52
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Apr 13 17:17:21 2007 +0100
summary:     [HVM][SVM] Save/restore: set CPL from SS.DPL on restore

changeset:   14854:039daabebad5
parent:      14853:c42ae7839750
parent:      14852:0ab8f81019a5
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 13 16:07:48 2007 +0100
summary:     Merge with xen-ia64-unstable.hg

changeset:   14853:c42ae7839750
parent:      14835:41471cc650a2
user:        Alex Williamson <alex.williamson@hp.com>
date:        Fri Apr 13 08:33:21 2007 -0600
summary:     [IA64] Fix ptc.ga emulation

changeset:   14852:0ab8f81019a5
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 13 16:02:41 2007 +0100
summary:     Fix TypeError with datetime() on old python version

changeset:   14851:22460cfaca71
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 13 15:24:42 2007 +0100
summary:     linux netfront: Fixes to locking after lockdep-derived changes, as

changeset:   14850:76f9a8e730ea
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 13 14:59:06 2007 +0100
summary:     hvm: Clean up treatment of is_dying per-domain boolean. All critical

changeset:   14849:d51b3bc40ca5
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 13 13:55:10 2007 +0100
summary:     Add VM.migrate to XenAPI, add support to XM

changeset:   14848:5f6b31335cda
user:        kfraser@localhost.localdomain
date:        Fri Apr 13 12:30:04 2007 +0100
summary:     hvm: Fix some bugs in mmio decoder

changeset:   14847:ba8d4bc2435a
user:        kfraser@localhost.localdomain
date:        Fri Apr 13 12:29:06 2007 +0100
summary:     hvm: Xen must take care to hold a reference to ioreq pages, to ensure

changeset:   14846:0b14423e75f8
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Fri Apr 13 12:01:37 2007 +0100
summary:     Update .hgignore so it doesn't ignore buildconfigs/* only build-*

changeset:   14845:30898de09289
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Apr 13 11:43:50 2007 +0100
summary:     Simplify code to map interfaces to bridges

changeset:   14844:abea8d171503
user:        kfraser@localhost.localdomain
date:        Fri Apr 13 11:28:04 2007 +0100
summary:     linux: netfront contains two locking problems found by lockdep:

changeset:   14843:986b102f84c2
user:        kfraser@localhost.localdomain
date:        Fri Apr 13 11:23:26 2007 +0100
summary:     pygriub: Fix GPT support.

changeset:   14842:52d1022c431a
user:        kfraser@localhost.localdomain
date:        Fri Apr 13 11:20:11 2007 +0100
summary:     hvm svm: Fix nested paging to support domain save/restore.

changeset:   14841:f92a79e39da8
parent:      14840:5bda20f0723d
parent:      14836:fdbbc6aa2cbf
user:        kfraser@localhost.localdomain
date:        Fri Apr 13 11:14:26 2007 +0100
summary:     Merge with xenppc-unstable-merge.hg

changeset:   14840:5bda20f0723d
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Thu Apr 12 16:37:32 2007 -0500
summary:     [XEN][POWERPC] Fix dom0 boot when using built-in zImage.

changeset:   14839:879625f363ee
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Thu Apr 12 13:05:04 2007 -0500
summary:     [XEN][POWERPC] Fix debug=y build.

changeset:   14838:2c18e90a9c00
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Thu Apr 12 10:42:43 2007 -0500
summary:     [XEN][POWERPC] Fix garbage dom0 commandline.

changeset:   14837:ebc4fb63113f
parent:      14797:bfe2136c163a
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Thu Apr 12 10:27:05 2007 -0500
summary:     [XEN][POWERPC] Fix xchg macro.

changeset:   14836:fdbbc6aa2cbf
parent:      14835:41471cc650a2
parent:      14830:e3b3800c769a
user:        kfraser@localhost.localdomain
date:        Fri Apr 13 11:11:41 2007 +0100
summary:     Merge with xen-ia64-unstable.hg

changeset:   14835:41471cc650a2
parent:      14834:605d534f9635
parent:      14823:a839e331f06f
user:        Alex Williamson <alex.williamson@hp.com>
date:        Thu Apr 12 10:30:12 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14834:605d534f9635
user:        Alex Williamson <alex.williamson@hp.com>
date:        Thu Apr 12 10:26:42 2007 -0600
summary:     [IA64] Fix hyper_get_psr

changeset:   14833:acf561f90822
user:        Alex Williamson <alex.williamson@hp.com>
date:        Thu Apr 12 10:24:53 2007 -0600
summary:     [IA64] Formatting fix

changeset:   14832:e1580c3bb75a
user:        Alex Williamson <alex.williamson@hp.com>
date:        Wed Apr 11 23:15:30 2007 -0600
summary:     [IA64] Fix PV-on-HVM driver

changeset:   14831:e4bd31a66a2e
parent:      14806:3d356a2b1c75
user:        Alex Williamson <alex.williamson@hp.com>
date:        Wed Apr 11 22:46:10 2007 -0600
summary:     [IA64] Bugzilla 942 Fix (timer strangeness on restored PV domain)

changeset:   14830:e3b3800c769a
user:        kfraser@localhost.localdomain
date:        Fri Apr 13 11:09:58 2007 +0100
summary:     libxenguest: Remove bogus weak definitions of xc_{set,get}_hvm_param().

changeset:   14829:d3ed330f8292
parent:      14828:74321599b8e8
parent:      14827:e630c107988b
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Apr 12 15:55:24 2007 +0100
summary:     Merge

changeset:   14828:74321599b8e8
parent:      14825:5a8cb6354df5
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Apr 12 15:54:59 2007 +0100
summary:     [HVM] Save/restore: catch more error cases in the tools

changeset:   14827:e630c107988b
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Apr 12 15:44:02 2007 +0100
summary:     Add PyXML requirement for xm via XenAPI to docs

changeset:   14826:4224d2877fac
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Apr 12 12:48:27 2007 +0100
summary:     Ensure xenapi create passes in values even if unused

changeset:   14825:5a8cb6354df5
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Apr 12 15:07:20 2007 +0100
summary:     [HVM] Fix typo that broke x86_64 build

changeset:   14824:1fa9b5f1df8f
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Apr 12 15:02:03 2007 +0100
summary:     [HVM] Save/restore: save HVM GPRs and DRs with the rest of the CPU state

changeset:   14823:a839e331f06f
user:        kfraser@localhost.localdomain
date:        Thu Apr 12 14:13:04 2007 +0100
summary:     HVM: First attempt at domain-resume on save-failure.

changeset:   14822:8f7f29f718a6
user:        kfraser@localhost.localdomain
date:        Thu Apr 12 13:21:26 2007 +0100
summary:     HVM: Allow qemu monitor to be configured in domain config file.

changeset:   14821:887fa548f650
user:        kfraser@localhost.localdomain
date:        Thu Apr 12 13:18:08 2007 +0100
summary:     xend: Update config-format version, due to changes in 3.0.5.

changeset:   14820:95a9998ede92
user:        kfraser@localhost.localdomain
date:        Thu Apr 12 12:12:56 2007 +0100
summary:     HVM: Do not watch control/shutdown to force domain shutdowns when PV

changeset:   14819:4c06bcd83c90
user:        kfraser@localhost.localdomain
date:        Thu Apr 12 12:09:58 2007 +0100
summary:     PV-on-HVM: More carefully synchronise with APs when putting them to

changeset:   14818:9e9eb5b3dab7
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Apr 12 11:44:26 2007 +0100
summary:     Make xm info more permissive

changeset:   14817:dcbfe557e62d
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Apr 12 11:32:25 2007 +0100
summary:     Make Xm Test default to bridge when cannot read config file

changeset:   14816:38f3a6dedad6
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Apr 12 11:31:17 2007 +0100
summary:     Fix typo and make create send proper bools

changeset:   14815:423c4a7b82e6
user:        kfraser@localhost.localdomain
date:        Thu Apr 12 08:02:38 2007 +0100
summary:     PV-on-HVM: Fix 64-bit build.

changeset:   14814:d56692b16296
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Wed Apr 11 23:05:07 2007 +0100
summary:     [ioemu] Consistently extend all block device operations to include scsi disks.

changeset:   14813:27eaa7fe92d2
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Wed Apr 11 19:04:10 2007 +0100
summary:     [setup] Fix old style bridge setup.

changeset:   14812:46a592e2b7ea
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Apr 11 22:24:30 2007 +0100
summary:     Add documentation and C bindings for VM.add_to_VCPUs_params_live,

changeset:   14811:f3f4f4ca6f61
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Apr 11 21:55:05 2007 +0100
summary:     Added documentation and bindings for host_cpu.features.

changeset:   14810:565b5662c880
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Apr 10 19:04:37 2007 +0100
summary:     Added docs and bindings for VM_metrics.state.

changeset:   14809:369dfbf298ef
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Wed Apr 11 18:39:05 2007 +0100
summary:     [linux] Make CONFIG_XEN_COMPAT #if statements syntactically correct.

changeset:   14808:38204c93428e
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Wed Apr 11 16:08:35 2007 +0100
summary:     LINUX: Cleanup a few stray uses of CONFIG_XEN_COMPAT_030002.

changeset:   14807:db4fcb609383
parent:      14806:3d356a2b1c75
parent:      14803:0d92cd901f80
user:        kfraser@localhost.localdomain
date:        Wed Apr 11 15:45:29 2007 +0100
summary:     Merge with xen-ia64-unstable.hg

changeset:   14806:3d356a2b1c75
parent:      14805:a6800d989059
parent:      14791:4dc14c591e6c
user:        Alex Williamson <alex.williamson@hp.com>
date:        Wed Apr 11 07:30:02 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14805:a6800d989059
user:        Alex Williamson <alex.williamson@hp.com>
date:        Wed Apr 11 07:28:29 2007 -0600
summary:     [IA64] Skip MCA setup on domU

changeset:   14804:7158623a1b3d
parent:      14776:1bde28f762a6
user:        Alex Williamson <alex.williamson@hp.com>
date:        Wed Apr 11 07:24:44 2007 -0600
summary:     [IA64] Handle NAT bit for dom0 and domU

changeset:   14803:0d92cd901f80
user:        kfraser@localhost.localdomain
date:        Wed Apr 11 15:43:49 2007 +0100
summary:     Provide the use of SCSI disks in HVM domains.  Currently there is a

changeset:   14802:6cd828db1a5d
user:        kfraser@localhost.localdomain
date:        Wed Apr 11 15:36:04 2007 +0100
summary:     Fix pygrub for IA64 support.

changeset:   14801:ed78f08aad61
user:        kfraser@localhost.localdomain
date:        Wed Apr 11 15:27:14 2007 +0100
summary:     pygrub: Support GPT (GUID Partition Table) as used by EFI.

changeset:   14800:83e4261378e7
user:        kfraser@localhost.localdomain
date:        Wed Apr 11 15:17:17 2007 +0100
summary:     libfsimage: Fix data types for 64-bit architectures.

changeset:   14799:2aa05978f2ca
parent:      14798:90a6af455bbd
parent:      14797:bfe2136c163a
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Apr 11 14:45:43 2007 +0100
summary:     Merge

changeset:   14798:90a6af455bbd
parent:      14795:6e7ef794cdbc
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Apr 11 14:45:14 2007 +0100
summary:     [HVM] Save/restore: merge xc_linux_save and xc_hvm_save

changeset:   14797:bfe2136c163a
user:        kfraser@localhost.localdomain
date:        Wed Apr 11 14:34:08 2007 +0100
summary:     linux: Quieten blkfront output.

changeset:   14796:5f6bca864d9c
user:        kfraser@localhost.localdomain
date:        Wed Apr 11 14:30:56 2007 +0100
summary:     xend: Store canonical vnif config info in /vm/<uuid>/device

changeset:   14795:6e7ef794cdbc
user:        kfraser@localhost.localdomain
date:        Wed Apr 11 09:29:00 2007 +0100
summary:     PV-on-HVM: Fixes for module loading.

changeset:   14794:5d7fb634ec1a
user:        kfraser@localhost.localdomain
date:        Wed Apr 11 09:16:04 2007 +0100
summary:     PV-on-HVM: More save/restore fixes.

changeset:   14793:87e2174b8a0d
user:        kfraser@localhost.localdomain
date:        Tue Apr 10 20:00:45 2007 +0100
summary:     linux: Fix an error path in save/restore code.

changeset:   14792:380db34694d7
user:        Jake Wires <jwires@xensource.com>
date:        Tue Apr 10 11:40:43 2007 -0700
summary:     [TAPDISK] Fix qcow initialization bug.

changeset:   14791:4dc14c591e6c
user:        kfraser@localhost.localdomain
date:        Tue Apr 10 18:49:20 2007 +0100
summary:     linux: Fix IRQ disable/enable logic across save/restore.

changeset:   14790:e8caf7802f3f
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Apr 10 17:29:16 2007 +0100
summary:     Added docs and bindings for VM.{send_trigger,send_sysrq}.

changeset:   14789:dbeabe1d225c
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Apr 10 17:26:45 2007 +0100
summary:     Avoid using the multicol package.

changeset:   14788:28efbe0ea490
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Tue Apr 10 17:01:40 2007 +0100
summary:     Make date time handling slightly more permissive

changeset:   14787:4add9eb83f7f
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Apr 09 17:09:21 2007 +0100
summary:     Added documentation, C bindings, and a test for VM_metrics.{start_time,

changeset:   14786:3565e4883548
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Apr 09 12:20:35 2007 +0100
summary:     Make host.sched_policy read-only.  Added docs, bindings, and a test for

changeset:   14785:51678fab4b0f
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Apr 09 11:39:27 2007 +0100
summary:     Added bindings and documentation for host.send_debug_keys and host.get_log.

changeset:   14784:d1860a7c30fd
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Apr 08 23:03:16 2007 +0100
summary:     Add bindings and docs for the host.dmesg_clear call.

changeset:   14783:3e1181a913c9
user:        kfraser@localhost.localdomain
date:        Tue Apr 10 15:35:37 2007 +0100
summary:     linux: Fix reboot.c after PV-on-HVM changes.

changeset:   14782:ed4311db1cf6
user:        kfraser@localhost.localdomain
date:        Tue Apr 10 15:31:53 2007 +0100
summary:     PV-on-HVM: Fixes for save/restore. Also gets rid of separate modules

changeset:   14781:099593da38cb
user:        kfraser@localhost.localdomain
date:        Tue Apr 10 13:46:28 2007 +0100
summary:     Fix PV guest restore.

changeset:   14780:17b360da7887
parent:      14779:e51e99c5b10e
parent:      14777:4d4a7ba24c01
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Apr 10 10:31:42 2007 +0100
summary:     Merge

changeset:   14779:e51e99c5b10e
parent:      14778:fb0463b6094d
parent:      14774:7cfe2a22462c
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Apr 10 10:30:48 2007 +0100
summary:     Merge

changeset:   14778:fb0463b6094d
parent:      14773:400a3dca237e
user:        "Huang2, Wei" <Wei.Huang2@amd.com>
date:        Tue Apr 10 10:26:31 2007 +0100
summary:     [HAP] Install P2M entries in monitor table under PAE mode

changeset:   14777:4d4a7ba24c01
parent:      14776:1bde28f762a6
parent:      14774:7cfe2a22462c
user:        kfraser@localhost.localdomain
date:        Tue Apr 10 10:29:05 2007 +0100
summary:     Merge with xen-ia64-unstable.hg

changeset:   14776:1bde28f762a6
parent:      14775:cd3cfddcb055
parent:      14773:400a3dca237e
user:        Alex Williamson <alex.williamson@hp.com>
date:        Mon Apr 09 13:40:25 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14775:cd3cfddcb055
parent:      14768:eb3e430242ac
user:        Alex Williamson <alex.williamson@hp.com>
date:        Mon Apr 09 13:39:35 2007 -0600
summary:     [IA64] Fix PV-on-HVM VNIF to work without using balloon on IPF

changeset:   14774:7cfe2a22462c
user:        kfraser@localhost.localdomain
date:        Tue Apr 10 10:28:11 2007 +0100
summary:     xend: Destroy information about the domain in case an error occurs

changeset:   14773:400a3dca237e
user:        Keir Fraser <keir@xensource.com>
date:        Mon Apr 09 12:05:26 2007 +0100
summary:     hvm ioemu: Avoid accessing invalid pseudophysical addresses in HVM

changeset:   14772:73abcf9abbc1
user:        Keir Fraser <keir@xensource.com>
date:        Mon Apr 09 11:12:15 2007 +0100
summary:     xen: Fix domctl page-type definitions to be unsigned quantities. This

changeset:   14771:7cc1d532f9ee
user:        Keir Fraser <keir@xensource.com>
date:        Mon Apr 09 11:11:23 2007 +0100
summary:     libxc: Fix save/restore code for style.

changeset:   14770:b0aaa113a60f
user:        kfraser@localhost.localdomain
date:        Fri Apr 06 22:48:25 2007 +0100
summary:     libxc: Clarify xc_mmu interface and make it private.

changeset:   14769:aeb9a84e46d9
parent:      14768:eb3e430242ac
parent:      14762:f76df7aa0e45
user:        kfraser@localhost.localdomain
date:        Fri Apr 06 22:32:57 2007 +0100
summary:     Merge with xen-ia64-unstable.hg.

changeset:   14768:eb3e430242ac
parent:      14767:9ec7dadc98ba
parent:      14756:ef33477324f6
user:        Alex Williamson <alex.williamson@hp.com>
date:        Fri Apr 06 10:08:30 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14767:9ec7dadc98ba
user:        Alex Williamson <alex.williamson@hp.com>
date:        Fri Apr 06 10:06:30 2007 -0600
summary:     [IA64] Fix serial console IRQ on PRIMEQUEST

changeset:   14766:5d9ab2d06709
user:        Alex Williamson <alex.williamson@hp.com>
date:        Thu Apr 05 09:30:26 2007 -0600
summary:     [IA64] Fix typo in xen/arch/ia64/linux-xen/perfmon.c

changeset:   14765:81ba9d2267cb
user:        Alex Williamson <alex.williamson@hp.com>
date:        Thu Apr 05 09:26:54 2007 -0600
summary:     [IA64] Fix initial value of cr.pta

changeset:   14764:3c8039aa5004
user:        Alex Williamson <alex.williamson@hp.com>
date:        Thu Apr 05 09:18:49 2007 -0600
summary:     [IA64] Fix xm dump-core with vti domain

changeset:   14763:770c465344d3
parent:      14711:f378c424e0ce
user:        Alex Williamson <alex.williamson@hp.com>
date:        Thu Apr 05 09:13:16 2007 -0600
summary:     [IA64] Auto setup serial console on PRIMEQUEST

changeset:   14762:f76df7aa0e45
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 06 15:09:56 2007 +0100
summary:     linux: Export xen_{create,destroy}_contiguous_region to modules.

changeset:   14761:f80a97d26276
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 06 15:07:34 2007 +0100
summary:     xen x86/64: Fix int80 direct trap. It must check for events and also

changeset:   14760:bd73cb523111
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 06 14:35:25 2007 +0100
summary:     xen: Remove unused show_xen_trace().

changeset:   14759:6625adf359dc
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 06 14:34:43 2007 +0100
summary:     xen: Do not BUG_ON page count_info in free_domheap_pages().

changeset:   14758:755207b3c47c
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 06 11:27:36 2007 +0100
summary:     x86: Do not print anything when we fail to emulate an

changeset:   14757:1cb39e8f1bfc
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 06 11:17:08 2007 +0100
summary:     PV-on-HVM: A bit more re-jigging so the build gets further against

changeset:   14756:ef33477324f6
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 06 10:15:31 2007 +0100
summary:     minios: Fix xenbus request-id release.

changeset:   14755:ba1911d8b5f7
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 06 10:14:02 2007 +0100
summary:     ia64: Fix libxenguest build after save/restore interface changes.

changeset:   14754:5a7eebbae5dc
user:        Keir Fraser <keir@xensource.com>
date:        Fri Apr 06 10:10:45 2007 +0100
summary:     xen: Make bool_t an arch-dep definition, and define macros

changeset:   14753:a00c629f67be
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Apr 05 18:47:04 2007 +0100
summary:     Serialize string string maps.

changeset:   14752:67f4f21f76e9
parent:      14751:3b4de5f415c9
parent:      14750:69ab63bee57c
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Apr 05 18:12:35 2007 +0100
summary:     Merge

changeset:   14751:3b4de5f415c9
parent:      14748:83ce6f4da212
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Apr 05 18:12:21 2007 +0100
summary:     [HVM] Save/restore: qemu-dm should calculate bitmap size from maximum gpfn

changeset:   14750:69ab63bee57c
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Apr 05 17:26:51 2007 +0100
summary:     Added copyright statement.

changeset:   14749:7cce8838abe0
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Apr 05 17:22:22 2007 +0100
summary:     Update the datamodel class diagram, and use neato rather than dot, which gives

changeset:   14748:83ce6f4da212
parent:      14746:e2fdfb0802bd
parent:      14747:4d29476fc460
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Thu Apr 05 15:47:03 2007 +0100
summary:     merge

changeset:   14747:4d29476fc460
parent:      14745:40d4150764ad
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Thu Apr 05 15:38:09 2007 +0100
summary:     LINUX: PVonHVM: Fixes to build with kernels back to 2.6.5.

changeset:   14746:e2fdfb0802bd
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Apr 05 15:41:04 2007 +0100
summary:     Update cover text.  API version 0.9.0.

changeset:   14745:40d4150764ad
parent:      14744:e518f2fbdd72
parent:      14743:1a347b19142a
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Apr 05 15:11:49 2007 +0100
summary:     Merge

changeset:   14744:e518f2fbdd72
parent:      14737:602d061ff51f
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Apr 05 15:11:22 2007 +0100
summary:     [HVM] Save/restore: merge xc_linux_restore and xc_hvm_restore

changeset:   14743:1a347b19142a
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 14:29:18 2007 +0100
summary:     PV-on-HVM: Add new ioreq 'invalidate' for zapping ioemu-dm mapccahe

changeset:   14742:c29a4adc65c6
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 14:02:55 2007 +0100
summary:     Update hgignore list for Module.symvers

changeset:   14741:afc6f31b7c90
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 13:41:18 2007 +0100
summary:     PV-on-HVM: update build config overrides.

changeset:   14740:95f329bf49ec
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 13:40:43 2007 +0100
summary:     linux/x86-64: fix unwind information

changeset:   14739:f1509862f3e6
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Apr 05 13:35:54 2007 +0100
summary:     Remove task.error_code -- it's redundant, as we can use the first element of

changeset:   14738:4de012324477
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 11:58:02 2007 +0100
summary:     Revert 14730:07d3208c0ca3b6e746745d2bc08f7aa12ed39269.

changeset:   14737:602d061ff51f
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 10:43:50 2007 +0100
summary:     linux: simplify and perform checking of multicall status

changeset:   14736:556402cdf011
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Apr 04 18:50:11 2007 +0100
summary:     Remove unimplemented host.set_sched_policy.

changeset:   14735:5dcb272de7e4
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Apr 04 18:42:20 2007 +0100
summary:     Expose the method-listing call as host.list_methods.

changeset:   14734:4de1e743a5a8
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Apr 04 15:00:57 2007 +0100
summary:     Remove docs and bindings for unimplemented VDI.resize and VDI.snapshot.

changeset:   14733:610dcfb3c164
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Apr 04 14:53:52 2007 +0100
summary:     Send INTERNAL_ERROR rather than ERROR_TODO if device creation fails.

changeset:   14732:e5931b5e6cc5
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Apr 04 14:49:38 2007 +0100
summary:     Remove docs and bindings for unimplemented SR.{create,destroy,clone}.

changeset:   14731:14c25e48a557
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 09:10:33 2007 +0100
summary:     linux: improve x86 page table handling performance

changeset:   14730:07d3208c0ca3
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 08:59:12 2007 +0100
summary:     linux/x86-64: fix unwind information

changeset:   14729:2b24d842bbd3
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 08:58:32 2007 +0100
summary:     linux: make compatibility config options more scalable

changeset:   14728:d9b670f76f51
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 08:46:54 2007 +0100
summary:     hvm: MMIO decoder rename local variable 'diff' to 'result'.

changeset:   14727:97453bb714b9
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 08:44:55 2007 +0100
summary:     hvm: Fix EFLAGS setting in MMIO decoder/emulator.

changeset:   14726:94dfb13cbbed
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 08:43:21 2007 +0100
summary:     xen: No use of packed attribute in public headers.

changeset:   14725:3121ffb809e9
user:        kfraser@localhost.localdomain
date:        Thu Apr 05 08:42:34 2007 +0100
summary:     xen: Fix typo in ns16550 driver.

changeset:   14724:768a4fe105e8
user:        Steven Hand <steven@xensource.com>
date:        Thu Apr 05 08:24:56 2007 +0100
summary:     Fix hvm balloon driver; missed this hunk in last checkin.

changeset:   14723:adf7f391be71
user:        Steven Hand <steven@xensource.com>
date:        Thu Apr 05 06:51:53 2007 +0100
summary:     Fix comment.

changeset:   14722:1ec1affb1b50
user:        Keir Fraser <keir@xensource.com>
date:        Wed Apr 04 22:47:20 2007 +0100
summary:     xen: No need for shadow_drop_references() in remove_page().

changeset:   14721:f4318c89291a
user:        Keir Fraser <keir@xensource.com>
date:        Wed Apr 04 21:49:04 2007 +0100
summary:     Various cleanups and fixes for PV-on-HVM drivers.

changeset:   14720:2bbd28891160
user:        Steven Hand <steven@xensource.com>
date:        Wed Apr 04 19:59:10 2007 +0100
summary:     Initial check-in to support PV balloon driver within HVM guests.

changeset:   14719:b3c75956303b
user:        kfraser@localhost.localdomain
date:        Wed Apr 04 19:17:39 2007 +0100
summary:     hvm: local_events_need_delivery() should take notice of EFLAGS.IF.

changeset:   14718:10f06a7a05e9
user:        kfraser@localhost.localdomain
date:        Wed Apr 04 18:41:42 2007 +0100
summary:     hvm: x86 ioemu-dm does not need a memory-size parameter on the command line.

changeset:   14717:171fba41a44e
user:        kfraser@localhost.localdomain
date:        Wed Apr 04 17:58:06 2007 +0100
summary:     hvm ioemu x86: Avoid assumptions about memory map.

changeset:   14716:0f8a327ebd4d
user:        kfraser@localhost.localdomain
date:        Wed Apr 04 16:34:56 2007 +0100
summary:     Clean up save/restore state record handling. No need for Python to

changeset:   14715:3f6ad86d37bd
user:        kfraser@localhost.localdomain
date:        Wed Apr 04 16:18:28 2007 +0100
summary:     hvm: Lazy memory allocation during HVM restore. General cleanup and

changeset:   14714:e74bf0303658
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Wed Apr 04 15:57:49 2007 +0100
summary:     RFLAGS is in a known good state at start of day so no need to explicitly initialize.

changeset:   14713:bc43ac9631e3
user:        kfraser@localhost.localdomain
date:        Wed Apr 04 11:57:28 2007 +0100
summary:     hvm svm: Avoid intercepts when accessing a number of architectural MSRs.

changeset:   14712:c278b1c580db
parent:      14711:f378c424e0ce
parent:      14706:6cfc491631d5
user:        kfraser@localhost.localdomain
date:        Wed Apr 04 11:49:37 2007 +0100
summary:     Merge with xen-ia64-unstable.hg

changeset:   14711:f378c424e0ce
parent:      14710:fc9e2f7920c9
parent:      14703:7e431ea834a8
user:        Alex Williamson <alex.williamson@hp.com>
date:        Tue Apr 03 13:04:51 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14710:fc9e2f7920c9
parent:      14709:e7da2fcb7a22
parent:      14675:b0b20a09d253
user:        Alex Williamson <alex.williamson@hp.com>
date:        Fri Mar 30 17:18:42 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14709:e7da2fcb7a22
user:        Alex Williamson <alex.williamson@hp.com>
date:        Fri Mar 30 10:27:15 2007 -0600
summary:     [IA64] Avoid insertion of pte.ma=001 into VHPT

changeset:   14708:864a4553b2d0
user:        Alex Williamson <alex.williamson@hp.com>
date:        Fri Mar 30 10:25:16 2007 -0600
summary:     [IA64] Trigger memory scrub

changeset:   14707:cc0d9207cd34
parent:      14614:14aeb7981e4e
user:        Alex Williamson <alex.williamson@hp.com>
date:        Fri Mar 30 10:21:17 2007 -0600
summary:     [IA64] Cleanup vcpu *d

changeset:   14706:6cfc491631d5
user:        kfraser@localhost.localdomain
date:        Wed Apr 04 11:16:13 2007 +0100
summary:     hvm: hvm_io_assist() doesn't preoperly make use of its vcpu

changeset:   14705:0dabddd77879
user:        kfraser@localhost.localdomain
date:        Wed Apr 04 11:13:20 2007 +0100
summary:     xen: Disable foreign-header size check if cross compiling.

changeset:   14704:2d25db73ddc1
user:        kfraser@localhost.localdomain
date:        Wed Apr 04 10:42:58 2007 +0100
summary:     Remove hvm_drain_io() hypercall, simplify qemu main loop and do not

changeset:   14703:7e431ea834a8
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Tue Apr 03 13:22:37 2007 +0100
summary:     [hvm] Keep track of time offset between domain time and dom0 time.

changeset:   14702:cd01741aaa93
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Apr 03 12:22:10 2007 +0100
summary:     Added section on Xend's runtime dependencies.

changeset:   14701:a1b17c48fb40
user:        kfraser@localhost.localdomain
date:        Tue Apr 03 11:44:10 2007 +0100
summary:     xen: Allow vcpus to defer a shutdown request across critical

changeset:   14700:45e9f6d7e422
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Apr 03 10:36:31 2007 +0100
summary:     Remove unused import.

changeset:   14699:4f67d849e788
user:        kfraser@localhost.localdomain
date:        Tue Apr 03 09:03:51 2007 +0100
summary:     Fix "xm migrate" hang on failure.

changeset:   14698:920f762ca42d
user:        kfraser@localhost.localdomain
date:        Tue Apr 03 09:03:03 2007 +0100
summary:     Fix the ia64 build after save/restore cleanups.

changeset:   14697:870133a06f43
user:        kfraser@localhost.localdomain
date:        Mon Apr 02 17:34:00 2007 +0100
summary:     xend: Map re.compile on hosts_allow for XMLRPCServer.

changeset:   14696:8cf85d3f4f5f
user:        kfraser@localhost.localdomain
date:        Mon Apr 02 16:59:00 2007 +0100
summary:     hvm vmx: VMX MSR bitmap format and size is VMX-specific, so move its

changeset:   14695:e9986e48ebe1
user:        kfraser@localhost.localdomain
date:        Mon Apr 02 16:51:52 2007 +0100
summary:     hvm svm: Clear FS/GS base MSR intercepts.

changeset:   14694:d05a3220ea05
user:        Steven Hand <steven@xensource.com>
date:        Mon Apr 02 16:46:52 2007 +0100
summary:     Some save/restore cleanups.

changeset:   14693:9695cc13c48c
user:        kfraser@localhost.localdomain
date:        Mon Apr 02 16:26:23 2007 +0100
summary:     xen: Remove two incorrect assertions.

changeset:   14692:812bbbee5f62
user:        kfraser@localhost.localdomain
date:        Mon Apr 02 15:29:42 2007 +0100
summary:     xen: Fix x86/64 build.

changeset:   14691:2adce39bc294
user:        kfraser@localhost.localdomain
date:        Mon Apr 02 13:08:05 2007 +0100
summary:     xentop: Fix memory leak.

changeset:   14690:598d55e3ff2f
user:        kfraser@localhost.localdomain
date:        Mon Apr 02 13:06:48 2007 +0100
summary:     hvm hap: Add hap option to user's manual.

changeset:   14689:f0f9533b2a23
user:        kfraser@localhost.localdomain
date:        Mon Apr 02 13:05:59 2007 +0100
summary:     hvm hap: P2M page table cleanup and bug fix.

changeset:   14688:149943a5d2c8
user:        kfraser@localhost.localdomain
date:        Mon Apr 02 11:50:06 2007 +0100
summary:     xen: Extra %esp tracing on double fault.

changeset:   14687:8f9ca49175ce
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 19:02:09 2007 +0100
summary:     linux: Remove a few redundant config options. Build util.c for ia64

changeset:   14686:b0a6220047e3
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 17:22:46 2007 +0100
summary:     linux: Avoid use of ptep_get_and_clear_full name as it's a macro on

changeset:   14685:2e5b6c02566f
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 16:52:36 2007 +0100
summary:     libxc: Fix the build with some versions of gcc.

changeset:   14684:f4c721dae13a
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 16:39:14 2007 +0100
summary:     linux gntdev: Mark x86-specific code as such with ifdef.

changeset:   14683:3a0b808d917a
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 16:35:02 2007 +0100
summary:     xen x86: Fix double-fault handler stack overflow.

changeset:   14682:fbe52b559161
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 14:05:57 2007 +0100
summary:     xend: Implement auto-ballooning for Solaris.

changeset:   14681:7b77b47a49d1
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 14:03:17 2007 +0100
summary:     libxc: User-space grant table device.

changeset:   14680:5e65a86c8982
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 13:53:24 2007 +0100
summary:     linux: User-space grant table device.

changeset:   14679:7180d2e61f92
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 12:42:02 2007 +0100
summary:     linux: Add a hook before a page table entry is cleared, for use with

changeset:   14678:2de267ba9a76
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 12:26:04 2007 +0100
summary:     xm: Fix an indentation bug.

changeset:   14677:6898d8ae7ae4
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 12:24:55 2007 +0100
summary:     blktap: Fix qcow2raw.

changeset:   14676:c1578c694b39
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 31 12:20:31 2007 +0100
summary:     xen: Fix numa=on boot.

changeset:   14675:b0b20a09d253
user:        Keir Fraser <keir@xensource.com>
date:        Fri Mar 30 19:02:40 2007 +0100
summary:     hvm svm: Some code cleanups.

changeset:   14674:2b715386b4cf
user:        Keir Fraser <keir@xensource.com>
date:        Fri Mar 30 18:42:49 2007 +0100
summary:     hvm vmx: Fix MSR-intercept bitmap initialisation (two bitmap offsets

changeset:   14673:36ff129dbd8b
user:        Keir Fraser <keir@xensource.com>
date:        Fri Mar 30 18:39:34 2007 +0100
summary:     xen: Fix domain shutdown to synchronously stop domain execution.

changeset:   14672:5138c48c7138
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Fri Mar 30 17:33:31 2007 +0100
summary:     [LINUX] Explcitly include linux/mutex.h in files which use mutexes, rather then

changeset:   14671:a02b39eaba58
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Mar 30 17:28:54 2007 +0100
summary:     Add support for HVM domains to new xm XenAPI create code

changeset:   14670:d3b1341d83db
user:        Keir Fraser <keir@xensource.com>
date:        Fri Mar 30 17:13:50 2007 +0100
summary:     svm: Improve emulation of SMSW instruction for memory operands.

changeset:   14669:3c0d15279dc7
user:        Keir Fraser <keir@xensource.com>
date:        Fri Mar 30 17:02:46 2007 +0100
summary:     hvm: Must increment RIP on INT3 instruction in SVM.

changeset:   14668:4a873ab4e261
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Fri Mar 30 14:13:53 2007 +0100
summary:     [LINUX] Make sure to initialiase the xen features bitmap before first use on x86_64.

changeset:   14667:7ea36c7d6521
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Mar 30 11:55:34 2007 +0100
summary:     Add config files for testing xm via XendAPI

changeset:   14666:a5a2c49eda68
user:        Jim Fehlig <jfehlig@novell.com>
date:        Tue Mar 13 18:13:11 2007 -0600
summary:     Managed HVM guests are not displayed by 'xm list' after restarting xend.

changeset:   14665:9981a42c8054
user:        Magnus Carlsson <magnus@galois.com>
date:        Thu Mar 29 14:27:46 2007 -0700
summary:     Made tracing thread safe, and also print thread name.

changeset:   14664:dc1654ada984
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 23:31:58 2007 +0100
summary:     xend: Fix shutdown method after PV-on-HVM save/restore patch.

changeset:   14663:4434d1039a65
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 19:26:13 2007 +0100
summary:     acm: Provide the possibility to choose the VM label of domain-0 in the

changeset:   14662:4a240d458db9
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 19:23:41 2007 +0100
summary:     hvm: Fix the assert on size in HVM MMIO flag-setting functions

changeset:   14661:9a839ead4870
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 19:18:43 2007 +0100
summary:     Enable VMX MSR bitmap support.

changeset:   14660:704151d0e219
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 18:26:12 2007 +0100
summary:     xen: Rename remaining vcpu_flags as pause_flags.

changeset:   14659:28e187c8221d
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 18:19:10 2007 +0100
summary:     xen: Remove droppings from a previous patch.

changeset:   14658:f830c5719e74
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 18:07:33 2007 +0100
summary:     xen: Remove {nmi_pending,nmi_masked,paused} vcpu bitflags.

changeset:   14657:3681f91a91e8
parent:      14656:e3dc8cea5bc0
parent:      14655:d93a48816328
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 29 16:28:34 2007 +0000
summary:     Merge

changeset:   14656:e3dc8cea5bc0
parent:      14653:2317e0cdd07d
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 29 16:27:52 2007 +0000
summary:     [HVM] Save/restore: PV-on-HVM driver save/restore support

changeset:   14655:d93a48816328
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Mar 29 17:09:49 2007 +0100
summary:     Let xm commands use domids with XenAPI

changeset:   14654:b7ae31726aa6
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 16:52:40 2007 +0100
summary:     xen: Get rid of some VCPUF_* flags and move into their own byte fields.

changeset:   14653:2317e0cdd07d
parent:      14652:86a798a62cc5
parent:      14647:2ac29d446366
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 29 15:33:32 2007 +0000
summary:     Merge

changeset:   14652:86a798a62cc5
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 29 15:32:08 2007 +0000
summary:     [HVM] Save/restore: fix missing return code in USB restore

changeset:   14651:f06535a8ae9f
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 29 15:30:01 2007 +0000
summary:     [HVM] Save/restore: Allow save/restore of multiple NICs

changeset:   14650:8f5a947c0ea6
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 29 15:29:15 2007 +0000
summary:     [HVM] Save/restore: backport pcnet save/restore from qemu tip.

changeset:   14649:19f33f5ba96b
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 29 15:28:27 2007 +0000
summary:     [HVM] Save/restore: Save the ACPI PM control register in qemu

changeset:   14648:121a97005d11
parent:      14645:a9dc65d34b14
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 29 15:27:18 2007 +0000
summary:     [HVM] Save/restore: don't get guest size from "memory_static_min"

changeset:   14647:2ac29d446366
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Mar 29 16:29:31 2007 +0100
summary:     Finish off network in xm via XenAPI

changeset:   14646:2e05921d4f78
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Thu Mar 29 15:59:53 2007 +0100
summary:     Make network.name_label == bridge name

changeset:   14645:a9dc65d34b14
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 29 16:18:39 2007 +0100
summary:     Fix bad behaviour of xm when calling event.next(), by adding a different error

changeset:   14644:dd844ac0c289
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 29 15:51:04 2007 +0100
summary:     Minor fix.

changeset:   14643:414735d45904
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 29 15:46:30 2007 +0100
summary:     Added asynchronous event notification through the Xen-API.  Added a new command,

changeset:   14642:121fb4046945
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 29 15:22:02 2007 +0100
summary:     Fix the xen-api-server option parsing, so that we default to listening on

changeset:   14641:6314d433d042
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 29 15:10:26 2007 +0100
summary:     Fix PIF_metrics_methods declaration, which has broken PIF.

changeset:   14640:7b17dd28500c
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 29 15:06:12 2007 +0100
summary:     This patch adds serialization of sets with strings. I recursified the

changeset:   14639:4b13fc910acf
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 15:14:26 2007 +0100
summary:     xen: Split domain_flags into discrete first-class fields in the

changeset:   14638:31f20aaac818
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 13:29:24 2007 +0100
summary:     xen: Pause domain when changing debug status.

changeset:   14637:a545ac9028d2
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 12:04:35 2007 +0100
summary:     hvm: Avoid separate nested-page-table control-register logic in SVM code.

changeset:   14636:98b049ed2540
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 11:01:41 2007 +0100
summary:     hvm: Remove extremely verbose debugging from SVM code.

changeset:   14635:ea55ead0fd47
user:        kfraser@localhost.localdomain
date:        Thu Mar 29 10:41:37 2007 +0100
summary:     hvm vmx: Better management of VMX control bitmaps.

changeset:   14634:78af882eb6fc
user:        Keir Fraser <keir@xensource.com>
date:        Wed Mar 28 20:19:11 2007 +0100
summary:     pciback: Devices can lose config space info on D3->D0 transition, yet

changeset:   14633:eddce921d414
user:        Keir Fraser <keir@xensource.com>
date:        Wed Mar 28 18:48:54 2007 +0100
summary:     ia64: Remove list_move() implementation. Now implemenetd in generic list.h.

changeset:   14632:5c52e5ca8459
user:        Keir Fraser <keir@xensource.com>
date:        Wed Mar 28 18:47:17 2007 +0100
summary:     hvm: Clean up handling of exception intercepts.

changeset:   14631:ffb9dda42946
user:        Keir Fraser <keir@xensource.com>
date:        Wed Mar 28 16:52:05 2007 +0100
summary:     hvm svm: Inject #UD exception if guest tries to execute any SVM-related

changeset:   14630:b6eaca0bcee1
parent:      14629:e4e6aab3ec13
parent:      14628:c0c5e37b20ae
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Mar 28 15:04:14 2007 +0000
summary:     Merge

changeset:   14629:e4e6aab3ec13
parent:      14627:6ee683d1b61f
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Mar 28 15:02:54 2007 +0000
summary:     [SVM] Inject a "fake" interrupt if we delay an interrupt for an exception

changeset:   14628:c0c5e37b20ae
user:        Steven Hand <steven@xensource.com>
date:        Wed Mar 28 15:58:42 2007 +0100
summary:     Don't trap int3 instructions by default - can have a major overhead in

changeset:   14627:6ee683d1b61f
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Mar 28 15:31:17 2007 +0100
summary:     Remove unused import; library moved

changeset:   14626:41b8af05cb68
user:        kfraser@localhost.localdomain
date:        Wed Mar 28 15:01:24 2007 +0100
summary:     linux pciback: Proper fix for build failure.

changeset:   14625:c16e258fcac5
user:        kfraser@localhost.localdomain
date:        Wed Mar 28 14:43:41 2007 +0100
summary:     xen: Sync the list.h macros to Linux 2.6.18.

changeset:   14624:72ea3ff64ad8
user:        kfraser@localhost.localdomain
date:        Wed Mar 28 14:42:54 2007 +0100
summary:     linux: Fix the pciback build (temporary hack).

changeset:   14623:50965ae270c9
user:        kfraser@localhost.localdomain
date:        Wed Mar 28 14:00:56 2007 +0100
summary:     [ACM] Allow version information to be embedded in the XML representation of

changeset:   14622:32f532e6c054
user:        kfraser@localhost.localdomain
date:        Wed Mar 28 13:56:22 2007 +0100
summary:     xenbus: check function return values of functions declared with

changeset:   14621:64ab7d443549
user:        kfraser@localhost.localdomain
date:        Wed Mar 28 13:55:01 2007 +0100
summary:     pciback: check function return values of functions declared with

changeset:   14620:72a5f76ac8dd
user:        kfraser@localhost.localdomain
date:        Wed Mar 28 13:53:27 2007 +0100
summary:     Remove page_is_removable arch hook. Now the ia64 p2m semantic becomes

changeset:   14619:77b210daefee
user:        kfraser@localhost.localdomain
date:        Wed Mar 28 13:52:03 2007 +0100
summary:     linux evtchn: Read function in evtchn driver requires locking.

changeset:   14618:7e6ef2b914aa
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Wed Mar 28 12:38:13 2007 +0100
summary:     Fix to let TCP server run without SSL installed.

changeset:   14617:f9d23364567a
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Wed Mar 28 11:01:58 2007 +0100
summary:     [linux] Fix xenbus device to allow replies larger than 4096 bytes.

changeset:   14616:4c5ea17290fe
parent:      14615:0b2794d3320f
parent:      14609:9c1367368ee3
user:        kfraser@localhost.localdomain
date:        Wed Mar 28 10:41:53 2007 +0100
summary:     Merge with xen-ia64-unstable.hg

changeset:   14615:0b2794d3320f
parent:      14614:14aeb7981e4e
parent:      14607:ff6a1607c17b
user:        kfraser@localhost.localdomain
date:        Wed Mar 28 10:38:41 2007 +0100
summary:     Merge with xen-ia64-unstable.hg

changeset:   14614:14aeb7981e4e
parent:      14613:2c59917255f7
parent:      14560:10fcea8f51cd
user:        awilliam@xenbuild2.aw
date:        Tue Mar 27 12:21:48 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14613:2c59917255f7
user:        awilliam@xenbuild2.aw
date:        Tue Mar 27 09:07:51 2007 -0600
summary:     [IA64] Remove debugger calls from panic_domain()

changeset:   14612:56caf0e37e6a
parent:      14611:16198b57f535
parent:      14552:3afefd64e392
user:        awilliam@xenbuild2.aw
date:        Mon Mar 26 10:10:31 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14611:16198b57f535
user:        awilliam@xenbuild2.aw
date:        Mon Mar 26 09:17:25 2007 -0600
summary:     [IA64] Remove P2M workaround

changeset:   14610:fa77ec03afd6
parent:      14523:be1017157768
user:        awilliam@xenbuild2.aw
date:        Mon Mar 26 09:15:17 2007 -0600
summary:     [IA64] Make P2M semantics match x86

changeset:   14609:9c1367368ee3
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Wed Mar 28 10:36:49 2007 +0100
summary:     [ioemu] Don't enable monitor or serial console on virtual consoles by default.

changeset:   14608:3d7a4ac397b1
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Wed Mar 28 10:05:37 2007 +0100
summary:     [ioemu] Revert 14585:3375391fb0c9 since this removes useful functionality.

changeset:   14607:ff6a1607c17b
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Mar 28 09:12:16 2007 +0000
summary:     Editing long lines in pygrub interactively could lead to tracebacks.

changeset:   14606:b7c1b412c472
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 28 10:05:03 2007 +0100
summary:     Fix missing import.

changeset:   14605:8a3b9908fd75
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 28 10:04:32 2007 +0100
summary:     Fix diagnosis of unhandled exceptions.

changeset:   14604:81fec499a983
parent:      14603:bc2811bf7771
parent:      14602:a138ae831515
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Mar 28 08:44:08 2007 +0000
summary:     Merge

changeset:   14603:bc2811bf7771
parent:      14570:70f4d99d1aed
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Mar 28 08:40:42 2007 +0000
summary:     [HVM][HAP] Fix up some memory allocation bugs

changeset:   14602:a138ae831515
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 28 01:09:14 2007 +0100
summary:     Fix typo.

changeset:   14601:966c65f0ddba
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 23:23:01 2007 +0100
summary:     Added HTTPS support to Xend.  There are new configuration options for the

changeset:   14600:94b873fb033a
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 23:03:32 2007 +0100
summary:     Added comment regarding a Python bug.

changeset:   14599:b13a95fc0e2f
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 22:34:22 2007 +0100
summary:     Move the client-specific parts of xmlrpclib2 into xmlrpcclient.py.  This means

changeset:   14598:ea68ae90fc10
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 16:52:56 2007 +0100
summary:     Add auto-start and auto-stop functionality.

changeset:   14597:104fc282e53c
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 16:33:26 2007 +0100
summary:     Use the new blkback sysfs statistics/{rd,wr}_sect to get a more accurate

changeset:   14596:6664a713f55f
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 19:05:48 2007 +0100
summary:     hvm svm: Do not deliver virtual interrupts concurrently with virtual exceptions.

changeset:   14595:c489a25c9f9a
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 18:53:05 2007 +0100
summary:     hvm svm: Initialise VMCB CR4 and shadow CR4 with 0 when VMCB is being

changeset:   14594:faf0a055aa92
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 18:51:07 2007 +0100
summary:     hvm: Clean up intr_assist() functions (both VMX and SVM,. but mainly

changeset:   14593:2864754a398f
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Tue Mar 27 17:43:36 2007 +0100
summary:     Fix typo in VDB_metrics_methods in XenAPI

changeset:   14592:ebb8ad702157
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Tue Mar 27 15:47:02 2007 +0100
summary:     Make xm sysrq work via XenAPI re: PAUSED state problem

changeset:   14591:cb7d02592b96
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 17:23:33 2007 +0100
summary:     linux/x86-64: cleanup the Xen-specific macros in entry-xen.S

changeset:   14590:c1bfe329f7ff
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 17:21:14 2007 +0100
summary:     hvm svm: Bug fix for page allocation when HAP is being used

changeset:   14589:d4ddaff75afd
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 16:56:20 2007 +0100
summary:     hvm: Fix undefined bit shifting in mmio emulation path

changeset:   14588:681ed46676a6
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 16:45:37 2007 +0100
summary:     Fix 'xm list' long output to skip legacy 'cpus'.

changeset:   14587:ea0b50ca4999
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 16:42:47 2007 +0100
summary:     xen: Remove legacy references to explicitly per-cpu perf counters.

changeset:   14586:96f167771979
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 16:35:37 2007 +0100
summary:     xen: Make all performance counter per-cpu, avoiding the need to update

changeset:   14585:3375391fb0c9
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 16:23:52 2007 +0100
summary:     hvm: Remove access to QEMU monitor in VNC server

changeset:   14584:a9a39cc52e74
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 16:19:25 2007 +0100
summary:     linux: Fix for missing response to XS_UNWATCH request.

changeset:   14583:f1014cbe906a
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 16:03:30 2007 +0100
summary:     Further shrink the big-lock window.

changeset:   14582:070cf119a7ec
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 15:53:45 2007 +0100
summary:     Add WARN() and generic WARN_ON().

changeset:   14581:7c2e8bbe9ef8
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 14:50:17 2007 +0100
summary:     In order to allow building as non-root with a non-default CC (which

changeset:   14580:035ce339d337
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 14:34:34 2007 +0100
summary:     Do not issue a warning on XendDomainInfo.recreate for dom0 -- this is normal

changeset:   14579:e43a9c52c843
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 14:22:29 2007 +0100
summary:     Fix some fields so that they are declared as read-only (always should have

changeset:   14578:7eff43986c3a
parent:      14577:c815f6553816
parent:      14576:79449efbdd80
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Tue Mar 27 14:02:17 2007 +0100
summary:     Merge

changeset:   14577:c815f6553816
parent:      14572:2c1556c893e7
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Tue Mar 27 13:45:30 2007 +0100
summary:     Fix typo in VIF_metrics_methods in XenAPI

changeset:   14576:79449efbdd80
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 11:54:16 2007 +0100
summary:     linux: Fix a compiler warning (unused local variable).

changeset:   14575:ec3b843dd733
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 11:53:07 2007 +0100
summary:     hvm svm: Rename svm_do_vmmcall_reset_to_realmode() and some small

changeset:   14574:c9dc33338ccc
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 11:50:43 2007 +0100
summary:     [ACM] Check offset to be within the buffer's size

changeset:   14573:ba9d3fd4ee4b
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 11:47:20 2007 +0100
summary:     Fix time reporting to guest.

changeset:   14572:2c1556c893e7
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 11:31:25 2007 +0100
summary:     Fix the default for the is_a_template flag.

changeset:   14571:b685bb321d1e
user:        kfraser@localhost.localdomain
date:        Tue Mar 27 11:20:55 2007 +0100
summary:     Fix push/jmp/call <reg/mem> to check whether the operand is register

changeset:   14570:70f4d99d1aed
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Mon Mar 26 17:22:45 2007 +0100
summary:     Fix xm network-attach via XenAPI re: paused domain state

changeset:   14569:ddc2f8b061a3
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Mon Mar 26 16:48:20 2007 +0100
summary:     Fix up xm vcpu-pin via XenAPI, change types of new VM Metrics feilds

changeset:   14568:5a60095a2299
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Mon Mar 26 16:18:16 2007 +0100
summary:     Make 06_destroy_dom0_neg pass with xm via XenAPI.

changeset:   14567:effef488d448
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Mon Mar 26 16:04:24 2007 +0100
summary:     Fix xm info etc since changes to Session in XenAPI

changeset:   14566:3b2efc3cf6b6
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Mon Mar 26 15:09:24 2007 +0100
summary:     Add option to xm create to skip DTD checks.

changeset:   14565:d01e7ace9d2c
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Mon Mar 26 14:57:12 2007 +0100
summary:     Add autodetect to xm create for xml files

changeset:   14564:f6c38a084bef
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 00:54:05 2007 +0100
summary:     Convert XendPIFMetrics into an autoplug class.

changeset:   14563:75c797744eb4
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 00:48:46 2007 +0100
summary:     Convert XendVMMetrics into an autoplug class.  Tidy up our destroy methods

changeset:   14562:03d0dda70a8f
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 00:19:20 2007 +0100
summary:     Added network.other_config map.  To make this easier, add a new automatic

changeset:   14561:616611521a1d
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 27 00:15:07 2007 +0100
summary:     Trivial tidyup.

changeset:   14560:10fcea8f51cd
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 14:10:19 2007 +0100
summary:     This patch replaces tab with 4 whitespaces in xensec_gen/main.py.

changeset:   14559:adbcc10eb4c0
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 14:09:36 2007 +0100
summary:     Don't set memory_dynamic_max when xm mem-set is called.  Save the VM

changeset:   14558:1b4fd14f88bb
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 13:59:36 2007 +0100
summary:     Fix xm mem-set on non-running domains.  Closes bug #934.

changeset:   14557:2b372eadc4ff
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 13:57:43 2007 +0100
summary:     Ignore .pc (quilt patch queues).

changeset:   14556:e5f13664cfee
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 13:50:33 2007 +0100
summary:     Fix the xm mem-max command.  Closes bug #933.

changeset:   14555:15c74855ba68
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Mon Mar 26 13:46:07 2007 +0100
summary:     Make 05_block_attach_and_dettach_device_repeatedly_pos pass on xm via XenAPI

changeset:   14554:f4ce943f25f6
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Mon Mar 26 13:29:27 2007 +0100
summary:     Fix vbd_create etc, add devices to paused domains

changeset:   14553:7ba1e697beda
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Mar 26 09:16:04 2007 +0000
summary:     [HVM] Fix comments

changeset:   14552:3afefd64e392
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Mar 26 09:13:03 2007 +0000
summary:     [HVM] Intercept ACPI pm-timer registers

changeset:   14551:dccb274295ae
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 01:13:16 2007 +0100
summary:     Fix VM.resume/suspend docs.

changeset:   14550:8addc5015523
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 01:02:18 2007 +0100
summary:     Mark host. and PIF.metrics fields as ROrun, to match VIF, VM, and VBD.

changeset:   14549:5987388630f4
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 00:40:34 2007 +0100
summary:     Create the new VM with the default crash behaviour set.

changeset:   14548:90d84e83ad77
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 00:30:10 2007 +0100
summary:     Replace tabs with spaces.

changeset:   14547:ae81e49219a8
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 00:17:17 2007 +0100
summary:     Added I/O debugging mode.

changeset:   14546:af87a02594b6
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 00:16:40 2007 +0100
summary:     Fix memory values -- they should be in bytes.

changeset:   14545:57becbbe1564
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 00:12:19 2007 +0100
summary:     Tidy up use of stdout vs stderr.

changeset:   14544:eb52a7f22e72
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 00:09:00 2007 +0100
summary:     Fix the VM.is_a_template flag for domain 0.

changeset:   14543:af07c7b01893
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 26 00:08:13 2007 +0100
summary:     Implement session.last_active, session.this_host, session.get_record,

changeset:   14542:e3e7c59cdba1
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Mar 25 22:17:30 2007 +0100
summary:     Added C bindings and docs for recent addition VM.set_VCPUs_number_live.

changeset:   14541:b37006439a53
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Mar 25 16:47:18 2007 +0100
summary:     Remove stillborn DTD section, in favour of an upcoming new doc for the xm

changeset:   14540:0810daf7206e
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 17:51:24 2007 +0000
summary:     Workaround buggy GCCs wrt strftime.

changeset:   14539:94943f2e1de9
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 17:50:18 2007 +0000
summary:     Don't use the client-side shortcut for get_uuid calls -- we need to keep

changeset:   14538:238ed1c75194
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 17:42:08 2007 +0000
summary:     Ignore exceptions in the get_all_methods call.

changeset:   14537:f434c63b484a
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 17:14:22 2007 +0000
summary:     Add VM.set_memory_dynamic_*_live methods, and use those in xm mem-set.

changeset:   14536:2249cb6b5e42
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 16:54:34 2007 +0000
summary:     Release the domains_lock properly when get_dev_property_by_uuid fails.

changeset:   14535:6f2f72f39872
user:        Tom Wilkie <tom.wilkie@gmail.com>
date:        Fri Mar 23 15:10:46 2007 +0000
summary:     Fix rebooting domains problem with new internal memory storage

changeset:   14534:678b8838d361
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 13:27:29 2007 +0000
summary:     Add a last_updated field to every metrics class.

changeset:   14533:931c4b77ea7d
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 13:26:08 2007 +0000
summary:     Implement parsing of datetimes.

changeset:   14532:fbe72d878196
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 11:52:09 2007 +0000
summary:     Return an error when a schedule-setting call fails.

changeset:   14531:fb6395d2e979
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 11:32:32 2007 +0000
summary:     Since CPP is being used with CFLAGS, it should be in lock-step with CC,

changeset:   14530:ac5c0a100868
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 11:12:25 2007 +0000
summary:     Fix typos.

changeset:   14529:7869f58ff551
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 11:11:41 2007 +0000
summary:     Replace tabs with spaces.

changeset:   14528:a34ab3f899c4
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 11:04:51 2007 +0000
summary:     Fix state in xm list; add state to VM_metrics class.

changeset:   14527:5dfa9b09b07c
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 11:00:08 2007 +0000
summary:     Fix xenapi_create re: Multiple VIFs for test 04_restore_withdevices_pos

changeset:   14526:8b0be0ddc223
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 23 10:59:49 2007 +0000
summary:     Make xm save / restore talk XenAPI; add save / restore to VM class.

changeset:   14525:fd0b109501af
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 23 10:46:39 2007 +0000
summary:     Remove xc_shadow tool

changeset:   14524:2cecfa20ffa9
parent:      14523:be1017157768
parent:      14489:a234dcbd8357
user:        kfraser@localhost.localdomain
date:        Fri Mar 23 10:11:58 2007 +0000
summary:     Merge with xen-ia64-unstable.hg

changeset:   14523:be1017157768
parent:      14522:93e11f6d6791
parent:      14479:6519867be0fe
user:        awilliam@xenbuild2.aw
date:        Thu Mar 22 09:30:54 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14522:93e11f6d6791
user:        awilliam@xenbuild2.aw
date:        Thu Mar 22 09:28:05 2007 -0600
summary:     [IA64] Improve error message when HVM domain creation failed

changeset:   14521:2216a45bf058
parent:      14520:f74e837c3902
parent:      14462:3fd9b0c71b8c
user:        awilliam@xenbuild2.aw
date:        Tue Mar 20 15:19:38 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14520:f74e837c3902
user:        awilliam@xenbuild2.aw
date:        Tue Mar 20 10:07:11 2007 -0600
summary:     [IA64][MINIOS] Make Endian-ness build changeable on the command line

changeset:   14519:0fadd0476e03
user:        awilliam@xenbuild2.aw
date:        Tue Mar 20 09:51:45 2007 -0600
summary:     [IA64][MINIOS] Fixed some big-endian bugs and add HYPERVISOR_suspend

changeset:   14518:c07b1dc6dc6d
user:        awilliam@xenbuild2.aw
date:        Tue Mar 20 09:32:24 2007 -0600
summary:     [IA64] fix access rights in VHPT when itr.ar!=dtr.ar

changeset:   14517:2dbee4f1ee63
user:        awilliam@xenbuild2.aw
date:        Tue Mar 20 09:24:02 2007 -0600
summary:     [IA64] Avoid double free of VHPT for HVM domain

changeset:   14516:e1d626bde5db
user:        awilliam@xenbuild2.aw
date:        Tue Mar 20 09:21:47 2007 -0600
summary:     [IA64] Fix isr setting vs viosapic interupt delivery

changeset:   14515:e014b94333aa
user:        awilliam@xenbuild2.aw
date:        Tue Mar 20 09:16:09 2007 -0600
summary:     [IA64] Fix thash_init()

changeset:   14514:1584263f9fc5
parent:      14513:a230a1a167dc
parent:      14394:809f36b1b685
user:        awilliam@xenbuild2.aw
date:        Thu Mar 15 09:04:23 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14513:a230a1a167dc
user:        awilliam@xenbuild2.aw
date:        Thu Mar 15 09:00:42 2007 -0600
summary:     [IA64] Fix PAL_CACHE_FLUSH to be vcpu-migration-safe

changeset:   14512:a862200c572a
user:        awilliam@xenbuild2.aw
date:        Wed Mar 14 09:36:14 2007 -0600
summary:     [IA64] Fix get_page_type() and put_page_type()

changeset:   14511:c0cdb349a11a
user:        awilliam@xenbuild2.aw
date:        Wed Mar 14 09:33:40 2007 -0600
summary:     [IA64] Use domheap instead of xenheap for P2M table

changeset:   14510:cb2575cec95c
parent:      14509:d1853a39e063
parent:      14343:8a01644306ee
user:        awilliam@xenbuild2.aw
date:        Mon Mar 12 10:07:08 2007 -0600
summary:     merge with xen-unstable.hg

changeset:   14509:d1853a39e063
user:        awilliam@xenbuild2.aw
date:        Mon Mar 12 09:43:48 2007 -0600
summary:     [IA64][MINIOS] cleanup ia64_boot_paramP and add ARCH_LDFLAGS

changeset:   14508:9ea0c5f469c8
user:        awilliam@xenbuild2.aw
date:        Mon Mar 12 09:39:59 2007 -0600
summary:     [IA64] PV steal time accounting

changeset:   14507:800f7904d6a4
user:        awilliam@xenbuild2.aw
date:        Mon Mar 12 08:43:56 2007 -0600
summary:     [IA64] Follow dynamic grant_table for PV-on-HVM on IPF

changeset:   14506:dc6fbe46ec91
user:        awilliam@xenbuild2.aw
date:        Mon Mar 12 08:42:11 2007 -0600
summary:     [IA64] Fix return value of hypercall from VT-i domain

changeset:   14505:1f303be68364
user:        awilliam@xenbuild2.aw
date:        Mon Mar 12 08:40:57 2007 -0600
summary:     [IA64] Fix for compiling PV-on-HVM driver on IPF

changeset:   14504:9fbaf07d3f67
user:        awilliam@xenbuild2.aw
date:        Thu Mar 08 09:50:25 2007 -0700
summary:     [IA64] Add HYPERVISOR_vcpu_op

changeset:   14503:4e367aa89895
user:        awilliam@xenbuild2.aw
date:        Wed Mar 07 13:16:07 2007 -0700
summary:     [IA64] Steal time accounting for PV domain - hypervisor side

changeset:   14502:9f8e996a678d
user:        awilliam@xenbuild2.aw
date:        Wed Mar 07 12:45:08 2007 -0700
summary:     [IA64] Add arch/ia64/kernel/time.c to spare tree for steal time accounting

changeset:   14501:210858e4f6d5
user:        awilliam@xenbuild2.aw
date:        Wed Mar 07 12:42:32 2007 -0700
summary:     [IA64] Xen/ia64 XENMEM_exchange bug work around

changeset:   14500:50d5bf02e59e
parent:      14499:8a58ea36e420
parent:      14282:8117f6684991
user:        awilliam@xenbuild2.aw
date:        Wed Mar 07 12:38:28 2007 -0700
summary:     merge with xen-unstable.hg

changeset:   14499:8a58ea36e420
user:        awilliam@xenbuild2.aw
date:        Thu Mar 01 15:02:09 2007 -0700
summary:     [IA64] Bug fixes to assign_domain_mmio_page()

changeset:   14498:0deb53ff4b67
user:        awilliam@xenbuild2.aw
date:        Thu Mar 01 11:21:44 2007 -0700
summary:     [IA64] Handle MMIO EFI mappings outside the page table range

changeset:   14497:f21250323a30
user:        awilliam@xenbuild2.aw
date:        Thu Mar 01 10:31:58 2007 -0700
summary:     [IA64] Update sn_sal.h to latest 2.6.20 version

changeset:   14496:b3e19f3092b6
user:        awilliam@xenbuild2.aw
date:        Wed Feb 28 11:02:16 2007 -0700
summary:     [IA64] warning fixes

changeset:   14495:347fb33790bd
user:        awilliam@xenbuild2.aw
date:        Wed Feb 28 10:55:50 2007 -0700
summary:     [IA64] SN2 specific SAL calls for dom0

changeset:   14494:2e2019e09e6c
user:        awilliam@xenbuild2.aw
date:        Wed Feb 28 10:35:48 2007 -0700
summary:     [IA64] sn2 IO build fixes

changeset:   14493:21d0d23a2cca
user:        awilliam@xenbuild2.aw
date:        Wed Feb 28 10:18:44 2007 -0700
summary:     [IA64] Fix ptc.ga emulation bug

changeset:   14492:ac28d6c41e6f
user:        awilliam@xenbuild2.aw
date:        Wed Feb 28 09:43:09 2007 -0700
summary:     [IA64] Remove unused code

changeset:   14491:dda691c7f25f
user:        awilliam@xenbuild2.aw
date:        Wed Feb 28 09:40:36 2007 -0700
summary:     [IA64][MINIOS] Make mini-os ia64 cross compile-able

changeset:   14490:707a696e840d
parent:      14076:202eb735b425
user:        awilliam@xenbuild2.aw
date:        Fri Feb 23 14:06:08 2007 -0700
summary:     [IA64][MINIOS] Build fix

changeset:   14489:a234dcbd8357
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 22 19:04:45 2007 +0000
summary:     Implemented host.get_PIFs.

changeset:   14488:2d918219f234
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 22 18:41:15 2007 +0000
summary:     Fix the parsing of the is_a_template and auto_power_on flags.  Don't try to

changeset:   14487:1fc6efdab399
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 22 18:40:20 2007 +0000
summary:     Fix the handling of the transient flag.

changeset:   14486:abd9ae4f1f17
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 22 18:37:37 2007 +0000
summary:     Remove duplicate memory values from the SXP.

changeset:   14485:fa731dfb90d6
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 22 18:36:53 2007 +0000
summary:     Fix VM.is_a_template.

changeset:   14484:f6845c09b872
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 22 17:04:55 2007 +0000
summary:     Match the name change for the QCoW SR.

changeset:   14483:b98832bcac53
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 22 17:02:02 2007 +0000
summary:     Fixes to XendQCoWStorageRepo to match recent API changes, and fix the refreshing

changeset:   14482:5f526fcc8e58
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 22 16:32:18 2007 +0000
summary:     Add VM_metrics.start_time, and use this to implement xm uptime through the

changeset:   14481:4baae9f9fdbb
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 22 14:31:03 2007 +0000
summary:     Update VM's VCPU handling to match the documentation wrt VCPUs_max and

changeset:   14480:5c529af40697
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 22 14:27:05 2007 +0000
summary:     Fix marshalling of Xen-API maps with non-string keys.

changeset:   14479:6519867be0fe
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Thu Mar 22 12:22:16 2007 +0000
summary:     [TOOLS] libxc: Fix x86 build.

changeset:   14478:4e874484f4da
parent:      14477:49ec3725d0c0
parent:      14465:e9a5ba552808
user:        kfraser@localhost.localdomain
date:        Wed Mar 21 23:59:03 2007 +0000
summary:     Merge with xenppc-unstable-merge.hg

changeset:   14477:49ec3725d0c0
parent:      14476:2c087916aaba
parent:      14462:3fd9b0c71b8c
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Mar 21 18:08:31 2007 -0500
summary:     Merge with xen-unstable.hg.

changeset:   14476:2c087916aaba
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Mar 21 17:03:00 2007 -0500
summary:     [LIBXC][POWERPC] Use new domain builder.

changeset:   14475:265e257388b5
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Mar 21 17:03:00 2007 -0500
summary:     [POWERPC][LIBXC] Remove Prose builder.

changeset:   14474:ed84ed49bb81
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Mar 21 17:02:59 2007 -0500
summary:     [LIBXC] Allocate memory and populate p2m in arch-specific code.

changeset:   14473:2734b64255b3
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Mar 21 17:02:59 2007 -0500
summary:     [LIBXC] Move domain builder hooks into arch-specific files and remove ifdefs.

changeset:   14472:58e796d053ca
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Mar 21 17:02:59 2007 -0500
summary:     [POWERPC][XEN] Fix "xc_core" build break. Untested but might work.

changeset:   14471:09a3bd14a4fa
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Mar 21 17:02:59 2007 -0500
summary:     [POWERPC][XEN] Implement arch_get_xen_caps().

changeset:   14470:e7f49a00bc46
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Mar 21 17:02:59 2007 -0500
summary:     [POWERPC][XEN] Use correct register set in dump_execution_state().

changeset:   14469:d5408cc3fba7
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Mar 21 17:02:59 2007 -0500
summary:     [POWERPC][XEN] Quiet timebase synchronization at boot.

changeset:   14468:59305500d95d
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Mar 21 17:02:59 2007 -0500
summary:     [POWERPC][XEN] Clear the RMA flag on freed pages.

changeset:   14467:dcec453681bc
parent:      14466:8f0b5295bb1b
parent:      14287:38513d22d234
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Thu Mar 08 14:39:52 2007 -0600
summary:     [POWERPC][XEN] Merge with xen-unstable.hg.

changeset:   14466:8f0b5295bb1b
parent:      14235:5a2b3a1b1f63
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Mon Mar 05 12:49:12 2007 -0600
summary:     [POWERPC][XEN] Remove asm/platform.h (in favor of asm-powerpc/platform.h)

changeset:   14465:e9a5ba552808
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Mar 21 17:17:08 2007 +0000
summary:     [XEN] Shadow: check the _PAGE_PRESENT bit in fast-path MMIO shadow ptes

changeset:   14464:c9ac275f8985
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 21 12:03:42 2007 +0000
summary:     Change xm dmesg -c so that it prints out the current buffer as well as clearing

changeset:   14463:f1833268b28f
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Wed Mar 21 08:51:51 2007 +0000
summary:     LINUX: x86_64: start_pfn should be initialised even when XENFEAT_auto_translated_physmap is set.

changeset:   14462:3fd9b0c71b8c
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 17:36:18 2007 +0000
summary:     Raise an exception in xm_block_detach if using Xen-API and it fails -- this

changeset:   14461:92f14ace389c
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 17:34:34 2007 +0000
summary:     Fix xm network-list through the Xen-API for managed domains.

changeset:   14460:07d1bd92ade8
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 17:33:35 2007 +0000
summary:     Fix xm block-list through the Xen-API for managed domains.

changeset:   14459:ee06d8b5712f
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 17:30:52 2007 +0000
summary:     Make xm trigger talk XenAPI; add send_trigger to VM class.

changeset:   14458:9f9d04ce1eaf
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 17:30:05 2007 +0000
summary:     Make xm debug-keys talk XenAPI; Add send_debug_keys to host

changeset:   14457:25bb1e7d236b
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 17:26:05 2007 +0000
summary:     Change the eyecatcher to be case-insensitive, so that "Internal error" is

changeset:   14456:a6d888593117
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 16:55:29 2007 +0000
summary:     Tidy the error message from getDomains when using the Xen-API and no domain

changeset:   14455:bea7ff5ebd60
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 16:52:33 2007 +0000
summary:     Have xm-test wait for the network device to detach.  This is an asynchronous

changeset:   14454:fc918d15c981
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 15:15:37 2007 +0000
summary:     Fix sxp2xml translation to handle maxmem.

changeset:   14453:d86957cea8b8
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 15:12:07 2007 +0000
summary:     Add VIF.runtime_properties dictionary, and use that to implement xm network-list

changeset:   14452:ba1212ee7689
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 14:04:57 2007 +0000
summary:     Fix parameter to XendInvalidDomain.

changeset:   14451:cb7b69311abb
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 14:04:27 2007 +0000
summary:     Fix exception handling when xmlrpclib.Fault is raised, in legacy mode.

changeset:   14450:e7c6e6621e85
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 11:49:04 2007 +0000
summary:     Fix xm create -c.

changeset:   14449:e2f302488983
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 11:45:44 2007 +0000
summary:     Add VBD.runtime_properties dictionary, and use that to implement xm block-list

changeset:   14448:dace880e871a
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 11:44:13 2007 +0000
summary:     When creating a VBD, save the devid in the device info structure.  If creation

changeset:   14447:8b527e3d27d6
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 20 11:34:14 2007 +0000
summary:     Improve the error diagnostics within xmlrpclib2 in order to be more defensive

changeset:   14446:129bc1eda8d0
parent:      14444:61a4a4795be5
parent:      14445:522a1cd17b6d
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Tue Mar 20 14:34:53 2007 +0000
summary:     merge

changeset:   14445:522a1cd17b6d
parent:      14442:cabf9e221cd5
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Tue Mar 20 14:33:15 2007 +0000
summary:     [XEN] Implement faster int 0x80 handling for compat mode guests.

changeset:   14444:61a4a4795be5
parent:      14443:09f2e758a198
parent:      14442:cabf9e221cd5
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Mar 20 11:56:20 2007 +0000
summary:     Merge

changeset:   14443:09f2e758a198
parent:      14441:4e380c769774
user:        Mark McLoughlin <markmc@redhat.com>
date:        Tue Mar 20 11:10:52 2007 +0000
summary:     Don't mount raw blktap disks for pygrub

changeset:   14442:cabf9e221cd5
user:        kfraser@localhost.localdomain
date:        Tue Mar 20 11:28:45 2007 +0000
summary:     svm: Remove special 'launch' scheduler tail function.

changeset:   14441:4e380c769774
user:        kfraser@localhost.localdomain
date:        Mon Mar 19 16:55:21 2007 +0000
summary:     coredump: Allow mmap of shinfo to fail for any HVM guest (x86 or ia64).

changeset:   14440:36e6f85cd572
user:        kfraser@localhost.localdomain
date:        Mon Mar 19 16:48:24 2007 +0000
summary:     hvm: Do not save/restore shared_info gpfn location.

changeset:   14439:ed1e4cc4a5b7
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Mar 19 16:28:24 2007 +0000
summary:     [SVM] Move vmcb setup code for AP bringup out of the launch path

changeset:   14438:126a2c3c6a9d
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 19 14:46:51 2007 +0000
summary:     Only import xenapi_create when using the Xen-API server -- this has additional

changeset:   14437:bbda47597917
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Mon Mar 19 14:00:07 2007 +0000
summary:     [LINUX] Update crash-kernel-32-on-64.patch with more sensible version from -mm.

changeset:   14436:0611355e0df2
user:        kfraser@localhost.localdomain
date:        Mon Mar 19 13:48:00 2007 +0000
summary:     hvm: Lower HPET frequency to 1/32 of the TSC.

changeset:   14435:9b9aa9d6603b
user:        kfraser@localhost.localdomain
date:        Mon Mar 19 13:44:31 2007 +0000
summary:     Use HOSTCFLAGS with HOSTCC.

changeset:   14434:4b9150e9ecfd
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Mon Mar 19 11:15:28 2007 +0000
summary:     [ioemu] Cleanup media change code.

changeset:   14433:066b66ce1f98
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Mar 19 11:09:57 2007 +0000
summary:     Fix memory size handling.

changeset:   14432:f40079acf646
user:        kaf24@firebug.cl.cam.ac.uk
date:        Mon Mar 19 09:34:42 2007 +0000
summary:     minios: Various small fixes.

changeset:   14431:b795b90e4ff6
user:        kaf24@firebug.cl.cam.ac.uk
date:        Mon Mar 19 09:32:52 2007 +0000
summary:     Add parentheses to trace_do_casts macro.

changeset:   14430:548e61fbdc1a
user:        kaf24@firebug.cl.cam.ac.uk
date:        Mon Mar 19 09:31:04 2007 +0000
summary:     hvm: Fix platform-irq handling in presence of irqbalance daemon.

changeset:   14429:2b58c9e32549
user:        Keir Fraser <keir@xensource.com>
date:        Sun Mar 18 18:26:34 2007 +0000
summary:     xend: Avoid use of 'k' specifier to Py_BuildValue(). Its

changeset:   14428:7521c87983e0
user:        Keir Fraser <keir@xensource.com>
date:        Sun Mar 18 16:49:52 2007 +0000
summary:     xend: Fix Py_BuildValue() invocation (don't use I specifier).

changeset:   14427:9df276596cbb
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Mar 18 12:06:50 2007 +0000
summary:     Re-raise log level for XendConfig (accidentally changed it to DEBUG previously).

changeset:   14426:afbf744440d2
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Mar 18 12:06:01 2007 +0000
summary:     Fix the signedness of a number of values demarshalled by xc.domain_getinfo,

changeset:   14425:6b2875302558
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 17 23:59:05 2007 +0000
summary:     Support xm create through the Xen-API.

changeset:   14424:cfb265b93b2d
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 17 23:57:17 2007 +0000
summary:     Fix xm list's printing of the memory target, when in legacy mode.

changeset:   14423:2adbc1d22fe7
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 17 23:55:03 2007 +0000
summary:     Replace VDI.location with a more generic VDI.other_config map.  Remove

changeset:   14422:f40bd358129a
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 17 16:56:39 2007 +0000
summary:     Work around bug in Python's inspect module -- catch an IndexError exception

changeset:   14421:98eacf1b075c
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 17 12:24:32 2007 +0000
summary:     Fix up nosegneg vsyscall elfnote.

changeset:   14420:0e0fdba35503
user:        Keir Fraser <keir@xensource.com>
date:        Sat Mar 17 12:04:48 2007 +0000
summary:     Xen and tools now require gcc 3.4+ on x86.

changeset:   14419:5a198ae89051
user:        Keir Fraser <keir@xensource.com>
date:        Fri Mar 16 23:56:26 2007 +0000
summary:     hvmloader: More simplification of highmem bios relocation code.

changeset:   14418:cf32c9e54c8f
user:        Keir Fraser <keir@xensource.com>
date:        Fri Mar 16 23:34:24 2007 +0000
summary:     General hvmloader cleanups and write memory fields of CMOS with

changeset:   14417:519d32076d48
user:        Keir Fraser <keir@xensource.com>
date:        Fri Mar 16 23:33:44 2007 +0000
summary:     Fix build when bcc is not installed.

changeset:   14416:d64c0af015dd
user:        Jake Wires <jwires@xensource.com>
date:        Fri Mar 16 15:23:26 2007 -0700
summary:     [TAPDISK] unlock sector on error case

changeset:   14415:62754c2fdcfa
user:        kfraser@localhost.localdomain
date:        Fri Mar 16 18:59:55 2007 +0000
summary:     rombios: Simplify memory-size bios calls and derive all results from

changeset:   14414:cb1693873a7e
user:        kfraser@localhost.localdomain
date:        Fri Mar 16 18:59:28 2007 +0000
summary:     libxc: Explicitly reserve space for special pages in HVM memmap.

changeset:   14413:1e592e4557c1
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 16 18:06:43 2007 +0000
summary:     Fix VM_metrics.get_vcpus_utilisation.

changeset:   14412:9e07e0133f52
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 16 16:40:18 2007 +0000
summary:     [QEMU] fix typo in 14405

changeset:   14411:670aef15eb55
user:        kfraser@localhost.localdomain
date:        Fri Mar 16 16:22:29 2007 +0000
summary:     hvm ioemu: Add support for IOREQ_TYPE_XCHG in qemu-dm.

changeset:   14410:f8ef8f466225
user:        kfraser@localhost.localdomain
date:        Fri Mar 16 16:21:16 2007 +0000
summary:     hvm mmio: two additional mmio ops that OS/2 needs emulated.

changeset:   14409:90d6fe6de04d
user:        kfraser@localhost.localdomain
date:        Fri Mar 16 16:19:35 2007 +0000
summary:     hvm vpic: Fix IRQ priority calculation in 8259 device model.

changeset:   14408:3a186e94f613
user:        kfraser@localhost.localdomain
date:        Fri Mar 16 15:19:08 2007 +0000
summary:     linux: Various cleanup and locking clarification (and fixing!)

changeset:   14407:ba83d33c961b
user:        kfraser@localhost.localdomain
date:        Fri Mar 16 15:18:33 2007 +0000
summary:     Revert CONFIG_SPLIT_PTLOCK_CPUS change of 14209:1061c7bff38f3e6e66fee96c407977ad55b3f2f2.

changeset:   14406:a20e3ad50ae8
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 16 11:41:10 2007 +0000
summary:     [HVM][SVM] Save/restore: save the guest's versions of CR0 and EFER

changeset:   14405:8e76e1b95b12
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 16 11:39:50 2007 +0000
summary:     [HVM][QEMU] Save/restore: enable HVM live migration

changeset:   14404:422a61ebac54
user:        kfraser@localhost.localdomain
date:        Fri Mar 16 10:42:25 2007 +0000
summary:     xenbus: Clarify and simplify barrier usage.

changeset:   14403:26a1378d5ece
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Fri Mar 16 10:24:56 2007 +0000
summary:     [LINUX] Don't pin the initial page tables on x86_64 when XENFEAT_writable_page_tables.

changeset:   14402:487e37c22b28
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 16 10:05:57 2007 +0000
summary:     Fix the python type dismatch exception when HVM restore

changeset:   14401:cd8d2a4d46e4
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 15 23:03:22 2007 +0000
summary:     Implement xm list through the Xen-API.

changeset:   14400:3c418dbb71b2
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 15 22:15:12 2007 +0000
summary:     Raise the VM_BAD_POWER_STATE error with VM.send_sysrq if the domain is not

changeset:   14399:edccebeea4a3
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 15 21:59:34 2007 +0000
summary:     Added a new Xen-API call VM.send_sysrq, and use that to implement xm sysrq

changeset:   14398:1c94d9fcb7ef
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 15 21:44:20 2007 +0000
summary:     Allow the xm configuration file location to be overridden with an

changeset:   14397:b926f66f29ab
user:        kfraser@localhost.localdomain
date:        Thu Mar 15 16:54:00 2007 +0000
summary:     Replace tab with 4 whitespaces in xm/shutdown.py.

changeset:   14396:d6ca67c0645e
user:        kfraser@localhost.localdomain
date:        Thu Mar 15 15:27:08 2007 +0000
summary:     minios: Fix an extern declaration and add an extra 'const' to

changeset:   14395:9ff349bde23a
user:        kfraser@localhost.localdomain
date:        Thu Mar 15 14:51:32 2007 +0000
summary:     net back: Quieten loud error path.

changeset:   14394:809f36b1b685
user:        kfraser@localhost.localdomain
date:        Thu Mar 15 10:43:13 2007 +0000
summary:     Add two arch hooks to gnttab_release_mappings().

changeset:   14393:8fa17d1560a9
user:        kfraser@localhost.localdomain
date:        Thu Mar 15 10:38:58 2007 +0000
summary:     x86: 32on64 oversight in update_va_mapping

changeset:   14392:5bc5ed857cc6
user:        kfraser@localhost.localdomain
date:        Thu Mar 15 10:38:06 2007 +0000
summary:     hvmloader: Simplify 32bit-bios relocator.

changeset:   14391:aa6914c527e1
user:        kfraser@localhost.localdomain
date:        Thu Mar 15 10:36:10 2007 +0000
summary:     TCGBIOS fixes and cleanups.

changeset:   14390:e9ef0808c09f
user:        kfraser@localhost.localdomain
date:        Thu Mar 15 10:33:32 2007 +0000
summary:     Add boot option to allow console I/O to be placed into ring buffer

changeset:   14389:30a83a0839bd
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 23:26:33 2007 +0000
summary:     Implement xm domid and xm console using the Xen-API, and fix xm domname.

changeset:   14388:b39c0a79d4d5
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 23:16:59 2007 +0000
summary:     Added the clear flag to host.dmesg, and added host.get_log.  Use these to

changeset:   14387:8645c726ce9c
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 23:14:19 2007 +0000
summary:     Fix error logging when we get a 500 response.

changeset:   14386:1ada28678762
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 23:13:37 2007 +0000
summary:     Improve the performance of the Xend trace facility, and exclude XendMonitor

changeset:   14385:acdfb333af53
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 23:12:59 2007 +0000
summary:     Trap bad return values from Xen-API method handlers, and return an internal

changeset:   14384:e4e1435e4c63
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 21:59:11 2007 +0000
summary:     Match recent removal of VM.VCPUs_policy.

changeset:   14383:a2458851aaa7
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 21:37:00 2007 +0000
summary:     Fix typo in xm-test.

changeset:   14382:e1281da27313
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 21:34:43 2007 +0000
summary:     Fix typo.

changeset:   14381:036e42d1c9bb
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 21:04:04 2007 +0000
summary:     Added VM_metrics.get_all.

changeset:   14380:0c354aa0bb4a
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 21:02:58 2007 +0000
summary:     Added Xen-API features needed to implement xm info: host.sched_policy

changeset:   14379:460dac5742cf
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 20:41:56 2007 +0000
summary:     Implement VM_metrics Xen-API class.

changeset:   14378:192bee4b09a6
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Mar 14 20:27:57 2007 +0000
summary:     Added Xen-API support to xm shutdown.

changeset:   14377:817647aff01f
user:        Jake Wires <jwires@xensource.com>
date:        Wed Mar 14 14:18:51 2007 -0700
summary:     [BLKTAP] remove spurious error message

changeset:   14376:517e67f0fe52
user:        kfraser@localhost.localdomain
date:        Wed Mar 14 19:35:26 2007 +0000
summary:     hvm: Firmware build requires dev86 (bcc) >= 0.16.14.

changeset:   14375:01e35a77ce8f
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 13 22:13:40 2007 +0000
summary:     Implement VM.{add_to,remove_from}_VCPUs_params.

changeset:   14374:3f45afc6b025
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Mar 13 22:12:18 2007 +0000
summary:     In xm shell, add a space to the function names when tab-completing.

changeset:   14373:e6c31944916b
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Wed Mar 14 16:58:30 2007 +0000
summary:     [LINUX] 32on64 kdump: Allow a 32 bit kernel to read a 64 bit dump.

changeset:   14372:a1daade92952
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Wed Mar 14 16:39:32 2007 +0000
summary:     [LINUX] Kexec: Ensure that pages allocated for kexec have MFNs which are within

changeset:   14371:fa3d25355aa2
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Wed Mar 14 16:36:04 2007 +0000
summary:     [XEN] 32on64 kexec: Make the compat page table cover the first 4G of physical memory.

changeset:   14370:35c9a1939ae4
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Mar 14 12:49:40 2007 +0000
summary:     [XEND] Mark save record fd close-on-exec after calling xc_restore

changeset:   14369:4d7327502ba6
user:        kfraser@localhost.localdomain
date:        Wed Mar 14 11:38:26 2007 +0000
summary:     hvm: Add a revision 1 FADT in ACPI, and link the original revision-4

changeset:   14368:2787228610af
user:        kfraser@localhost.localdomain
date:        Wed Mar 14 11:22:59 2007 +0000
summary:     hvm: Print bad DFR value for vlapic if a bad value is detected.

changeset:   14367:f233456b89d5
user:        kfraser@localhost.localdomain
date:        Wed Mar 14 11:09:13 2007 +0000
summary:     AMD HVM: Fix enter-realmode stub to initialise 32-bit GPRs.

changeset:   14366:2955b0677310
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Mar 14 10:44:56 2007 +0000
summary:     add usb device save/restore in qemu

changeset:   14365:3c38150de7fd
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Mar 13 15:55:37 2007 +0000
summary:     [HVM] Save/restore: more state propagation in xend

changeset:   14364:127bee61972b
user:        kfraser@localhost.localdomain
date:        Tue Mar 13 14:56:03 2007 +0000
summary:     xm: Allow vcpu-pin to specify 'all' for CPU list.

changeset:   14363:40a6e2280d7b
user:        kfraser@localhost.localdomain
date:        Tue Mar 13 14:04:31 2007 +0000
summary:     xen/x86: Tweak #PF handler. Simplify gdbstub copy to/from guest.

changeset:   14362:8cd8e9e4e1ad
user:        kfraser@localhost.localdomain
date:        Tue Mar 13 13:28:26 2007 +0000
summary:     linux: No need to force pcibios_scan_all_fns() on modern Xen.

changeset:   14361:7c0d7736f960
user:        kfraser@localhost.localdomain
date:        Tue Mar 13 10:32:52 2007 +0000
summary:     hvmloader: Avoid compile warnings char vs. unsigned char.

changeset:   14360:1877857352ae
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Tue Mar 13 10:02:45 2007 +0000
summary:     Update defconfigs for new XEN_COMPAT_300004 option.

changeset:   14359:2f63ed3c5fb9
user:        kfraser@localhost.localdomain
date:        Tue Mar 13 09:52:51 2007 +0000
summary:     [XM-TEST] vTPM test changes

changeset:   14358:f2f83691f714
user:        kfraser@localhost.localdomain
date:        Tue Mar 13 09:52:11 2007 +0000
summary:     docs: update some todo items.

changeset:   14357:468ec3d142ad
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Tue Mar 13 09:07:55 2007 +0000
summary:     [LINUX] Fix typo so 3.0.4 compatability works.

changeset:   14356:09da174827ea
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Mar 12 18:04:04 2007 +0000
summary:     [HVM] Save/restore: update HVM detection in save/restore code in xend.

changeset:   14355:68282f4b3e0f
user:        kfraser@localhost.localdomain
date:        Mon Mar 12 14:55:02 2007 +0000
summary:     linux: Adjust memory allocation condition in netback to reduce memory

changeset:   14354:a4ca6a264fee
user:        kfraser@localhost.localdomain
date:        Mon Mar 12 14:52:11 2007 +0000
summary:     xen: Generic linear pagetable support for x86 PV guests.

changeset:   14353:b01d4f415f5f
user:        kfraser@localhost.localdomain
date:        Mon Mar 12 14:47:00 2007 +0000
summary:     x86: PAE linear page tables.

changeset:   14352:6d2328b353c8
user:        kfraser@localhost.localdomain
date:        Mon Mar 12 14:11:43 2007 +0000
summary:     linux: No need to manually bring VCPUs online across 'fast' save/restore.

changeset:   14351:7ec182baf9fd
user:        kfraser@localhost.localdomain
date:        Mon Mar 12 14:11:07 2007 +0000
summary:     xen: Set VGCF_online flag appropriately for getvcpucontext.

changeset:   14350:f3f5f2756d75
user:        kfraser@localhost.localdomain
date:        Mon Mar 12 13:53:43 2007 +0000
summary:     x86: Add VGCF_onlien flag to vcpu_guest_context.

changeset:   14349:1721f90e1422
user:        kfraser@localhost.localdomain
date:        Mon Mar 12 11:15:56 2007 +0000
summary:     AMD HVM: Exit hvmloader via a normal jump-to-realmode code sequence.

changeset:   14348:f9fbcc354daa
user:        kfraser@localhost.localdomain
date:        Mon Mar 12 11:04:34 2007 +0000
summary:     The Xen console intercepts ^O and prevents it from propagating

changeset:   14347:94fcbb52bde2
user:        kfraser@localhost.localdomain
date:        Mon Mar 12 11:03:07 2007 +0000
summary:     Fix valid_phys_addr_range() prototype of xen /dev/mem.

changeset:   14346:e39964673c6f
user:        kfraser@localhost.localdomain
date:        Mon Mar 12 11:00:44 2007 +0000
summary:     xen: Fix emulator to use default segment SS for ESP/EBP references.

changeset:   14345:bcd8d0387cbf
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Mar 12 10:10:42 2007 +0000
summary:     [HVM] Remove debugging printout of BIOS boot vector

changeset:   14344:3be7f638cba0
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Mar 12 09:44:34 2007 +0000
summary:     [HVM] Speed up bulk p2m operations such as domain creation

changeset:   14343:8a01644306ee
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Mar 11 22:42:22 2007 +0000
summary:     Fix typo in cset 14341:0affe03ee985 that broke migration.

changeset:   14342:e5d7b878118f
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 23:22:00 2007 +0000
summary:     Added an VM_HVM_REQUIRED error code, and use it on VM.start.

changeset:   14341:0affe03ee985
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 21:48:22 2007 +0000
summary:     Replace VM.platform_{std_VGA,serial,localtime,clock_offset,enable_audio} with

changeset:   14340:620212e48908
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 21:43:07 2007 +0000
summary:     Remove obsolete tpm_backend entry.

changeset:   14339:f6656928d7d1
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 21:41:58 2007 +0000
summary:     Fix VM.set_actions_after_{reboot,shutdown}.

changeset:   14338:10f5478a91cd
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 20:20:24 2007 +0000
summary:     Fix "no such domain" error message from domain_lookup.

changeset:   14337:4dd4c285481a
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 20:18:17 2007 +0000
summary:     Remove some excessive debug logging.

changeset:   14336:4e47dc3a6de8
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 19:57:35 2007 +0000
summary:     Don't show the usage message for "domain does not exist" errors.

changeset:   14335:d09da90db166
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 16:38:18 2007 +0000
summary:     Improve xm shell tab completion.

changeset:   14334:7e66858aa811
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 14:57:11 2007 +0000
summary:     Add vcpus_max and vcpus_at_startup values to the example VM creation.

changeset:   14333:798a7dc1ac6d
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 14:41:06 2007 +0000
summary:     Fix get_val_as_string so that it does not truncate integers.

changeset:   14332:6b057bdf0354
user:        Ewan Mellor <ewan@xensource.com>
date:        Sat Mar 10 14:16:52 2007 +0000
summary:     Allow empty structs to represent empty Maps.

changeset:   14331:7db52e0ed133
user:        kfraser@localhost.localdomain
date:        Sat Mar 10 17:38:54 2007 +0000
summary:     xen ppc: Guests need the default 100Hz ticker.

changeset:   14330:a6316fc7a87f
user:        kfraser@localhost.localdomain
date:        Sat Mar 10 17:01:21 2007 +0000
summary:     pci back: Various fixes.

changeset:   14329:9044a50c50ab
user:        kfraser@localhost.localdomain
date:        Sat Mar 10 16:59:57 2007 +0000
summary:     Simple fix to the man page for xm block-attach.

changeset:   14328:7f624c770dbd
user:        kfraser@localhost.localdomain
date:        Sat Mar 10 16:58:11 2007 +0000
summary:     Add flags field to VCPUOP_set_singlsehot_timer.

changeset:   14327:8fa8de63abf4
user:        kfraser@localhost.localdomain
date:        Sat Mar 10 16:22:52 2007 +0000
summary:     xen: Fix VCPUOP_set_periodic_timer return value.

changeset:   14326:cedf9e4ac6ff
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 19:36:24 2007 +0000
summary:     linux: Use new time hypercalls.

changeset:   14325:83756471416f
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 19:34:52 2007 +0000
summary:     xen: Debug 'q' key prints per-vcpu periodic timer info.

changeset:   14324:188bab059272
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 19:33:43 2007 +0000
summary:     linux: fix build warnings

changeset:   14323:ca7cd6752cc2
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 18:33:36 2007 +0000
summary:     dump-core: store .xen_p2m or .xen_pfn section in pfn ascending order.

changeset:   14322:2d4df044d7de
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 18:32:20 2007 +0000
summary:     xen/x86: add allocation success checks.

changeset:   14321:818da23b7571
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 18:30:52 2007 +0000
summary:     linux: fix condition for entering tickless state

changeset:   14320:215b799fa181
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 18:26:47 2007 +0000
summary:     xen: New vcpu_op commands for setting periodic and single-shot timers.

changeset:   14319:1a01d8d9dbec
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 18:26:22 2007 +0000
summary:     Revert 14316 -- no need to fix maxvcpu domctl.

changeset:   14318:6ff2a1286484
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 09 16:04:19 2007 +0000
summary:     This patch fixes two problems with sending and receiving of (arrays of)

changeset:   14317:87cb4916dd75
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 09 12:28:37 2007 +0000
summary:     [XEN] Fix 14315

changeset:   14316:bae81f7013a6
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 09 12:16:21 2007 +0000
summary:     [XEN] Don't let the tools take away all of a domain's vcpus.

changeset:   14315:26e034395b8e
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 09 12:10:29 2007 +0000
summary:     [XEN] Shadow: be more explicit in assuming that d->vcpu[0] is valid

changeset:   14314:101a1ccfc3f7
parent:      14313:b46a92ba0b61
parent:      14312:8af1a8250c13
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 09 11:45:49 2007 +0000
summary:     Merge

changeset:   14313:b46a92ba0b61
parent:      14311:c75d1acd18c8
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 09 11:45:19 2007 +0000
summary:     [SVM] Don't free HSA and root vmcb when disabling SVM

changeset:   14312:8af1a8250c13
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 11:44:31 2007 +0000
summary:     linux: Upgrade to latest Xen interface version (0x00030205).

changeset:   14311:c75d1acd18c8
parent:      14310:c9dba7b35393
parent:      14309:7ab04fa25d52
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 09 11:14:03 2007 +0000
summary:     Merge

changeset:   14310:c9dba7b35393
parent:      14308:a67d3fbd4577
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 09 11:11:23 2007 +0000
summary:     [HVM] Revert thinko from 14291

changeset:   14309:7ab04fa25d52
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 11:11:59 2007 +0000
summary:     xm: New command 'debug-keys' to inject debug-key events into Xen.

changeset:   14308:a67d3fbd4577
user:        kfraser@localhost.localdomain
date:        Fri Mar 09 09:21:31 2007 +0000
summary:     pci back: Fix registration of of filters on subsections of config space.

changeset:   14307:5dd14bfbe956
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 09 02:32:52 2007 +0000
summary:     Make the VTPM.destroy method return 'void' upon success and adapt the

changeset:   14306:b2f0840bb88f
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 09 01:59:59 2007 +0000
summary:     Improve error message.

changeset:   14305:2e160a17ceb6
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 09 01:25:43 2007 +0000
summary:     Remove VDI.set_SR -- this was always unimplemented, and pretty mad.

changeset:   14304:be686775bdb0
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 09 01:15:07 2007 +0000
summary:     Fancy headings.

changeset:   14303:acade5948a75
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 09 01:06:11 2007 +0000
summary:     Move the booting description out of the VM class description into the VM

changeset:   14302:038e9138acae
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 09 00:46:50 2007 +0000
summary:     Remove the word "Additional" from all the RPC subheadings -- we include all

changeset:   14301:f421ccd1141f
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 09 00:44:10 2007 +0000
summary:     Added section on references vs UUIDs.

changeset:   14300:3f8f5854acf0
user:        Ewan Mellor <ewan@xensource.com>
date:        Fri Mar 09 00:35:29 2007 +0000
summary:     Changed the example of linked references (Set(Ref(x)) <-> Ref(y)) to use VM and

changeset:   14299:2ff4a2a5a6e5
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 08 23:47:24 2007 +0000
summary:     Added {VIF,VBD}.{plug,unplug} methods.  Docs and C bindings -- Xend to follow.

changeset:   14298:e562440e0412
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 08 23:22:56 2007 +0000
summary:     Added VM_BAD_POWER_STATE error code to VM.hard_shutdown.

changeset:   14297:dfaca81ededb
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 08 23:16:34 2007 +0000
summary:     Remove crashdump.create -- this doesn't make sense.

changeset:   14296:f40b13ed0e05
user:        Ewan Mellor <ewan@xensource.com>
date:        Thu Mar 08 22:33:47 2007 +0000
summary:     Fix duplicate consts around xc_error declarations.

changeset:   14295:68c917da8b9b
parent:      14294:560183e6452a
parent:      14292:59abe5204ca8
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 08 16:41:32 2007 +0000
summary:     Merge

changeset:   14294:560183e6452a
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 08 16:40:35 2007 +0000
summary:     [HVM] Save/restore: tidy PFN handling in the tools.

changeset:   14293:eedbddf55e51
parent:      14291:0e08d98dfd57
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 08 16:38:15 2007 +0000
summary:     [HVM] Save/restore: make sure all ioreqs are gone when a domain is saved

changeset:   14292:59abe5204ca8
user:        kfraser@localhost.localdomain
date:        Thu Mar 08 16:26:17 2007 +0000
summary:     linux: Remove an unused data structure from TPM frontend.

changeset:   14291:0e08d98dfd57
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 08 16:20:01 2007 +0000
summary:     [XEN] Shadow: fix mark_dirty invocation to use gfn, not mfn

changeset:   14290:f78b4aad353e
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 08 16:18:50 2007 +0000
summary:     [XEN] Shadow: tidy up page_info before handing back to the allocator

changeset:   14289:345effaf2258
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Thu Mar 08 15:51:32 2007 +0000
summary:     [xen] Update the hvm rtc clock state if the domain's time offset is changed.

changeset:   14288:7e2f7e8b63d3
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Thu Mar 08 15:35:28 2007 +0000
summary:     [BUILDER]: Initialize code segment selectors in virtual IDT to 0.

changeset:   14287:38513d22d234
user:        kfraser@localhost.localdomain
date:        Thu Mar 08 15:21:10 2007 +0000
summary:     xen: Provide notification of console updates via VIRQ.

changeset:   14286:90e8d8169afd
user:        kfraser@localhost.localdomain
date:        Thu Mar 08 14:57:33 2007 +0000
summary:     xend: Platform feature 'multiprocessor suspend' is x86-only for now.

changeset:   14285:fdbd9b91a030
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 08 14:37:21 2007 +0000
summary:     [HVM] Save/restore: back-port IDE controller save routine from current qemu.

changeset:   14284:18cf0c56226d
user:        kfraser@localhost.localdomain
date:        Thu Mar 08 14:29:09 2007 +0000
summary:     xen: Clean up heap allocator.

changeset:   14283:a7f6392ea850
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 08 10:54:56 2007 +0000
summary:     [HVM] Add support for hardware-assisted paging

changeset:   14282:8117f6684991
user:        kfraser@localhost.localdomain
date:        Wed Mar 07 16:21:21 2007 +0000
summary:     linux: Restore time on APs if they are not hotplugged on save/restore.

changeset:   14281:7c8dcc5efd12
user:        kfraser@localhost.localdomain
date:        Wed Mar 07 16:16:09 2007 +0000
summary:     netback: Disable debug interrupt (accidentally left enabled in

changeset:   14280:42b29f084c31
user:        kfraser@localhost.localdomain
date:        Wed Mar 07 16:00:47 2007 +0000
summary:     linux: Use fake carrier flag for netfront/netback rather than the real

changeset:   14279:fbbf1f07fefe
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Mar 07 13:07:12 2007 +0000
summary:     [HVM] Disallow soft resets in the BIOS.

changeset:   14278:dad3d143c3b0
user:        kfraser@localhost.localdomain
date:        Wed Mar 07 11:17:03 2007 +0000
summary:     xen: Replace stupid page_alloc fix.

changeset:   14277:e68ee3665cba
user:        kfraser@localhost.localdomain
date:        Wed Mar 07 10:53:34 2007 +0000
summary:     dump-core: always use elfclass64 format to support x86_32pae.

changeset:   14276:9be942ec0247
user:        kfraser@localhost.localdomain
date:        Wed Mar 07 10:49:20 2007 +0000
summary:     tools: Clean up use of 'install' command.

changeset:   14275:c85d83074b54
user:        kfraser@localhost.localdomain
date:        Wed Mar 07 10:37:05 2007 +0000
summary:     ioemu: Remove use of 'echo -c' in script.

changeset:   14274:228c3e05eb00
user:        kfraser@localhost.localdomain
date:        Wed Mar 07 10:13:39 2007 +0000
summary:     linux: Don't use set_fixmap/clear_fixmap after boot-time. It's not

changeset:   14273:87f626f1d5f5
user:        kfraser@localhost.localdomain
date:        Wed Mar 07 09:43:36 2007 +0000
summary:     A correct fix for page_alloc crash when Xen heap empty.

changeset:   14272:095a476a96b1
user:        kfraser@localhost.localdomain
date:        Tue Mar 06 16:51:42 2007 +0000
summary:     ioemu: Close file descriptors when forking processes.

changeset:   14271:2cf842558b2e
user:        kfraser@localhost.localdomain
date:        Tue Mar 06 16:46:20 2007 +0000
summary:     Make Python tools (i.e., xend and pygrub) conditionally compiled.

changeset:   14270:af6293fd3134
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Mar 06 15:02:20 2007 +0000
summary:     [XEN] Shadow: ignore shadow operations on dying domains

changeset:   14269:200d13363a38
user:        kfraser@localhost.localdomain
date:        Tue Mar 06 13:41:05 2007 +0000
summary:     linux x86/64: No need to pre-allocate all fixmap pagetables:

changeset:   14268:ae203b55e7c8
user:        kfraser@localhost.localdomain
date:        Tue Mar 06 11:53:37 2007 +0000
summary:     xend: more flexibility in gathering data from /proc/cpuinfo

changeset:   14267:c8843678cb9b
user:        Travis Betak <travis.betak@amd.com>
date:        Mon Mar 05 16:22:21 2007 -0600
summary:     [SVM] Clear VMCB's EFER.LME when guest disables paging

changeset:   14266:8bae3387b86c
user:        Travis Betak <travis.betak@amd.com>
date:        Mon Mar 05 16:21:50 2007 -0600
summary:     [SVM] Use svm_long_mode_enabled() when checking if guest is in long mode

changeset:   14265:647fcc8f0c83
user:        Travis Betak <travis.betak@amd.com>
date:        Mon Mar 05 16:21:11 2007 -0600
summary:     [SVM] Cleanup guest writes to EFER

changeset:   14264:e4cffff8cfa7
user:        Travis Betak <travis.betak@amd.com>
date:        Mon Mar 05 16:18:10 2007 -0600
summary:     [SVM] Return the shadow EFER value on guest EFER reads.

changeset:   14263:437774e49735
user:        Travis Betak <travis.betak@amd.com>
date:        Mon Mar 05 16:17:25 2007 -0600
summary:     [SVM] Remove SVM cpu_state and add EFER shadow to svm structure.

changeset:   14262:e85f685fb99f
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Mon Mar 05 22:42:13 2007 +0000
summary:     [tools] Import ptsname from its new location (after cset 14259:7f0d8e3c538e).

changeset:   14261:02fbfdcd2d90
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Mon Mar 05 19:22:21 2007 +0000
summary:     [tools] Use auxbin.py to determine libpath at build time.

changeset:   14260:e5a0dd445e41
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 19:01:19 2007 +0000
summary:     Install pygrub according to auxbin rules.

changeset:   14259:7f0d8e3c538e
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 18:54:26 2007 +0000
summary:     Move ptsname module under tools/python.

changeset:   14258:53589c343d46
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 18:10:41 2007 +0000
summary:     linux x86/64: Clean up mm initialisation a little.

changeset:   14257:ff81ea60bc98
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Mon Mar 05 16:43:12 2007 +0000
summary:     [tools] Use auxbin.py to determine libpath at build time.

changeset:   14256:5dfad62b7a70
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 15:53:18 2007 +0000
summary:     linux: no pc speaker device in domUs

changeset:   14255:59c066e8007d
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 15:46:33 2007 +0000
summary:     linux: scan DMI early

changeset:   14254:fe3fa645835f
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 15:08:17 2007 +0000
summary:     linux/x86-64 2.6.18: reserve bootmem differently

changeset:   14253:56760c1de102
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 15:06:13 2007 +0000
summary:     linux/x86-64 2.6.18: do away with pud_offset_k()

changeset:   14252:f71157f1f1a0
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 15:04:28 2007 +0000
summary:     linux/x86_64 2.6.18: remove orig_ist

changeset:   14251:7a39b1e22373
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 14:39:03 2007 +0000
summary:     Fix crash in heap allocator when Xen 'zone' is empty.

changeset:   14250:2963f61b8135
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 14:20:26 2007 +0000
summary:     linux: Prefer testing io_bitmap_ptr to the TIF_IO_BITMAP.

changeset:   14249:4159a8a43a97
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 14:09:19 2007 +0000
summary:     linux: Remove unnecessary locking from pcifront free_root_bus_devs().

changeset:   14248:d99e6b6c294d
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Mon Mar 05 14:04:45 2007 +0000
summary:     [LINUX] CONFIG_X86_TSC is defined upstream in arch/i386/Kconfig.cpu so use that

changeset:   14247:2caed72258e8
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 14:00:05 2007 +0000
summary:     linux 2.6.18: constify instances of 'struct file_operations'

changeset:   14246:bd66af1b5df2
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 13:57:11 2007 +0000
summary:     linux 2.6.18: miscellaneous

changeset:   14245:b1f33c3a97fa
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 13:49:11 2007 +0000
summary:     linux 2.6.18: assembly annotations

changeset:   14244:ea40e314d8be
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 13:33:42 2007 +0000
summary:     linux 2.6.18: eliminate Xen special: x8664_ksyms.c

changeset:   14243:192b59b472bc
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 13:32:50 2007 +0000
summary:     linux 2.6.18: eliminate Xen special: alternative.c

changeset:   14242:c371b6b26753
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 13:30:52 2007 +0000
summary:     linux 2.6.18: eliminate Xen special: intel_cacheinfo.c

changeset:   14241:1359e04a8fb3
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 13:27:51 2007 +0000
summary:     linux/x86-64: allow kernel init memory to be freed.

changeset:   14240:43b0be37736b
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 13:18:28 2007 +0000
summary:     VM.actions_after_[shutdown|reboot|suspend|crash] were not set properly

changeset:   14239:7089c2adef1e
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Mar 05 11:54:55 2007 +0000
summary:     [XEN] Shadow: fix predicate for when to use up-pointers

changeset:   14238:54ff119c2d73
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 11:23:34 2007 +0000
summary:     xen: Remove bogus file.

changeset:   14237:f74b87177843
parent:      14236:e74bfc744717
parent:      14222:a951cf1da459
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 11:18:55 2007 +0000
summary:     Merge with xenppc-unstable.hg

changeset:   14236:e74bfc744717
parent:      14235:5a2b3a1b1f63
parent:      14221:939d2b7d4a12
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 11:14:15 2007 +0000
summary:     Merge with xenppc-unstable.hg

changeset:   14235:5a2b3a1b1f63
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Fri Dec 15 08:16:56 2006 -0500
summary:     [XEN][POWERPC] Normalize timbase_freq to a 64bit value

changeset:   14234:156f2644eb06
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Fri Dec 15 08:36:03 2006 -0500
summary:     [XEN][POWERPC] workaround for context_switch() bug

changeset:   14233:fdb3c96eba0f
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Thu Feb 08 07:05:26 2007 -0500
summary:     [LIBXC][POWERPC] make sure DTB is truncated and has a decent mode

changeset:   14232:1b1d0a909abc
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Thu Feb 08 06:46:13 2007 -0500
summary:     [LIBXC][POWERPC] use O_CREAT on open call for  DTB_FILE

changeset:   14231:38b700cca5eb
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Mar 02 18:01:17 2007 -0600
summary:     [POWERPC][XEN] Commit missing file.

changeset:   14230:4c08045ff57c
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Mar 02 17:08:04 2007 -0600
summary:     [POWERPC][XEN][LIBXC] Make xc_linux_build() use populate_physmap()

changeset:   14229:b75609e1fa81
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Mar 02 17:07:59 2007 -0600
summary:     [POWERPC][XEN] Implement guest_physmap_{add,remove}_page().

changeset:   14228:f56981f78d73
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Mar 02 17:07:01 2007 -0600
summary:     [POWERPC][XEN] Implement guest_physmap_max_mem_pages().

changeset:   14227:eceb9ccd84a8
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Mar 02 17:06:50 2007 -0600
summary:     [POWERPC][XEN] Introduce "platform" abstraction to describe the IO hole.

changeset:   14226:07066db94d89
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Thu Mar 01 15:04:45 2007 -0600
summary:     [POWERPC][XEN] Move dom0 memory allocation into construct_dom0().

changeset:   14225:9f49a53fea30
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Thu Mar 01 13:18:51 2007 -0600
summary:     [XEN] Add arch hook for max_mem domctl.

changeset:   14224:6b42b8c08731
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Thu Mar 01 14:32:58 2007 -0600
summary:     [POWERPC][XEN] Don't create a start_info_t structure for dom0.

changeset:   14223:7e9dc164b572
parent:      14201:3ac19fda0bc2
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Mon Feb 19 16:49:12 2007 +0900
summary:     GNTTAB: PowerPC patch for dynamic grant tables.

changeset:   14222:a951cf1da459
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Mon Mar 05 11:17:52 2007 +0000
summary:     [xen] Fix deferred mmu op logic on invalidate shadow ldt.

changeset:   14221:939d2b7d4a12
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 10:52:54 2007 +0000
summary:     xen: Make dom0 domain builder behaviour match that of domU.

changeset:   14220:aae662fdf53e
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 10:37:01 2007 +0000
summary:     xen: Fix ACPI SLIT/SRAT parsing to correctly map highmem.

changeset:   14219:f5b9ad8acea5
user:        kfraser@localhost.localdomain
date:        Mon Mar 05 10:26:45 2007 +0000
summary:     linux: Clean up mm_pin/unpin.

changeset:   14218:25c0b660f7c6
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Sat Mar 03 20:42:38 2007 +0000
summary:     [domain builder] Remove unnecessary alignment of virtual address base.

changeset:   14217:29d4bca7a503
user:        Keir Fraser <keir@xensource.com>
date:        Fri Mar 02 23:01:36 2007 +0000
summary:     linux: Some save/restore simplifications and cleanups.

changeset:   14216:d5ca4c37b3c5
user:        Keir Fraser <keir@xensource.com>
date:        Fri Mar 02 22:57:27 2007 +0000
summary:     x86/64: Save/restore user pagetable pointer for x86/64 PV guests.

changeset:   14215:87087954247a
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 16:57:24 2007 +0000
summary:     Fix -xen build.

changeset:   14214:4d447158e1dd
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 16:29:48 2007 +0000
summary:     linux: xenbus dev write function resets packet data on *all* error conditions.

changeset:   14213:36b923615369
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 16:26:56 2007 +0000
summary:     linux: Fix xenbus device write function.

changeset:   14212:bc265a79dd32
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 16:15:28 2007 +0000
summary:     tpm: Code style cleanups.

changeset:   14211:cc18ea7309b3
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 16:03:21 2007 +0000
summary:     [Linux] [TPM driver] Resume frontend after checkpointing

changeset:   14210:1fb5ae0ee453
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 16:00:22 2007 +0000
summary:     linux: Use old-mode of save/restore for uniproc guests (it's faster).

changeset:   14209:1061c7bff38f
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 15:59:12 2007 +0000
summary:     linux: allow use of split page table locks

changeset:   14208:0d5d7d472024
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 15:32:42 2007 +0000
summary:     [PVFB][TOOLS] Terminate backend when frontend vanishes early

changeset:   14207:145d3c81e654
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 15:12:54 2007 +0000
summary:     linux/x86: avoid a re-definition warning on x86-64 and change i386

changeset:   14206:4847e5b8adf1
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 15:10:54 2007 +0000
summary:     .S->.o generation should depend on asm-offsets.h

changeset:   14205:84e1455ebc15
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 15:08:26 2007 +0000
summary:     xend: Fix startup when dom0 does not see all physical cpus.

changeset:   14204:88282487c28a
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 14:57:18 2007 +0000
summary:     xend: Catch VmError exception when creating a domain and do

changeset:   14203:8103284bcede
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 14:42:25 2007 +0000
summary:     acm: Fix bogus domain_rcu_lock() invocations to rcu_unlock_domain().

changeset:   14202:a69d98bf0c55
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Mar 02 13:46:39 2007 +0000
summary:     [XEN] Remove a race condition in shadow mark_dirty code.

changeset:   14201:3ac19fda0bc2
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 12:11:52 2007 +0000
summary:     linux: Support new 'fast suspend' mode which does not require us to

changeset:   14200:bb22c21e1af7
user:        kfraser@localhost.localdomain
date:        Fri Mar 02 12:11:10 2007 +0000
summary:     tools: Advertise save/restore multiple VCPU contexts capability.

changeset:   14199:d12432f31311
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Fri Mar 02 11:25:12 2007 +0000
summary:     [xenstored] Fix error path when xc_map_foreign_range fails.

changeset:   14198:139794d55898
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 17:59:17 2007 +0000
summary:     Save/restore context of all online VCPUs in PV save/restore/migrate.

changeset:   14197:33d733c3649d
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Thu Mar 01 17:28:31 2007 +0000
summary:     [tools] Set guest address size to be the same as dom0 address size on restore.

changeset:   14196:5dac445200e3
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Thu Mar 01 17:27:31 2007 +0000
summary:     [XEN] Check that the cr3 mfn is valid before using it.

changeset:   14195:10eb93864df5
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 15:56:45 2007 +0000
summary:     linux: No need to kmem_cache_shrink(pgd_cache) on save/restore.

changeset:   14194:3186248a1236
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 14:51:12 2007 +0000
summary:     Fully reset the xenstore connection when a domain is (re)introduced to xenstored.

changeset:   14193:beabac411220
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 01 14:00:05 2007 +0000
summary:     [HVM] Save/restore: remove bogus "valid state" check

changeset:   14192:42aa0100574b
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 13:57:25 2007 +0000
summary:     hvm: Clean up console-information passing via xenstore.

changeset:   14191:780ef7701772
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 13:48:31 2007 +0000
summary:     Fix Xend domain_lookup error report when looking up an invalid

changeset:   14190:035d41b6c94c
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 13:45:53 2007 +0000
summary:     acm: Fix the traversal of the event channel buckets and use the active

changeset:   14189:bdebca505d8e
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 12:23:44 2007 +0000
summary:     Create P2M map during Mini-OS boot (fixes 'xm dump-core').

changeset:   14188:afed0aeff629
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 12:23:04 2007 +0000
summary:     Fix PAE Mini-OS build.

changeset:   14187:0de2f7d8d89f
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 12:14:53 2007 +0000
summary:     x86: No need to take full reference when doing mmu_update on a foreign

changeset:   14186:9d36026b1b43
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 11:38:55 2007 +0000
summary:     xen: Cleanups and bug fixes after the rcu_lock_domain patch.

changeset:   14185:3fb02f56c19f
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 01 11:08:49 2007 +0000
summary:     Remove Xen workaround for HVM builder now that it's fixed

changeset:   14184:8939727a9d93
parent:      14183:1966270d89d7
parent:      14182:09a9b6d6c356
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 01 11:04:45 2007 +0000
summary:     Merge

changeset:   14183:1966270d89d7
parent:      14178:b703aa29424f
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 01 11:04:23 2007 +0000
summary:     [HVM] Builder must know which kind of vcpu context struct to use

changeset:   14182:09a9b6d6c356
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 10:44:40 2007 +0000
summary:     xen: Use RCU-based domain-locking functions where appropriate.

changeset:   14181:a5b5279d2ba3
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 10:32:52 2007 +0000
summary:     xen: Last minute rename of RCU domain get/put functions:

changeset:   14180:44048a3f7caa
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 10:24:19 2007 +0000
summary:     hvm/ia64: Fix IDE PIO acceleration.

changeset:   14179:d5c4d43da89e
user:        kfraser@localhost.localdomain
date:        Thu Mar 01 10:01:51 2007 +0000
summary:     Change compat-check in set_vcpucontext again. Give caller leeway for

changeset:   14178:b703aa29424f
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Mar 01 09:52:40 2007 +0000
summary:     [XEN] Fix cset 14166

changeset:   14177:3379f667c3a6
user:        Wim Colgate <wim@xensource.com>
date:        Wed Feb 28 12:35:36 2007 -0800
summary:     Use stat to poll on phantom device until it becomes ready

changeset:   14176:d66dff09338a
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 18:15:42 2007 +0000
summary:     libxc: Quieten the discard_file_cache() function. Preserve errno

changeset:   14175:d2646466e0a7
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 18:06:56 2007 +0000
summary:     Fix init.d/xendomains startup script so log_error and log_success

changeset:   14174:c3c03089c59e
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 17:55:19 2007 +0000
summary:     linux: More save/restore fixes. Fix deadlock of cpu_hotplug_lock vs

changeset:   14173:8ba425b640b3
user:        George Dunlap <gdunlap@xensource.com>
date:        Wed Feb 28 11:13:49 2007 -0500
summary:     [XEN][SHADOW] Use slow method for early-unshadow

changeset:   14172:7b35a9682d81
user:        George Dunlap <gdunlap@xensource.com>
date:        Wed Feb 28 11:11:22 2007 -0500
summary:     [XEN][SHADOW] Fix early-unshadow logic.

changeset:   14171:d39dcdb9cca3
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 14:44:52 2007 +0000
summary:     hvm: Only do hvm_disable() on HVM-enabled systems.

changeset:   14170:868c28c0a4f4
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 14:34:25 2007 +0000
summary:     linux: Disable idle-loop alternatives.

changeset:   14169:aac0a4b8e328
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 14:26:26 2007 +0000
summary:     linux: Split suspend_mutex into watch_mutex and transaction_mutex.

changeset:   14168:1ec0d322402e
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 14:13:09 2007 +0000
summary:     More PV save/restore fixes.

changeset:   14167:0f0ac445bf82
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Feb 28 13:22:20 2007 +0000
summary:     Fix 32-bit x86 compile

changeset:   14166:f3271ae6a485
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Feb 28 13:19:16 2007 +0000
summary:     [XEN] Compat-mode dom0 always provides compat vcpu_guest_context structs.

changeset:   14165:5943a8314d69
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Feb 28 13:17:27 2007 +0000
summary:     [XEN] Make the compat-mode l4 page table look more like a page table

changeset:   14164:9edd8d7c9355
user:        Christian Limpach <Christian.Limpach@xensource.com>
date:        Wed Feb 28 10:40:52 2007 +0000
summary:     [XEN] No need to change the compat mode of the guest in xen.

changeset:   14163:40dc331c4423
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 09:44:59 2007 +0000
summary:     Loop on actual elfnote array size rather than depending on ELFNOTE_MAX

changeset:   14162:9149ef0e61ce
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 09:41:02 2007 +0000
summary:     Add suspend_cancel flag to linux elf notes.

changeset:   14161:0ba4f202d504
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 09:39:23 2007 +0000
summary:     Add xm save -c/--checkpoint option

changeset:   14160:270a5e2ead43
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 09:39:03 2007 +0000
summary:     Let xend choose to do hard or soft domain resumption depending on

changeset:   14159:8939316a0735
user:        kfraser@localhost.localdomain
date:        Wed Feb 28 09:38:14 2007 +0000
summary:     Fix off-by-one preventing the last elfnote from being read in xc.c.

changeset:   14158:5217185f7588
user:        kfraser@localhost.localdomain
date:        Tue Feb 27 20:27:18 2007 +0000
summary:     Add openssl-dev and xorg-x11-dev to README

changeset:   14157:d4cd2c70cdea
user:        kfraser@localhost.localdomain
date:        Tue Feb 27 20:22:36 2007 +0000
summary:     [XEN] [ACM] Simplify the event channel scanning

changeset:   14156:69dec539c19f
user:        kfraser@localhost.localdomain
date:        Tue Feb 27 16:13:08 2007 +0000
summary:     Fix for Solaris compile/output for VBDs in xentop.

changeset:   14155:e506c3fd03c9
parent:      14153:a9d246105752
parent:      14154:2cc8c117b7b8
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Tue Feb 27 15:40:37 2007 +0000
summary:     merge

changeset:   14154:2cc8c117b7b8
parent:      14150:dd8c88744433
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Tue Feb 27 15:39:08 2007 +0000
summary:     [TOOLS] Add support for XEN_ELFNOTE_L1_MFN_VALID to readnotes.

changeset:   14153:a9d246105752
user:        kfraser@localhost.localdomain
date:        Tue Feb 27 15:34:55 2007 +0000
summary:     Accelerate IDE PIO on HVM/IA64 [3/3]

changeset:   14152:e450a3b90aba
user:        kfraser@localhost.localdomain
date:        Tue Feb 27 15:34:24 2007 +0000
summary:     Accelerate IDE PIO on HVM/IA64 [2/3]

changeset:   14151:b0f663e668d9
user:        kfraser@localhost.localdomain
date:        Tue Feb 27 15:33:25 2007 +0000
summary:     Accelerate IDE PIO on HVM/IA64 [1/3]

changeset:   14150:dd8c88744433
user:        Steven Hand <steven@xensource.com>
date:        Tue Feb 27 14:33:07 2007 +0000
summary:     Fix save/restore (and non-live migrate) on PAE.

changeset:   14149:8e3899a4f62d
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 27 13:58:40 2007 +0000
summary:     Added SXP pretty-printer.

changeset:   14148:b67c253d1cdb
user:        kfraser@localhost.localdomain
date:        Tue Feb 27 13:43:01 2007 +0000
summary:     linux: Don't allow partial message raeds from xenstore across

changeset:   14147:339e477d2548
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 27 11:19:25 2007 +0000
summary:     Fix exception handling to cope with exceptions that do not have a string as

changeset:   14146:0a9da94c904a
user:        George Dunlap <gdunlap@xensource.com>
date:        Tue Feb 27 06:06:29 2007 -0500
summary:     [TOOLS] Make xentrace help a little more informative.

changeset:   14145:9abcc909befc
parent:      14144:ffe7e8ef2c98
parent:      14143:8bd56d9cc6c7
user:        George Dunlap <gdunlap@xensource.com>
date:        Tue Feb 27 06:02:32 2007 -0500
summary:     Merge

changeset:   14144:ffe7e8ef2c98
parent:      14141:c2e7bacf0919
user:        George Dunlap <gdunlap@xensource.com>
date:        Tue Feb 27 06:01:35 2007 -0500
summary:     [TOOLS] Added option to xentrace to discard records in the buffer

changeset:   14143:8bd56d9cc6c7
user:        kfraser@localhost.localdomain
date:        Tue Feb 27 11:00:36 2007 +0000
summary:     x86: Fix BUG() crash in mm.c.

changeset:   14142:1c5e6239a8d0
user:        root@xenhog02.amd.com
date:        Sun Feb 25 23:58:33 2007 -0600
summary:     fix PDPE entry in P2M table under 32bit PAE hypervisor

changeset:   14141:c2e7bacf0919
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 27 01:52:27 2007 +0000
summary:     Fix missing bits of the docs from cset 14020, and match that change by removing

changeset:   14140:42dd9055ee1f
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 27 01:05:32 2007 +0000
summary:     Implementation of host_metrics.get_all, PIF_metrics.get_all, and docs and

changeset:   14139:50e0616fd012
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 27 00:37:27 2007 +0000
summary:     Added some more fields to host_cpu.

changeset:   14138:e7b2a282c9e7
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Feb 26 17:20:36 2007 +0000
summary:     [HVM][SVM] Save/Restore: Remove commented out code

changeset:   14137:6efc22cb9c84
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 17:05:10 2007 +0000
summary:     Missing files from previous changeset.

changeset:   14136:d2a91b73899a
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 17:04:39 2007 +0000
summary:     [xentrace][HVM] introduce HVM tracing to unify SVM and VMX tracing

changeset:   14135:0070b18869f7
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 16:27:35 2007 +0000
summary:     x86: Update map_pages_to_xen() to avoid arithmetic based on

changeset:   14134:9e5e94942045
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 16:25:17 2007 +0000
summary:     x86: Clean up {alloc,free}_xen_pagetable() interface to avoid use of

changeset:   14133:45ddffd595a1
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Feb 26 15:50:50 2007 +0000
summary:     Add argument check for xm network-attach command

changeset:   14132:0261e86db3b1
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Feb 26 15:41:35 2007 +0000
summary:     Fix xm vcpu-set command for when wrong number of VCPU is given

changeset:   14131:0b5da89e2b3d
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Feb 26 15:39:34 2007 +0000
summary:     Move credit scheduler configuration into XendDomainInfo, so that the domain

changeset:   14130:ca1dd3480540
parent:      14129:90f37b1748a8
parent:      14128:9be2dec913b7
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Feb 26 14:48:46 2007 +0000
summary:     Merge

changeset:   14129:90f37b1748a8
parent:      14127:720afbf74001
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Feb 26 14:47:54 2007 +0000
summary:     [TOOLS] fix sizeof() usage in xc_core

changeset:   14128:9be2dec913b7
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 14:09:08 2007 +0000
summary:     linux: Fix backward compatibility in page table handling

changeset:   14127:720afbf74001
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Feb 26 13:56:01 2007 +0000
summary:     [XEN] Allow log-dirty mode to be enabled on already-shadowed domains.

changeset:   14126:bfd4fad0f052
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 11:53:35 2007 +0000
summary:     Remap PCI-ISA IRQ 6 to IRQ 7. Disable LPT1 by default and remove its

changeset:   14125:047748faa4aa
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 11:21:03 2007 +0000
summary:     Resolve conflict over use of name xen_elfnote.

changeset:   14124:eefbc33a41ab
parent:      14123:a70cf505aef9
parent:      14122:9f199e1fd929
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Feb 26 10:23:03 2007 +0000
summary:     Merge

changeset:   14123:a70cf505aef9
parent:      14119:78c0ae1f77f2
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Feb 26 10:22:38 2007 +0000
summary:     [HVM] Shadow: always use mmio_space() to detect MMIO addresses

changeset:   14122:9f199e1fd929
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 10:18:52 2007 +0000
summary:     libxc, ia64: Added new arch_hook for registering ia64 big endian images.

changeset:   14121:64d80037e524
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 09:59:56 2007 +0000
summary:     Save elfnotes in VM sxpr under image/notes, and load them on restore.

changeset:   14120:a20ec270998b
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 09:59:33 2007 +0000
summary:     Write Xen ELF notes into xenstore on domain build.

changeset:   14119:78c0ae1f77f2
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Mon Feb 26 09:28:30 2007 +0000
summary:     [HVM] Revert cset 14083

changeset:   14118:2d3ceb082114
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 09:13:50 2007 +0000
summary:     xm-test, acm: Use xvda* device name instead of sdb* device inside guest domain.

changeset:   14117:bfd188f0cf5d
user:        kfraser@localhost.localdomain
date:        Mon Feb 26 09:12:55 2007 +0000
summary:     Remove duplicate #includes from Linux sparese-tree file.

changeset:   14116:568433250d84
user:        Ewan Mellor <ewan@xensource.com>
date:        Mon Feb 26 00:07:14 2007 +0000
summary:     Remove unused network.default_{gateway,netmask}.

changeset:   14115:48d581be85ea
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Feb 25 23:45:39 2007 +0000
summary:     Redefine units of VDI.virtual_size to be bytes, not sectors.

changeset:   14114:36702d9b2c5c
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Feb 25 23:37:05 2007 +0000
summary:     Added host.capabilities field.

changeset:   14113:e71b277f1533
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Feb 25 23:17:14 2007 +0000
summary:     Replace VM.tools_version with a richer VM_guest_metrics class.

changeset:   14112:cfd23ac1b32a
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Feb 25 22:47:29 2007 +0000
summary:     Added documentation and C bindings for VBD/VIF.status_detail, status_code, and

changeset:   14111:532a25342a30
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Feb 25 22:31:43 2007 +0000
summary:     Added a VM.domid field.

changeset:   14110:8c8d91a006ba
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Feb 25 22:02:12 2007 +0000
summary:     Remove the bindings for VM.get_VCPUs_{number,utilisation} -- these have moved

changeset:   14109:d81c0b55e248
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Feb 25 21:53:39 2007 +0000
summary:     Fix typo in host record.

changeset:   14108:02f32a4df8db
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Feb 25 21:52:54 2007 +0000
summary:     Added tab completion for methods and object references to xm shell.

changeset:   14107:f3aa6e34aeb1
user:        Ewan Mellor <ewan@xensource.com>
date:        Sun Feb 25 17:20:51 2007 +0000
summary:     Added host.API_version_{major,minor,vendor,vendor_implementation} fields.

changeset:   14106:fd7f23e44b11
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Feb 21 23:03:00 2007 +0000
summary:     Added VBD. and VIF.qos_supported_algorithms fields, with C bindings, Xend

changeset:   14105:c051ed67258a
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 24 15:30:19 2007 +0000
summary:     libxc: Code format cleanups.

changeset:   14104:59b8d5168cc1
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 24 14:48:17 2007 +0000
summary:     Reduce impact of saving/restoring/dumping large domains on Dom0 memory

changeset:   14103:0147ef7c3cd7
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 24 14:33:34 2007 +0000
summary:     dump-core: documentation on its format.

changeset:   14102:e2e6830269f7
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 24 14:32:43 2007 +0000
summary:     xc_ptrace_core.c new elf format support

changeset:   14101:3dac99b6034e
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 24 14:31:42 2007 +0000
summary:     Xen coredump format: ELF formatified with note section.

changeset:   14100:f61992cb82fe
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 24 14:19:42 2007 +0000
summary:     Move some definitions from xg_save_resotre.h to xg_private.h

changeset:   14099:aa1be6f5150e
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 24 14:19:05 2007 +0000
summary:     x86 hvm domain builder, restore: set shared_info.arch.max_pfn for

changeset:   14098:6c938630de54
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 24 14:10:27 2007 +0000
summary:     Support new xm command: xm trigger <Domain> <nmi|reset|init> [<VCPU>]

changeset:   14097:1e5a83fb928b
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 24 13:57:34 2007 +0000
summary:     xen memory allocator: Allow per-domain bitwidth restrictions.

changeset:   14096:8afe591c272b
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 24 12:19:22 2007 +0000
summary:     xen memory allocator: Dynamically allocate per-numa-node metadata.

changeset:   14095:e9bd3267ff23
user:        Jake Wires <jwires@xensource.com>
date:        Fri Feb 23 17:26:07 2007 -0800
summary:     [TAPDISK] honor read-only attributes when creating tap-based VBDs

changeset:   14094:5ba3037ea5e1
user:        Jake Wires <jwires@xensource.com>
date:        Fri Feb 23 09:40:32 2007 -0800
summary:     [TAPDISK] handle error case when opening VDIs

changeset:   14093:ee4850bc895b
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 17:02:58 2007 +0000
summary:     xen memory alloctor: remove bit width restrictions

changeset:   14092:70098102f84d
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 17:01:38 2007 +0000
summary:     xen memory allocator: per-bit-width heap zones

changeset:   14091:b6df5e64b6c4
parent:      14088:c64aa7fb7712
parent:      14090:e47738923a05
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Fri Feb 23 16:57:34 2007 +0000
summary:     merge

changeset:   14090:e47738923a05
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Fri Feb 23 16:56:45 2007 +0000
summary:     [LINUX] Purge include <linux/config.h>. It has been obsolete for some time now.

changeset:   14089:77298360e365
parent:      14087:6253b8d32eb9
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Fri Feb 23 16:56:42 2007 +0000
summary:     [PV-on-HVM] Fix gnttab_map to not run off the bottom of the gnttab space.

changeset:   14088:c64aa7fb7712
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 16:55:56 2007 +0000
summary:     xen memory allocator: hide generic allocator routines

changeset:   14087:6253b8d32eb9
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 16:36:55 2007 +0000
summary:     xentrace: Add a relative TSC field (kept track per CPU) to xentrace_format.

changeset:   14086:58086aa7c70a
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 16:24:07 2007 +0000
summary:     linux, tpm: Fix argument to grant table operation

changeset:   14085:e21834bc78f2
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 16:17:00 2007 +0000
summary:     hvm: Fix save/restore to handle missing pages.

changeset:   14084:91427cadfa48
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 16:16:36 2007 +0000
summary:     hvm: unset_mm_mapping() for vga acceleration region should recalculate

changeset:   14083:2c3a13993b0d
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Feb 23 14:44:07 2007 +0000
summary:     [HVM] Only treat gfns in known MMIO regions as MMIO

changeset:   14082:eb3ebf11abfe
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 14:36:33 2007 +0000
summary:     xen: Fix dumb boot allocator breakage that prevents loop termination

changeset:   14081:8bcaedc68f5a
user:        Emmanuel Ackaouy <ack@xensource.com>
date:        Fri Feb 23 12:58:20 2007 +0000
summary:     [XEN] [TOOLS] 32on64 compat save/restore: unadjust L3E flags at save time

changeset:   14080:cdc765772f69
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 11:32:25 2007 +0000
summary:     hvm: Clean up initialisation of hvm_funcs.

changeset:   14079:38fb6c392dec
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 10:47:55 2007 +0000
summary:     Implement VBD and VIF handling on Solaris for libxenstat.

changeset:   14078:d7fe2318fc5f
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 10:43:00 2007 +0000
summary:     linux: Fix current_vcpu_info for UP case

changeset:   14077:6510cb03aae1
parent:      14076:202eb735b425
parent:      14053:e8470a1a01af
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 10:38:33 2007 +0000
summary:     Merge with xen-ia64-unstable.hg.

changeset:   14076:202eb735b425
parent:      14075:9364bea18bc4
parent:      14044:f62a052384a5
user:        awilliam@xenbuild2.aw
date:        Thu Feb 22 10:15:29 2007 -0700
summary:     merge with xen-unstable.hg

changeset:   14075:9364bea18bc4
user:        awilliam@xenbuild2.aw
date:        Thu Feb 22 09:42:13 2007 -0700
summary:     [IA64] First step to support big-endian PV domUs

changeset:   14074:315c348e5f9e
parent:      14073:409e94d0a35b
parent:      14015:e7994a122aab
user:        awilliam@xenbuild2.aw
date:        Tue Feb 20 15:43:57 2007 -0700
summary:     merge with xen-unstable.hg

changeset:   14073:409e94d0a35b
user:        awilliam@xenbuild2.aw
date:        Tue Feb 20 15:12:11 2007 -0700
summary:     [IA64] Update xencommize_mini_grant_table_op for GNTTABOP_query_size

changeset:   14072:d907467f08cd
parent:      14071:04c23c1ef888
parent:      14006:ecb6cd61a9cf
user:        awilliam@xenbuild2.aw
date:        Tue Feb 20 12:58:22 2007 -0700
summary:     merge with xen-unstable.hg

changeset:   14071:04c23c1ef888
user:        awilliam@xenbuild2.aw
date:        Sun Feb 18 16:13:13 2007 -0700
summary:     [IA64] Make b2-b5 fixed registers

changeset:   14070:38f7330d4807
user:        awilliam@xenbuild2.aw
date:        Sun Feb 18 16:08:11 2007 -0700
summary:     [IA64] Cleanup in vmx.h

changeset:   14069:54247a642f5e
user:        awilliam@xenbuild2.aw
date:        Sun Feb 18 16:06:24 2007 -0700
summary:     [IA64] Cleanup in vmx

changeset:   14068:5abf33a383cf
user:        awilliam@xenbuild2.aw
date:        Sun Feb 18 16:00:52 2007 -0700
summary:     [IA64] Paravirtualize mmap handlers of /proc/bus/pci

changeset:   14067:5ad7d9b466ee
user:        awilliam@xenbuild2.aw
date:        Sun Feb 18 15:57:38 2007 -0700
summary:     [IA64] Import arch/ia64/pci/pci.c into sparse tree

changeset:   14066:779d21cf58e7
user:        awilliam@xenbuild2.aw
date:        Sun Feb 18 15:53:12 2007 -0700
summary:     [IA64] Quiet VTi domain bootup

changeset:   14065:3fa7489f87bb
user:        awilliam@xenbuild2.aw
date:        Fri Feb 16 16:47:24 2007 -0700
summary:     [IA64] Quieter boot

changeset:   14064:b0aeca575dfb
user:        awilliam@xenbuild2.aw
date:        Fri Feb 16 15:49:05 2007 -0700
summary:     [IA64] vcpu hot-plug/remove for VTi

changeset:   14063:9529d667d042
parent:      14062:ac18d251df63
parent:      13947:9af0c7e4ff51
user:        awilliam@xenbuild2.aw
date:        Thu Feb 15 14:09:39 2007 -0700
summary:     merge with xen-unstable.hg

changeset:   14062:ac18d251df63
user:        awilliam@xenbuild2.aw
date:        Thu Feb 15 13:13:36 2007 -0700
summary:     [IA64][MINIOS] Port of mini-os to ia64

changeset:   14061:eb6c19ed6e67
user:        awilliam@xenbuild2.aw
date:        Thu Feb 15 10:31:39 2007 -0700
summary:     [IA64] Only one serial console port on Tiger2

changeset:   14060:2b3dd681dbce
user:        awilliam@xenbuild2.aw
date:        Thu Feb 15 10:25:33 2007 -0700
summary:     [IA64] Fix I&D cache incoherency after vcpu migration

changeset:   14059:6c63ff548888
user:        awilliam@xenbuild2.aw
date:        Wed Feb 14 10:14:37 2007 -0700
summary:     [IA64] Fix serial console on Tiger2 & Tiger4

changeset:   14058:8bdbe88e422f
user:        awilliam@xenbuild2.aw
date:        Mon Feb 12 10:10:37 2007 -0700
summary:     [IA64] Fix save/restore bug

changeset:   14057:5982d478698f
user:        awilliam@xenbuild2.aw
date:        Mon Feb 12 10:06:46 2007 -0700
summary:     [IA64] Add localtime setting for PV/IA64 domain

changeset:   14056:46a8d51134d0
user:        awilliam@xenbuild2.aw
date:        Mon Feb 12 10:02:10 2007 -0700
summary:     [IA64] dma-mapping.h user our own swiotlb.h header

changeset:   14055:dea561992abe
user:        awilliam@xenbuild2.aw
date:        Mon Feb 12 09:54:20 2007 -0700
summary:     [IA64] Avoid recursively walking guest short VHPT

changeset:   14054:81c4f90695a8
parent:      13898:ad9bbd103034
user:        awilliam@xenbuild2.aw
date:        Mon Feb 12 09:48:56 2007 -0700
summary:     [IA64] Remove use of hpsim console

changeset:   14053:e8470a1a01af
user:        kfraser@localhost.localdomain
date:        Fri Feb 23 10:35:16 2007 +0000
summary:     hvm: Rename injection_pending() to event_injection_faulted().

changeset:   14052:8407279d3751
user:        Jake Wires <jwires@xensource.com>
date:        Thu Feb 22 21:32:17 2007 -0800
summary:     [TAPDISK] minor changes to tapdisk and plugins

changeset:   14051:da37c365b375
user:        kfraser@localhost.localdomain
date:        Thu Feb 22 22:27:40 2007 +0000
summary:     x86/64: Fix a user of alloc_boot_pages() who should use

changeset:   14050:3746b3d4f301
user:        kfraser@localhost.localdomain
date:        Thu Feb 22 15:26:21 2007 +0000
summary:     alloc_boot_pages() allocates downwards from high memory.

changeset:   14049:9e35371a3caa
user:        kfraser@localhost.localdomain
date:        Thu Feb 22 15:22:16 2007 +0000
summary:     x86: Detect shadow-emulate write to stack from inside the write

changeset:   14048:644e9e18d2ef
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Feb 22 14:58:26 2007 +0000
summary:     Fix perfc=y build

changeset:   14047:c0b1a3b54548
user:        kfraser@localhost.localdomain
date:        Thu Feb 22 13:03:49 2007 +0000
summary:     hvm: Turn stack-pointer comparison on shadow-emulate path into a

changeset:   14046:3f7e8c763b55
user:        kfraser@localhost.localdomain
date:        Thu Feb 22 12:49:44 2007 +0000
summary:     hvm: Do not take shadow-emulation path if we are trying to inject an

changeset:   14045:0a970a431bbc
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Feb 22 12:21:29 2007 +0000
summary:     [XEN] don't emulate stack operations on shadowed pages

changeset:   14044:f62a052384a5
user:        Jake Wires <jwires@xensource.com>
date:        Wed Feb 21 18:38:11 2007 -0800
summary:     [BLKTAP] fix sysfs cleanup on error case

changeset:   14043:eb190b1faa52
user:        kfraser@localhost.localdomain
date:        Wed Feb 21 20:30:37 2007 +0000
summary:     x86: Only unshadow on failed emulation, not when an exception is raised.

changeset:   14042:4e50678c364c
user:        kfraser@localhost.localdomain
date:        Wed Feb 21 20:03:56 2007 +0000
summary:     linux: Use hard tabs and Linux coding style.

changeset:   14041:b010e556fe2c
user:        kfraser@localhost.localdomain
date:        Wed Feb 21 19:58:58 2007 +0000
summary:     x86: Extend emulator return codes.

changeset:   14040:ad3ee81cc8c4
user:        Jake Wires <jwires@xensource.com>
date:        Wed Feb 21 11:42:04 2007 -0800
summary:     [BLKBACK/BLKTAP] add sysfs throughput profiling to blk{back/tap}

changeset:   14039:87f31a0db841
user:        kfraser@localhost.localdomain
date:        Wed Feb 21 19:12:16 2007 +0000
summary:     hvm: local_events_need_delivery() must take into account VLAPIC/PIC status.

changeset:   14038:335a8280ab1d
user:        kfraser@localhost.localdomain
date:        Wed Feb 21 18:54:48 2007 +0000
summary:     libfs: Fix build with gcc4.

changeset:   14037:af3281c66e73
user:        kfraser@localhost.localdomain
date:        Wed Feb 21 16:33:34 2007 +0000
summary:     Add find_domain_rcu_lock() and domain_rcu_unlock().

changeset:   14036:97826d77bd4d
user:        kfraser@localhost.localdomain
date:        Wed Feb 21 16:13:49 2007 +0000
summary:     Use RCU for domain_list and domain_hash.

changeset:   14035:3c581edac93a
parent:      14034:47db75f8cc76
parent:      14032:43e9952b07ea
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Feb 21 14:44:09 2007 +0000
summary:     Merge

changeset:   14034:47db75f8cc76
user:        Aron Griffis <aron@hp.com>
date:        Tue Feb 13 12:30:23 2007 -0500
summary:     Port fsys_fat.c from grub legacy.  This enables pygrub to load from EFI

changeset:   14033:fe3e024e38f8
parent:      14031:bca284f67702
user:        john.levon@sun.com
date:        Tue Feb 20 14:54:04 2007 -0800
summary:     Add iso9660 support to libfsimage.

changeset:   14032:43e9952b07ea
user:        kfraser@localhost.localdomain
date:        Wed Feb 21 14:40:37 2007 +0000
summary:     x86: Better BUG() and ASSERT() logging.

changeset:   14031:bca284f67702
user:        kfraser@localhost.localdomain
date:        Wed Feb 21 10:13:40 2007 +0000
summary:     x86: Allow exceptions to be handled while interrupts are

changeset:   14030:2840b5e7f585
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Feb 21 00:04:59 2007 +0000
summary:     Added C bindings for host.supported_bootloaders.

changeset:   14029:2414007d92ba
user:        Ewan Mellor <ewan@xensource.com>
date:        Wed Feb 21 00:04:06 2007 +0000
summary:     Fix allocation of the error_description fields.

changeset:   14028:df08fe145d24
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 20 23:59:13 2007 +0000
summary:     Put the set size in the structure on set-allocation.

changeset:   14027:ee3ea729f5de
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 20 22:54:30 2007 +0000
summary:     Added host.supported_bootloaders field.

changeset:   14026:e0e300fda3f0
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 20 22:46:21 2007 +0000
summary:     Remove host.create and host.destroy -- these never made any sense.

changeset:   14025:bab07bed5c0a
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 20 22:40:55 2007 +0000
summary:     Added modelling and C bindings for VIF/VBD QoS parameter setting.  No Xend

changeset:   14024:0aa6755159d5
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 20 21:55:11 2007 +0000
summary:     Split the VIF I/O statistics fields out into a VIF_metrics class.  Implement

changeset:   14023:7819d9332fba
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 20 21:28:19 2007 +0000
summary:     Split the VBD I/O statistics out into a VBD_metrics class.  Document the

changeset:   14022:988b90c6b4f3
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 20 19:38:24 2007 +0000
summary:     Added Console.other_config to the docs (Xend already has this).

changeset:   14021:be35eed950da
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 20 19:23:28 2007 +0000
summary:     Rename Console.uri to location.  Xend already uses the latter.

changeset:   14020:8773b1a38c83
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 20 16:30:24 2007 +0000
summary:     Remove VM.VCPUs_number and VM.VCPUs_utilisation as these have moved onto the

changeset:   14019:8bcd71c3b495
user:        Ewan Mellor <ewan@xensource.com>
date:        Tue Feb 20 15:24:01 2007 +0000
summary:     Replace the X_HANDLE_INVALID error codes with a single HANDLE_INVALID that

changeset:   14018:f65a24235f58
user:        kfraser@localhost.localdomain
date:        Tue Feb 20 23:54:42 2007 +0000
summary:     hvm: Fix getvcpucontext to return the correct CR3 value.

changeset:   14017:c39a6b458bd0
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Feb 20 20:49:44 2007 +0000
summary:     [HVM] Fix MMIO AND emulation

changeset:   14016:4314691c70a2
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Feb 20 20:02:49 2007 +0000
summary:     [HVM] Fix MMIO LODS emulation

changeset:   14015:e7994a122aab
user:        kfraser@localhost.localdomain
date:        Tue Feb 20 17:05:50 2007 +0000
summary:     x86 emulation: fix bswap

changeset:   14014:4719e34ed7a7
user:        kfraser@localhost.localdomain
date:        Tue Feb 20 16:57:50 2007 +0000
summary:     x86: Fix emulation of REP prefix.

changeset:   14013:b5ee25f50861
parent:      14012:f48553000369
parent:      14011:c57d80520e7a
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Feb 20 16:19:40 2007 +0000
summary:     Merge

changeset:   14012:f48553000369
parent:      14010:92a4aafb8cbc
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Feb 20 16:18:56 2007 +0000
summary:     [HVM] Another unchecked caller of hvm_copy_to_guest_virt()

changeset:   14011:c57d80520e7a
user:        kfraser@localhost.localdomain
date:        Tue Feb 20 16:12:02 2007 +0000
summary:     acm: More fixes after grant-table changes. These are all bugs

changeset:   14010:92a4aafb8cbc
parent:      14009:6746873997b5
parent:      14008:75697d623a2b
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Feb 20 15:37:28 2007 +0000
summary:     Merge

changeset:   14009:6746873997b5
parent:      14007:e4ddec3dffb0
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Feb 20 15:37:03 2007 +0000
summary:     [XEN] Get rid of gva_to_gpa translation

changeset:   14008:75697d623a2b
user:        Vincent Hanquez <vincent@xensource.com>
date:        Tue Feb 20 14:12:12 2007 +0000
summary:     add /sbin to the $PATH and use ldconfig -p instead of ldconfig -v

changeset:   14007:e4ddec3dffb0
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Feb 20 13:57:26 2007 +0000
summary:     [XEN] Fix skip-verify shadow heuristic

changeset:   14006:ecb6cd61a9cf
user:        kfraser@localhost.localdomain
date:        Tue Feb 20 12:27:03 2007 +0000
summary:     linux: Fix swiotlb bug-out due to uninitialised end_pfn/max_mapnr.

changeset:   14005:93035b689834
user:        Vincent Hanquez <vincent@xensource.com>
date:        Tue Feb 20 12:22:40 2007 +0000
summary:     add /sbin to the $PATH for debian's ldconfig.

changeset:   14004:0a348e9ecedb
user:        kfraser@localhost.localdomain
date:        Tue Feb 20 12:18:29 2007 +0000
summary:     linux/x86: Advertise which page table entries contain MFNs and hence

changeset:   14003:4990b2236f06
user:        kfraser@localhost.localdomain
date:        Tue Feb 20 11:57:06 2007 +0000
summary:     xen/x86: Better BUG back traces.

changeset:   14002:266d203d7f39
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Feb 20 11:51:40 2007 +0000
summary:     [XEN] Fix potential race in unshadow code

changeset:   14001:4b9680c58d73
user:        kfraser@localhost.localdomain
date:        Tue Feb 20 09:41:32 2007 +0000
summary:     linux/x86: Clean up page table handling headers

changeset:   14000:832b252f1f6f
parent:      13999:919879a49266
parent:      13998:d2dff286994d
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Tue Feb 20 09:34:22 2007 +0000
summary:     Merge

changeset:   13999:919879a49266
parent:      13997:89ca591a2c21
user:        john.levon@sun.com
date:        Mon Feb 19 20:44:42 2007 -0800
summary:     Xenconsoled should ignore spurious watch event. Otherwise, it can rebind to the same evtchn of a dying domU during suspending and cause below error message:

changeset:   13998:d2dff286994d
user:        kfraser@localhost.localdomain
date:        Tue Feb 20 09:33:14 2007 +0000
summary:     linux/x86: Adjust and fix page table handling.

changeset:   13997:89ca591a2c21
user:        john.levon@sun.com
date:        Mon Feb 19 20:44:42 2007 -0800
summary:     Filesystem implementations may need optional arguments in terms of

changeset:   13996:b83cfb117bdd
user:        kfraser@localhost.localdomain
date:        Mon Feb 19 22:50:07 2007 +0000
summary:     linux: Fix 32-bit build after changeset 13993:168030c8e0a93d8401cf5e783e10ecdf0938abda

changeset:   13995:9c2e6f8f3aa7
user:        Emmanuel Ackaouy <ack@xensource.com>
date:        Mon Feb 19 19:58:07 2007 +0000
summary:     [XEN] 32on64 shadowing / live migration support for PV PAE compat guests

changeset:   13994:0b882c911b88
user:        kfraser@localhost.localdomain
date:        Mon Feb 19 16:16:53 2007 +0000
summary:     Quieten noisy fied-up-GPF-in-Xen logging.

changeset:   13993:168030c8e0a9
user:        kfraser@localhost.localdomain
date:        Mon Feb 19 16:11:56 2007 +0000
summary:     linux: Introduce {current_,}vcpu_info.

changeset:   13992:01476c7804b2
user:        kfraser@localhost.localdomain
date:        Mon Feb 19 16:06:03 2007 +0000
summary:     ia64: Fixes after changes to grant table code.

changeset:   13991:184db7a674d9
user:        kfraser@localhost.localdomain
date:        Mon Feb 19 16:05:34 2007 +0000
summary:     acm: Further fixes after grant-table changes.

changeset:   13990:3b7bdb7bd130
user:        kfraser@localhost.localdomain
date:        Mon Feb 19 15:52:51 2007 +0000
summary:     Fix ACM build after recent grant-table code changes.

changeset:   13989:ac570a3c79a2
user:        kfraser@localhost.localdomain
date:        Mon Feb 19 15:51:46 2007 +0000
summary:     hvm, vtpm: Fix wait for an outstanding response.

changeset:   13988:ee6e484403a9
user:        kfraser@localhost.localdomain
date:        Mon Feb 19 15:50:29 2007 +0000
summary:     minios: Fix xenbus-id allocation loop.

changeset:   13987:b90180c2a057
user:        kfraser@localhost.localdomain
date:        Mon Feb 19 15:46:01 2007 +0000
summary:     hvm: Remove noisy warnings associated with MOVS emulation.

changeset:   13986:e846a7a444fa
user:        kfraser@localhost.localdomain
date:        Mon Feb 19 15:43:27 2007 +0000
summary:     hvm: Emulate opcode 0x03 (ADD mem,reg).

changeset:   13985:5a07ea77a61d
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Mon Feb 19 12:21:41 2007 +0000
summary:     [LIBELF] Prefer PT_NOTE segments to SHT_NOTE sections for ELF notes.

changeset:   13984:b5fc88aad1b0
user:        Keir Fraser <keir@xensource.com>
date:        Sun Feb 18 15:29:40 2007 +0000
summary:     hvm: Support PUSH from mmio area (opcode 0xFF/6).

changeset:   13983:c5ff7671b9f2
user:        Keir Fraser <keir@xensource.com>
date:        Sat Feb 17 13:26:33 2007 +0000
summary:     linux: vmalloc_sync_all() is not a no-op when running in PAE mode on Xen.

changeset:   13982:31e65c4ba739
user:        kfraser@localhost.localdomain
date:        Sat Feb 17 09:59:00 2007 +0000
summary:     Fix 64-bit build.

changeset:   13981:3c827d68fa87
user:        Jake Wires <jwires@xensource.com>
date:        Fri Feb 16 20:31:27 2007 -0800
summary:     [TAPDISK] add tapdisk support for image chaining

changeset:   13980:32a059913591
user:        kfraser@localhost.localdomain
date:        Fri Feb 16 16:34:28 2007 +0000
summary:     x86-64: fix Lx_DISALLOW_MASK

changeset:   13979:7c739272bac8
user:        kfraser@localhost.localdomain
date:        Fri Feb 16 16:05:01 2007 +0000
summary:     linux/x86_64: miscellaneous initialization code cleanup

changeset:   13978:efffaad38089
user:        kfraser@localhost.localdomain
date:        Fri Feb 16 15:50:02 2007 +0000
summary:     hvm: Processor Objects require unique IDs.

changeset:   13977:0cf659332c3a
user:        kfraser@localhost.localdomain
date:        Fri Feb 16 15:33:51 2007 +0000
summary:     hvm: Dynamically generate the correct number of ACPI Processor Objects

changeset:   13976:8c6d787354d9
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Feb 16 13:10:00 2007 +0000
summary:     [XEN] Set p2m page count-info fields properly on allocation.

changeset:   13975:d5076a33cbb1
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Feb 16 12:34:30 2007 +0000
summary:     [HVM] Save/restore: explicitly name MSRs in save format

changeset:   13974:eecd0361df4a
user:        kfraser@localhost.localdomain
date:        Fri Feb 16 12:13:33 2007 +0000
summary:     Fix grant-table initialisation so that domain destruction does not barf.

changeset:   13973:c4ed5b740a8d
user:        kfraser@localhost.localdomain
date:        Fri Feb 16 11:24:10 2007 +0000
summary:     linux: remove {lock,unlock}_vm_area(). Instead use vmalloc_sync_all()

changeset:   13972:cd03d7c23aa7
user:        kfraser@localhost.localdomain
date:        Fri Feb 16 09:57:25 2007 +0000
summary:     Fix vncdisplay config option for HVM guests.

changeset:   13971:2023386e38c4
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 19:03:09 2007 +0000
summary:     hvm: Fix acpi processor id in MADT LAPIC entries.

changeset:   13970:a42c58791d8a
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 18:05:05 2007 +0000
summary:     ia64: Fix build failure

changeset:   13969:5916fc1f9b16
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Feb 15 14:58:43 2007 +0000
summary:     [HVM] Save/restore: remove u8 from publich header

changeset:   13968:8f75c7910b9c
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 14:38:08 2007 +0000
summary:     Remove unnecessary check from HVM builder.

changeset:   13967:9ffe8922414f
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 14:28:01 2007 +0000
summary:     Lift physical address restriction in save/restore code.

changeset:   13966:96d08345f1c5
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 14:25:58 2007 +0000
summary:     Propagate error return from elf_xen_parse().

changeset:   13965:1f5e6fb9c652
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 14:24:11 2007 +0000
summary:     x86: fix NMI delivery to dom0

changeset:   13964:f9c079fca143
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 14:21:50 2007 +0000
summary:     Bring TPM driver files to 2.6.18 level. Remove the tpm.c so that the

changeset:   13963:296d7aa451a3
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 14:20:05 2007 +0000
summary:     [ACM] Update the xensec_ezpolicy ACM policy generation tool so

changeset:   13962:236687fb42d7
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 14:18:21 2007 +0000
summary:     minios: build system cleanups.

changeset:   13961:61de36b8be81
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 14:17:00 2007 +0000
summary:     Disable GCC stack protector for ROMBIOS.

changeset:   13960:477a3bde3b61
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 14:12:32 2007 +0000
summary:     linux: miscellaneous changes after upgrade through 2.6.17.

changeset:   13959:beab19d957de
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 14:05:58 2007 +0000
summary:     linux: e820 handling adjustments

changeset:   13958:e253a63651bf
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 13:51:25 2007 +0000
summary:     linux: user user_mode_vm() in place of user_mode() where necessary.

changeset:   13957:24f16bae44b0
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 13:49:04 2007 +0000
summary:     linux: avoid need to modify include/linux/pfn.h

changeset:   13956:449fb89590e7
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 13:40:33 2007 +0000
summary:     linux: early_printk adjustments

changeset:   13955:b3c41b9f01a6
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 13:38:59 2007 +0000
summary:     linux: proper mutex use in balloon driver

changeset:   13954:89d315c7dcea
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 13:36:58 2007 +0000
summary:     [VTPM] Add a missing initialization of a state variable in the TIS

changeset:   13953:4bd0ea9c499f
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 13:36:00 2007 +0000
summary:     libxc: Fix xc_vcpu_{set,get}_affinity (Xen-bugzilla No.900).

changeset:   13952:70f05d642a2e
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 10:54:12 2007 +0000
summary:     Dynamic grant-table sizing.

changeset:   13951:047b3e9f9032
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 10:34:21 2007 +0000
summary:     Remove unuseful and noisy seg-fixup warning message.

changeset:   13950:0d488e53446a
user:        kfraser@localhost.localdomain
date:        Thu Feb 15 10:25:39 2007 +0000
summary:     Remove old elf-parsing code from tools and from Xen.

changeset:   13949:82f66bc01da2
user:        Wim Colgate <wim@xensource.com>
date:        Wed Feb 14 12:18:32 2007 -0800
summary:     Protect self.domid from being empty

changeset:   13948:f8030a569811
user:        kfraser@localhost.localdomain
date:        Wed Feb 14 19:17:41 2007 +0000
summary:     Export PRI_xen_pfn rather than PRIpfn: less polluting of namespace.

changeset:   13947:9af0c7e4ff51
parent:      13946:aea80dbf6d96
parent:      13910:58e71ae679d5
user:        kfraser@localhost.localdomain
date:        Wed Feb 14 19:01:35 2007 +0000
summary:     Merge with xenppc-unstable.hg

changeset:   13946:aea80dbf6d96
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Feb 09 14:43:22 2007 -0600
summary:     [POWERPC][XEN] Use libelf for dom0 construction.

changeset:   13945:632d8e576900
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Feb 09 14:43:22 2007 -0600
summary:     [LIBELF] Define PRIpfn next to xen_pfn_t.

changeset:   13944:c7251801580a
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Feb 09 14:43:21 2007 -0600
summary:     [POWERPC][XEN] Opt out of new libxc domain builder.

changeset:   13943:1b74475ad511
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Feb 09 14:43:21 2007 -0600
summary:     [LIBELF] Print phdr addresses when loading.

changeset:   13942:376940a942e9
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Feb 09 14:43:21 2007 -0600
summary:     [POWERPC][XEN] Fix RCU crash.

changeset:   13941:272291dacad4
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Feb 09 14:43:21 2007 -0600
summary:     [POWERPC][XEN] strlcpy() fallout.

changeset:   13940:4613ee57e9b3
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Feb 07 18:53:33 2007 -0600
summary:     [POWERPC][XEN] Fix mismerge.

changeset:   13939:3da9a56421c5
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sun Jan 21 09:12:57 2007 -0500
summary:     [XEN][POWERPC] fill in arch_vcpu_reset()

changeset:   13938:7242b912d266
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Mon Jan 22 15:52:46 2007 -0500
summary:     [XEN][POWERPC] Linker script simplification broke optimized builds.

changeset:   13937:796887cef9e1
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Wed Jan 17 14:12:08 2007 -0500
summary:     [XEN][POWERPC] Update linker symbols and scripts

changeset:   13936:978ff6fad81f
parent:      13935:819b8a872d9f
parent:      13807:2379569b590d
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Tue Feb 06 15:03:52 2007 -0600
summary:     [POWERPC][XEN] Merge with xen-unstable.hg.

changeset:   13935:819b8a872d9f
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Tue Feb 06 13:42:19 2007 -0600
summary:     [POWERPC][XEN] Add information into flat devtree needed to create a start_info_t structure in linux.

changeset:   13934:4ce0b332b572
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Tue Feb 06 13:42:19 2007 -0600
summary:     [POWERPC][XEN] Move shared page location to public header to share with libxc.

changeset:   13933:54530b945067
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Thu Jan 25 15:55:25 2007 -0500
summary:     [XEN][XEND][POWERPC] Don't ignore shadow memory requirement

changeset:   13932:b071a2610abc
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Tue Jan 23 08:54:41 2007 -0600
summary:     [POWERPC][XEN] Fix uninitialized variable warning.

changeset:   13931:aa00ced0a10a
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sun Jan 21 08:17:02 2007 -0500
summary:     [XEND][POWERPC] move ppc memory allocation to libxc.  Sync XendDomainInfo.py with xen-unstable.hg.

changeset:   13930:09b3fd488726
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sun Jan 21 08:15:39 2007 -0500
summary:     [XEND][POWERPC] Remove FlatDeviceTree.py, eliminate devtree from prose builder.

changeset:   13929:7bf078335342
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sun Jan 21 08:14:27 2007 -0500
summary:     [XEND][POWERPC] Move flat device tree construction from python to libxc for xc_linux_build().

changeset:   13928:cc1eb0689bcf
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sun Jan 21 07:49:50 2007 -0500
summary:     [XEN][POWERPC] Allocate secondary VCPUs for Dom0

changeset:   13927:88ae0647d542
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sun Jan 21 07:47:35 2007 -0500
summary:     [XEN][POWERPC] remove redundant and confusing restart/halt messages

changeset:   13926:3dd92f0d8fd6
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sat Jan 20 19:05:18 2007 -0500
summary:     [XEN][POWERPC] Print DAR and DSISR registers on CPU register dumps

changeset:   13925:b8fac1c5e6ae
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sat Jan 20 18:59:32 2007 -0500
summary:     [XEN][POWERPC] more ofd /cpus fixups

changeset:   13924:4f0353778233
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sat Jan 20 18:57:15 2007 -0500
summary:     [XEN][POWERPC] big lock to protect some TLB operations

changeset:   13923:741adb202b82
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Fri Jan 19 15:36:17 2007 -0600
summary:     [POWERPC][XEN] Mark heap memory based on boot_of.c's allocator.

changeset:   13922:3773af71a14b
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Wed Jan 17 19:37:20 2007 -0500
summary:     [TOOLS][POWERPC] fixes for the prose builder.

changeset:   13921:a1e9bacfc57d
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Wed Jan 17 13:18:02 2007 -0500
summary:     [XEN][POWERPC] Fix arch_set_info_guest() from upstream interface change

changeset:   13920:14db26e03ba3
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Wed Jan 17 13:16:55 2007 -0500
summary:     [XEN][POWERPC] add asm/nmi.h

changeset:   13919:0fedda56fed4
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Mon Jan 15 13:27:20 2007 -0500
summary:     [XEN][POWERPC] everything is "single core" right now so get cpu_core_map[] correct.

changeset:   13918:a2614e94c7df
user:        Ryan Harper <ryanh@us.ibm.com>
date:        Thu Jan 11 13:39:27 2007 -0600
summary:     [POWERPC][LIBXC] Fix pointer math in ft_add_rsvmap(), rename string block to match DTC spec.

changeset:   13917:90bba403a710
user:        Ryan Harper <ryanh@us.ibm.com>
date:        Thu Jan 11 13:39:27 2007 -0600
summary:     [POWERPC][LIBXC] Whitespace cleanup of powerpc64/xc_linux_build.c

changeset:   13916:6b82bbbedbe1
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Jan 03 17:20:15 2007 -0600
summary:     [POWERPC][LIBXC] Add missing HVM stubs.

changeset:   13915:a23587ebcbf6
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Jan 03 17:11:55 2007 -0600
summary:     [POWERPC][TOOLS] Fix xc.c mismerge.

changeset:   13914:bcd4bf022047
user:        Hollis Blanchard <hollisb@us.ibm.com>
date:        Wed Jan 03 15:25:58 2007 -0600
summary:     [POWERPC][XEN] Provide _text for kexec.

changeset:   13913:8101efde7493
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Tue Dec 19 09:20:58 2006 -0500
summary:     [XEN][POWERPC] DomU real time clock based off of the real one in Dom0

changeset:   13912:d1f053ff43d2
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sun Dec 17 12:40:10 2006 -0500
summary:     [XEN][POWERPC] get cpu_*_maps correct so physinfo and affinity is accurate

changeset:   13911:60515808f591
parent:      13208:8268807adbed
user:        Jimi Xenidis <jimix@watson.ibm.com>
date:        Sun Dec 17 12:36:31 2006 -0500
summary:     [XEN][POWERPC] use symbol to detect processor version

changeset:   13910:58e71ae679d5
user:        kfraser@localhost.localdomain
date:        Wed Feb 14 16:06:10 2007 +0000
summary:     libelf: use xen code style.

changeset:   13909:3f63c1825b0d
user:        kfraser@localhost.localdomain
date:        Wed Feb 14 16:05:28 2007 +0000
summary:     linux: quieten some driver printk logging.

changeset:   13908:d44eb9e7f97b
user:        kfraser@localhost.localdomain
date:        Wed Feb 14 15:54:47 2007 +0000
summary:     Another domctl fix to insert missing copy_to_guest.

changeset:   13907:6fd71faaaa3b
parent:      13906:a00b8d3800a8
parent:      13904:36bbb7edfd0b
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Feb 14 14:47:05 2007 +0000
summary:     Merge

changeset:   13906:a00b8d3800a8
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Feb 14 14:46:18 2007 +0000
summary:     [XEN] Snapshot PAE l3es when they are shadowed.

changeset:   13905:cbbd748c4b58
parent:      13902:d08c2af53804
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Feb 14 14:44:07 2007 +0000
summary:     [XEN] Re-sync PAE l3 shadows when PV guests change them

changeset:   13904:36bbb7edfd0b
user:        kfraser@localhost.localdomain
date:        Wed Feb 14 12:37:13 2007 +0000
summary:     Make libelf not fail on unknown elf notes.

changeset:   13903:929868cd3715
user:        kfraser@localhost.localdomain
date:        Wed Feb 14 12:35:36 2007 +0000
summary:     Add missing breaks to {set,get}_address_size domctls.

changeset:   13902:d08c2af53804
user:        kfraser@localhost.localdomain
date:        Wed Feb 14 12:14:49 2007 +0000
summary:     Fix DEC instruction decode. Turn into SUB, not OR. :-)

changeset:   13901:ed6501070f37
user:        kfraser@localhost.localdomain
date:        Wed Feb 14 12:10:01 2007 +0000
summary:     Support INC/DEC in mmio decoder. Opcodes 0xFE and 0xFF.

changeset:   13900:6daa91dc9247
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Wed Feb 14 12:02:20 2007 +0000
summary:     [XEN] New paging-assistance interface.

changeset:   13899:df25547d7638
user:        Ian Campbell <ian.campbell@xensource.com>
date:        Tue Feb 13 15:32:25 2007 +0000
summary:     [LINUX] Call ctrl_alt_del() to trigger a reboot so we benefit from the

changeset:   13898:ad9bbd103034
user:        kfraser@localhost.localdomain
date:        Fri Feb 09 18:19:24 2007 +0000
summary:     [HVM] Fill in mmio decode gaps for Grp1 immediate opcodes.

changeset:   13897:c67a4115a471
user:        kfraser@localhost.localdomain
date:        Fri Feb 09 17:38:33 2007 +0000
summary:     Print all by default in debug builds.

changeset:   13896:d39e8c44da34
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Fri Feb 09 10:48:41 2007 +0000
summary:     [HVM] Save/restore: disentangle max_pfn from nr_pages.

changeset:   13895:dda3e75f015d
user:        Alastair Tse <atse@xensource.com>
date:        Fri Feb 09 10:21:12 2007 +0000
summary:     Add missing Makefile in x86_64/compat so that it builds on x86_64.

changeset:   13894:620f5cdfe32b
user:        kfraser@localhost.localdomain
date:        Thu Feb 08 21:36:35 2007 +0000
summary:     Fix non-x86 build.

changeset:   13893:9e27245a692e
user:        kfraser@localhost.localdomain
date:        Thu Feb 08 21:30:29 2007 +0000
summary:     Fix x86/64 build.

changeset:   13892:3050c8339da6
user:        Keir Fraser <keir@xensource.com>
date:        Thu Feb 08 18:18:56 2007 +0000
summary:     x86: hide assembly labels

changeset:   13891:0cbf1586a432
user:        Keir Fraser <keir@xensource.com>
date:        Thu Feb 08 18:01:42 2007 +0000
summary:     [HVM][SVM] Do not advertise FFXSR feature.

changeset:   13890:355c740d1330
user:        Keir Fraser <keir@xensource.com>
date:        Thu Feb 08 17:46:14 2007 +0000
summary:     Use printk log-level limiting even during Xen boot.

changeset:   13889:a68a3c6cac5f
user:        Keir Fraser <keir@xensource.com>
date:        Thu Feb 08 17:38:30 2007 +0000
summary:     Small cleanups to PV-on-HVM support code.

changeset:   13888:f9277e2548b5
parent:      13887:fbc233a1dc53
parent:      13840:5a1abfefe892
user:        kfraser@localhost.localdomain
date:        Thu Feb 08 17:27:30 2007 +0000
summary:     Merge with xen-ia64-unstable.hg.

changeset:   13887:fbc233a1dc53
parent:      13886:d3f08d39e695
parent:      13820:584ab4fd1ad5
user:        awilliam@xenbuild2.aw
date:        Wed Feb 07 10:46:18 2007 -0700
summary:     merge with xen-unstable.hg

changeset:   13886:d3f08d39e695
user:        awilliam@xenbuild2.aw
date:        Wed Feb 07 10:14:41 2007 -0700
summary:     [IA64] Clean up error messages from lookup_domain_mpa()

changeset:   13885:7efb3a06c56a
user:        awilliam@xenbuild2.aw
date:        Tue Feb 06 15:20:26 2007 -0700
summary:     [IA64] Don't assume legacy com2

changeset:   13884:5b99d19906a7
user:        awilliam@xenbuild2.aw
date:        Tue Feb 06 15:08:09 2007 -0700
summary:     [IA64] Don't complain about PAL_LOGICAL_TO_PHYSICAL

changeset:   13883:b3ae332e6dbd
user:        awilliam@xenbuild2.aw
date:        Tue Feb 06 09:28:07 2007 -0700
summary:     [IA64] Fix wrong arg to vhpt_enabled() in vmx_hpw_miss()

changeset:   13882:311b27546cf6
user:        awilliam@xenbuild2.aw
date:        Tue Feb 06 09:26:25 2007 -0700
summary:     [IA64] Follow to allow PV-on-HVM callback irq to be identified by PCI device.

changeset:   13881:d7f7021902a2
user:        awilliam@xenbuild2.aw
date:        Mon Feb 05 15:41:58 2007 -0700
summary:     [IA64] Fix for compiling PV-on-HVM driver on IPF

changeset:   13880:d879bbaa3faa
user:        awilliam@xenbuild2.aw
date:        Mon Feb 05 15:23:39 2007 -0700
summary:     [IA64] Turn on dcr.dm inside XEN

changeset:   13879:d9f7f4f9c7ff
user:        awilliam@xenbuild2.aw
date:        Mon Feb 05 14:24:27 2007 -0700
summary:     [IA64] Fix tlbflush_clock

changeset:   13878:e0a5cef6332a
user:        awilliam@xenbuild2.aw
date:        Mon Feb 05 13:55:47 2007 -0700
summary:     [IA64] Additional HVM hypercall fix

changeset:   13877:fbc128aafdeb
parent:      13876:976dd90c2fdb
parent:      13800:01ec7dba9ff8
user:        awilliam@xenbuild2.aw
date:        Sun Feb 04 12:24:53 2007 -0700
summary:     merge with xen-unstable.hg

changeset:   13876:976dd90c2fdb
user:        awilliam@xenbuild2.aw
date:        Sun Feb 04 12:18:48 2007 -0700
summary:     [IA64] Remove verbosity from xen_pm_power_off

changeset:   13875:88c9ba6214bc
user:        awilliam@xenbuild2.aw
date:        Sun Feb 04 12:06:59 2007 -0700
summary:     [IA64] Xen build warning fixes

changeset:   13874:339d9e632a80
user:        awilliam@xenbuild2.aw
date:        Sun Feb 04 11:41:25 2007 -0700
summary:     [IA64] Fix usage of 14 bit immediate value of IA64_RBS_OFFSET

changeset:   13873:5558f396e068
user:        awilliam@xenbuild2.aw
date:        Sun Feb 04 11:37:48 2007 -0700
summary:     [IA64] Fix xencons_early_setup build warning

changeset:   13872:1502ba048b73
user:        awilliam@xenbuild2.aw
date:        Sun Feb 04 11:36:12 2007 -0700
summary:     [IA64] Fix PAL_HALT for paravirtualized domains

changeset:   13871:a1017acc8578
user:        awilliam@xenbuild2.aw
date:        Sun Feb 04 11:28:54 2007 -0700
summary:     [IA64] Bug fix new_tlbflush_clock_period()

changeset:   13870:0df9dc2f1d03
user:        awilliam@xenbuild2.aw
date:        Thu Feb 01 13:54:26 2007 -0700
summary:     [IA64] Fix compile warnings in xenentry.S

changeset:   13869:18a8e34e1211
user:        awilliam@xenbuild2.aw
date:        Thu Feb 01 12:53:34 2007 -0700
summary:     [IA64] Optimize VTI domain hypercall path

changeset:   13868:ef646312685f
user:        awilliam@xenbuild2.aw
date:        Wed Jan 31 10:59:56 2007 -0700
summary:     [IA64] Add arch_free_page()

changeset:   13867:6d38ae7927cf
parent:      13866:f4395e945393
parent:      13745:3cccf8e64296
user:        awilliam@xenbuild2.aw
date:        Wed Jan 31 10:30:54 2007 -0700
summary:     merge with xen-unstable.hg

changeset:   13866:f4395e945393
user:        awilliam@xenbuild2.aw
date:        Tue Jan 30 23:35:32 2007 -0700
summary:     [IA64] Include dummy EFI memory descriptors for unmapped ranges

changeset:   13865:d0b2022e2403
user:        awilliam@xenbuild2.aw
date:        Mon Jan 29 11:17:15 2007 -0700
summary:     [IA64] Update buildconfigs

changeset:   13864:7286802c9619
parent:      13863:e5cfd902d7e4
